2025-09-17  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.8.0

	release: Update pixi.toml version to 3.8.0

	release: Update CHANGELOG.md for 3.8.0

	release: Update package.xml version to 3.8.0

	Merge pull request #2743 from dogged1021/fix/cannot-found-casadi
	Fix/cannot found casadi

	cmake: Use target alias instead of cmake variable

	changelog: Add entry

	cmake: Fix comment

2025-09-17  Joris Vaillant  <joris.vaillant@gmail.com>

	Apply suggestions from code review

2025-09-17  zhang.chen  <zhang.chen@agile-robots.com>

	fix/build with different versions of CasADi targets

2025-09-17  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2765 from jorisv/topic/ci-pull-push
	Don't trigger CI on push and pull_request event #756

	ci: Don't trigger CI on push and pull_request event #756
	This will avoid building 2 time the same commit.
	Also, try to homogenize workflows.

	Merge pull request #2763 from MegMll/topic/urdf_mimic_unaligned
	Fix axis of unaligned mimic joint

2025-09-16  Megane Millan  <millan.megane@gmail.com>

	[unittest/urdf] Simplify unittest

	[unittest/urdf] Add unaligned mimic test

	Update changelog

	[urdf] Set unaligned axis when it's a mimic joint

2025-09-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2714 from nim65s/only-py
	CMake:  add BUILD_STANDALONE_PYTHON_INTERFACE option

	ci: Fix pixi workflow

	ci: Avoid filling all disk space in debug

2025-09-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: always install python headers

2025-09-16  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: add_test_cflags do nothing in standalone python mode

	python: Fix python test dependency

	python: Fix stubgen dependency

	ci: Test split build with pixi

2025-09-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake : add lib aliases with namespace

	add changelog entry

	Nix: BUILD_STANDALONE_PYTHON_INTERFACE

	CMake: BUILD_STANDALONE_PYTHON_INTERFACE

2025-09-15  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2762 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-eb3ea328ff056aa2435d5b3493e7e2929c310f8e
	build(deps): bump ros-industrial/industrial_ci from e3d16c224caf4832cf68e74093eb70f3a979b4cc to eb3ea328ff056aa2435d5b3493e7e2929c310f8e

2025-09-15  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from e3d16c224caf4832cf68e74093eb70f3a979b4cc to eb3ea328ff056aa2435d5b3493e7e2929c310f8e.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/e3d16c224caf4832cf68e74093eb70f3a979b4cc...eb3ea328ff056aa2435d5b3493e7e2929c310f8e)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-version: eb3ea328ff056aa2435d5b3493e7e2929c310f8e
	  dependency-type: direct:production
	...

2025-09-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2758 from stack-of-tasks/dependabot/github_actions/devel/actions/github-script-8
	build(deps): bump actions/github-script from 7 to 8

2025-09-08  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/github-script from 7 to 8
	Bumps [actions/github-script](https://github.com/actions/github-script) from 7 to 8.
	- [Release notes](https://github.com/actions/github-script/releases)
	- [Commits](https://github.com/actions/github-script/compare/v7...v8)

	---
	updated-dependencies:
	- dependency-name: actions/github-script
	  dependency-version: '8'
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2025-09-08  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2756 from MegMll/topic/urdf_mimic_continuous
	Add continuous joint as mimic in urdf parser

2025-09-08  Megane Millan  <millan.megane@gmail.com>

	[unittest] use real joint names

2025-09-05  Megane Millan  <millan.megane@gmail.com>

	[unittest] use literal and add a throw test

	update changelog

	[unittest] Add mimic parsing test case

	[urdf parser] Add continuous joint case for mimic joint in parser urdf

	[jointMimic] Change assert in throw

2025-09-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2754 from jorisv/topic/mjcf-site-fixed-body
	Add site attached to a fixed body in MJCF parser

2025-09-04  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add entry

	mjcf: Add site attached to a fixed body

2025-09-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2750 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-09-01  Joris Vaillant  <joris.vaillant@inria.fr>

	pixi: Revert llvm-openmp update on Windows
	See: https://github.com/conda-forge/admin-requests/pull/1635

2025-09-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-08-26  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2749 from jcarpent/topic/2746
	Fix copy of armature field in buildReducedModel

2025-08-22  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: update

	test/model: extend testing of model.{armature,rotorInertia,rototGearRatio} to be copied

	algo/model: copy missing field in buildReducedModel

	Merge pull request #2748 from JafarAbdi/fix_viser_visualizer
	Fix Viser visualizer loading DAE files as trimesh.Scene

2025-08-22  JafarAbdi  <jafar.uruc@gmail.com>

	Update changelog

	Fix Viser visualizer loading DAE files as trimesh.Scene

2025-08-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2744 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.9.0
	build(deps): bump prefix-dev/setup-pixi from 0.8.14 to 0.9.0

2025-08-20  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.14 to 0.9.0
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.14 to 0.9.0.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.14...v0.9.0)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.9.0
	  dependency-type: direct:production
	  update-type: version-update:semver-minor
	...

2025-08-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2745 from stack-of-tasks/dependabot/github_actions/devel/actions/checkout-5
	build(deps): bump actions/checkout from 4 to 5

2025-08-18  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/checkout from 4 to 5
	Bumps [actions/checkout](https://github.com/actions/checkout) from 4 to 5.
	- [Release notes](https://github.com/actions/checkout/releases)
	- [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/actions/checkout/compare/v4...v5)

	---
	updated-dependencies:
	- dependency-name: actions/checkout
	  dependency-version: '5'
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2025-08-06  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2741 from jorisv/topic/fix-viser-import
	Fix ViserVisualizer import without hppfcl

	cmake: Run viser-viewer when running tests

	python: Don't import ViserVisualizer without hppfcl

2025-08-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2739 from stack-of-tasks/update_flake_lock_action
	flake.lock: Update

2025-08-05  github-actions[bot]  <github-actions[bot]@users.noreply.github.com>

	flake.lock: Update
	Flake lock file updates:

	• Updated input 'flake-parts':
	    'github:hercules-ci/flake-parts/49f0870db23e8c1ca0b5259734a02cd9e1e371a1?narHash=sha256-F82%2BgS044J1APL0n4hH50GYdPRv/5JWm34oCJYmVKdE%3D' (2025-06-01)
	  → 'github:hercules-ci/flake-parts/67df8c627c2c39c41dbec76a1f201929929ab0bd?narHash=sha256-XKqDMN1/Qj1DKivQvscI4vmHfDfvYR2pfuFOJiCeewM%3D' (2025-08-01)
	• Updated input 'flake-parts/nixpkgs-lib':
	    'github:nix-community/nixpkgs.lib/656a64127e9d791a334452c6b6606d17539476e2?narHash=sha256-rQaysilft1aVMwF14xIdGS3sj1yHlI6oKQNBRTF40cc%3D' (2025-06-01)
	  → 'github:nix-community/nixpkgs.lib/0f36c44e01a6129be94e3ade315a5883f0228a6e?narHash=sha256-zvaMGVn14/Zz8hnp4VWT9xVnhc8vuL3TStRqwk22biA%3D' (2025-07-27)
	• Updated input 'nixpkgs':
	    'github:NixOS/nixpkgs/cdda65d044eee977ce07d4959b90c6783f4b8752?narHash=sha256-vRTevYqk42iyS4MPQsprRMkGBZyqlGuz4vuhFvR8KPk%3D' (2025-06-01)
	  → 'github:NixOS/nixpkgs/5b09dc45f24cf32316283e62aec81ffee3c3e376?narHash=sha256-Q/I2xJn/j1wpkGhWkQnm20nShYnG7TI99foDBpXm1SY%3D' (2025-08-03)

2025-08-04  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2664 from MegMll/topic/model_graph
	Introducing model graph

2025-08-04  Joris Vaillant  <joris.vaillant@inria.fr>
	    Joris Vaillant  <joris.vaillant@inria.fr>
	    Megane Millan  <megane.millan@inria.fr>

	graph: Add changelog entries

	graph: Add examples

2025-08-04  Joris Vaillant  <joris.vaillant@inria.fr>

	graph: Add ModelConfigurationConverter structure and algorithms

2025-08-04  Megane Millan  <megane.millan@inria.fr>

	graph: Add GeometryModel support to ModelGraph

	graph: Add ModelGraph structure and algorithms
	Graph - re-order joints

2025-08-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2736 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-08-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-07-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2735 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.14
	build(deps): bump prefix-dev/setup-pixi from 0.8.12 to 0.8.14

2025-07-28  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.12 to 0.8.14
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.12 to 0.8.14.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.12...v0.8.14)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.14
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-07-24  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2728 from nim65s/erd
	CMake: allow use of system example-robot-data

2025-07-24  Guilhem Saurel  <guilhem.saurel@laas.fr>
	    Joris Vaillant  <778707+jorisv@users.noreply.github.com>

	CMake: improve EXAMPLE_ROBOT_DATA_MODEL_DIR ux
	Works with `-DEXAMPLE_ROBOT_DATA_MODEL_DIR=~/here` and
	`-DEXAMPLE_ROBOT_DATA_MODEL_DIR=../here` (big warning in the second
	case, but that is fine)

2025-07-24  Joris Vaillant  <joris.vaillant@inria.fr>

	benchmark: Fix boost/filesystem inculde

	unittest: Don't mix local PINOCCHIO_MODEL_DIR and EXAMPLE_ROBOT_DATA_MODEL_DIR

2025-07-24  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: log system example-robot-data path

	examples: update example-robot-data use

	benchmarks: update example-robot-data use

	CMake: add missing links to Boost::filesystem

	CMake: allow user-specified EXAMPLE_ROBOT_DATA_MODEL_DIR

	CMake: fix PINOCCHIO_MODEL_DIR

	ruff: ignore RUF048
	```
	examples/meshcat-viewer-octree.py:13:10: RUF048 `__version__` may contain non-integral-like elements
	   |
	11 | from pinocchio.visualize import MeshcatVisualizer
	12 |
	13 | if tuple(map(int, fcl.__version__.split("."))) >= (3, 0, 0):
	   |          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ RUF048
	14 |     with_octomap = fcl.WITH_OCTOMAP
	15 | else:
	   |
	```

	fix RUF046

	ruff check --fix .

	add changelog entry

	tests / examples: update example-robot-data use

	Nix: add example-robot-data as dependency

	CMake: allow use of system example-robot-data

2025-07-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2734 from jorisv/topic/issue-template
	Improve issue template and add PR template

2025-07-23  Joris Vaillant  <joris.vaillant@inria.fr>

	lint: run linter

	pr: Update changelog path again

	pr: Update changelog path

	pr: Add 'no changelog' lable instruction

2025-07-23  Joris Vaillant  <joris.vaillant@gmail.com>
	    Wilson Jallet  <wilson.jallet@polytechnique.org>

	Apply suggestions from code review

2025-07-23  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Precise update rule

	lint: run linter

	pr: Add PR template

	issue: Improve feature_request form

	issue: Improve bug_report form

2025-07-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2732 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.12
	build(deps): bump prefix-dev/setup-pixi from 0.8.11 to 0.8.12

2025-07-21  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.11 to 0.8.12
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.11 to 0.8.12.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.11...v0.8.12)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.12
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-07-19  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2731 from yvtungchou/fix/pybind-signature-bug
	Fix missing argument in exposeDelassus() pybind definition

2025-07-18  yutongzh  <yutongzh@umich.edu>

	add to changelog

	fix pybind bug in expose-delassus

2025-07-17  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2730 from BartlomiejK2/devel
	Fixed explicit conversions to Scalar type in `log.hxx`

2025-07-17  Bartek  <bartlomiejk@vp.pl>

	Fixed explicit conversions to Scalar type
	Added fix to CHANGELOG

	pre-commit: run on include/pinocchio/spatial/log.hxx

2025-07-17  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2718 from sea-bass/viser-visualizer-beta
	Beta version of Viser visualizer

2025-07-17  Sebastian Castro  <sebas.a.castro@gmail.com>

	Fix default captureImage height and width

2025-07-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Run code format

	Add hppfcl.Convex support

	Add an example to run viser

2025-07-16  Sebastian Castro  <sebas.a.castro@gmail.com>

	Beta version of Viser visualizer

2025-07-15  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2716 from MegMll/fix/crba_mimic
	Fix mimic patch for CRBA

2025-07-15  Megane Millan  <millan.megane@gmail.com>

	CRBA - Fix mimic path and add unittest case for mimic

2025-07-15  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2727 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.11
	build(deps): bump prefix-dev/setup-pixi from 0.8.10 to 0.8.11

2025-07-14  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.10 to 0.8.11
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.10 to 0.8.11.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.10...v0.8.11)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.11
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-07-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2724 from nim65s/cmake
	sync submodule

2025-07-09  Guilhem Saurel  <guilhem.saurel@laas.fr>

	sync submodule

2025-07-03  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2721 from sea-bass/patch-1
	Update ROS section and CI badges in README

2025-07-03  Sebastian Castro  <4603398+sea-bass@users.noreply.github.com>

	Update README CI badges

	Update ROS README section

2025-07-02  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2720 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

	ci: Don't activate CODEGEN when building on Linux ARM64 platform

2025-07-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-06-30  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2715 from JafarAbdi/fix_has_configuration_limit_mimic
	Fix hasConfigurationLimit() for mimic joints to return empty vector

2025-06-30  JafarAbdi  <jafar.uruc@gmail.com>

	Fix hasConfigurationLimitInTangent for mimic joints

	Update changelog

	Fix hasConfigurationLimit for mimic joints

	Add a unittest that trigger the bug

2025-06-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2719 from sea-bass/patch-1
	Add ROS 2 Kilted to CI jobs

2025-06-30  Sebastian Castro  <4603398+sea-bass@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	Update CHANGELOG.md

2025-06-30  Sebastian Castro  <4603398+sea-bass@users.noreply.github.com>

	Update CHANGELOG.md

	Add ROS 2 Kilted to CI jobs

2025-06-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2713 from jorisv/topic/arm-ci
	Add arm running in pixi workflow

2025-06-30  Joris Vaillant  <joris.vaillant@inria.fr>

	unittest: Use isApprox instead of equality

	pixi: Add linux-aarch64

	ci: Add arm running in pixi workflow

2025-06-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2717 from valgur/patch-1
	CMakeLists.txt: remove a duplicate option()

2025-06-27  Martin Valgur  <martin.valgur@gmail.com>

	CMakeLists.txt: remove a duplicate option()

2025-06-23  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2706 from jcarpent/topic/cmake
	Sync submodule cmake

2025-06-23  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

2025-06-19  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2707 from MegMll/m_origin/topic/fix_mimic
	Fix : make nvSubtree consistent with mimic joint in all configuration

2025-06-18  Megane Millan  <millan.megane@gmail.com>

	apply pre-commit

	Data - Check for edge case when mimic joints subtree is only composed of mimic joints

	Data - Simplify nvSubtree construction

	Check-data - simplify check for nvSubtree

	Changelog - update

	Unittest - add missing mimic case

	Data - update nvSubtree computation for the case of mimic joints as last child

2025-06-18  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2705 from jcarpent/topic/issue-2703
	Fix issue #2703

2025-06-16  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: update

	python/data: expose additional fields

	test/derivatives: add test for case joint_id == 0

	algo/derivatives: fix case for joint_id == 0

	Merge pull request #2704 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.10
	build(deps): bump prefix-dev/setup-pixi from 0.8.8 to 0.8.10

2025-06-16  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.8 to 0.8.10
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.8 to 0.8.10.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.8...v0.8.10)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.10
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-06-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2699 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-e3d16c224caf4832cf68e74093eb70f3a979b4cc
	build(deps): bump ros-industrial/industrial_ci from 7083afac1ddf852a2923757a7ef588adaba841a9 to e3d16c224caf4832cf68e74093eb70f3a979b4cc

2025-06-09  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 7083afac1ddf852a2923757a7ef588adaba841a9 to e3d16c224caf4832cf68e74093eb70f3a979b4cc.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/7083afac1ddf852a2923757a7ef588adaba841a9...e3d16c224caf4832cf68e74093eb70f3a979b4cc)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-version: e3d16c224caf4832cf68e74093eb70f3a979b4cc
	  dependency-type: direct:production
	...

2025-06-05  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2697 from nim65s/hrp2
	ci update flake: use hrp2 token

2025-06-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	fixup! ci nix: alls-green

2025-06-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	nix: fix ci
	with `nix flake update nixpkgs --override-input nixpkgs github:NixOS/nixpkgs/cdda65d044eee977ce07d4959b90c6783f4b8752`,
	as this is a commit built by hydra before the merge of libfaketime bump which broke texlive on darwin.

	A proper fix is incoming in https://github.com/NixOS/nixpkgs/pull/414065,
	so the next update-flake-lock automated action will put everything back to normal.

2025-06-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ci nix: alls-green

	ci update flake: use hrp2 token

2025-06-05  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2686 from nim65s/warning
	CMake: add COAL_DISABLE_HPP_FCL_WARNINGS

2025-06-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	nix: back to standard

	nix: use coal devel branch
	follows https://github.com/coal-library/coal/pull/713

	ci: fix nix
	ref. https://github.com/coal-library/coal/pull/705

	nix: use coal devel flake

	nix: use coal devel
	to check https://github.com/coal-library/coal/pull/709 (merged)

2025-06-05  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Remove all hpp-fcl related warnings

	cmake: Always deactive hpp-fcl deprecation warning

	changelog: Add sections

2025-06-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	CMake: add COAL_DISABLE_HPP_FCL_WARNINGS
	Because it is not linked to hpp-fcl::hpp-fcl

2025-06-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2695 from stack-of-tasks/update_flake_lock_action
	flake.lock: Update

2025-06-05  github-actions[bot]  <github-actions[bot]@users.noreply.github.com>

	flake.lock: Update
	Flake lock file updates:

	• Updated input 'flake-parts':
	    'github:hercules-ci/flake-parts/c621e8422220273271f52058f618c94e405bb0f5?narHash=sha256-hIshGgKZCgWh6AYJpJmRgFdR3WUbkY04o82X05xqQiY%3D' (2025-04-01)
	  → 'github:hercules-ci/flake-parts/49f0870db23e8c1ca0b5259734a02cd9e1e371a1?narHash=sha256-F82%2BgS044J1APL0n4hH50GYdPRv/5JWm34oCJYmVKdE%3D' (2025-06-01)
	• Updated input 'flake-parts/nixpkgs-lib':
	    'github:nix-community/nixpkgs.lib/e4822aea2a6d1cdd36653c134cacfd64c97ff4fa?narHash=sha256-b1EdN3cULCqtorQ4QeWgLMrd5ZGOjLSLemfa00heasc%3D' (2025-03-30)
	  → 'github:nix-community/nixpkgs.lib/656a64127e9d791a334452c6b6606d17539476e2?narHash=sha256-rQaysilft1aVMwF14xIdGS3sj1yHlI6oKQNBRTF40cc%3D' (2025-06-01)
	• Updated input 'nixpkgs':
	    'github:NixOS/nixpkgs/979daf34c8cacebcd917d540070b52a3c2b9b16e?narHash=sha256-uKCfuDs7ZM3QpCE/jnfubTg459CnKnJG/LwqEVEdEiw%3D' (2025-05-04)
	  → 'github:NixOS/nixpkgs/c2a03962b8e24e669fb37b7df10e7c79531ff1a4?narHash=sha256-lcZQ8RhsmhsK8u7LIFsJhsLh/pzR9yZ8yqpTzyGdj%2BQ%3D' (2025-06-03)

2025-06-04  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2693 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-7083afac1ddf852a2923757a7ef588adaba841a9
	build(deps): bump ros-industrial/industrial_ci from 16472786c1ffc53596007da4318db98d1f677933 to 7083afac1ddf852a2923757a7ef588adaba841a9

2025-06-04  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 16472786c1ffc53596007da4318db98d1f677933 to 7083afac1ddf852a2923757a7ef588adaba841a9.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/16472786c1ffc53596007da4318db98d1f677933...7083afac1ddf852a2923757a7ef588adaba841a9)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-version: 7083afac1ddf852a2923757a7ef588adaba841a9
	  dependency-type: direct:production
	...

2025-06-02  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2692 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-06-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-05-26  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2684 from jcarpent/topic/issue-2683
	Add further check of input arguments for kinematics Jacobians

2025-05-24  Justin Carpentier  <justin.carpentier@inria.fr>

	algo: fix additional message in PINOCCHIO_CHECK_ARGUMENT_SIZE for q

	core: fix message in PINOCCHIO_CHECK_ARGUMENT_SIZE
	Following remarks by @sea-bass

	algo/kinematics: fix check size

	changelog: update

	doc: fix

	algo: add check of rows dimensions of kinematics Jacobians

2025-05-21  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.7.0

	release: Update pixi.toml version to 3.7.0

	release: Update CHANGELOG.md for 3.7.0

	release: Update package.xml version to 3.7.0

	changelog: Add missing entry

2025-05-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2680 from jcarpent/topic/ci
	Remove support of 20.04 in linux CI

2025-05-21  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Remove Ubuntu 20.04 compatibility code

	ci: Use ccache statistics verbose output

2025-05-20  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: set CMake minimal expected version to 3.22

	cmake: sync submodule

	ci/linux: remove support of 20.04

2025-05-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2672 from stack-of-tasks/update_flake_lock_action
	flake.lock: Update

2025-05-05  github-actions[bot]  <github-actions[bot]@users.noreply.github.com>

	flake.lock: Update
	Flake lock file updates:

	• Updated input 'nixpkgs':
	    'github:NixOS/nixpkgs/2c8d3f48d33929642c1c12cd243df4cc7d2ce434?narHash=sha256-F7n4%2BKOIfWrwoQjXrL2wD9RhFYLs2/GGe/MQY1sSdlE%3D' (2025-04-02)
	  → 'github:NixOS/nixpkgs/979daf34c8cacebcd917d540070b52a3c2b9b16e?narHash=sha256-uKCfuDs7ZM3QpCE/jnfubTg459CnKnJG/LwqEVEdEiw%3D' (2025-05-04)

2025-05-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2671 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-05-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-04-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2668 from fabinsch/panda3d-capture-img
	Implement `captureImage` for Panda3D visualizer

2025-04-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	update changelog

	panda3d talos example: add recording option

	panda3d: allow to use in offscreen mode
	- does not change default behaviour of openning the window

	panda3d: capture imgs using `get_screenshot`

2025-04-29  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2666 from jorisv/topic/change-default-branch
	Change default branch

	changelog: Add entry

	ci: Ignore all markdown file change

	readme: Use devel as default branch

2025-04-28  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.6.0

	release: Update pixi.toml version to 3.6.0

	release: Update CHANGELOG.md for 3.6.0

	release: Update package.xml version to 3.6.0

2025-04-28  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: remove useless item

	Merge pull request #2665 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-16472786c1ffc53596007da4318db98d1f677933
	build(deps): bump ros-industrial/industrial_ci from cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8 to 16472786c1ffc53596007da4318db98d1f677933

2025-04-28  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8 to 16472786c1ffc53596007da4318db98d1f677933.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8...16472786c1ffc53596007da4318db98d1f677933)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-version: 16472786c1ffc53596007da4318db98d1f677933
	  dependency-type: direct:production
	...

2025-04-23  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2659 from jorisv/topic/fix-algo-custom-scalar
	Fix custom scalar support

2025-04-23  Joris Vaillant  <joris.vaillant@inria.fr>

	python: build contactCholeskyDecomposition for casadi binding

	contact-cholesky: Remove explicit template declaration from .txx

2025-04-22  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add entries

	python: Generate constraintDynamics bindings for casadi

	contact-jacobian: Add casadi, cppad and cppadcg support

	contact-cholesky: Add casadi, cppad and cppadcg support

	contact-dynamics: Add casadi, cppad and cppadcg support

	constrained-dynamics-derivatives: Add casadi, cppad and cppadcg support

	cholesky: Add casadi, cppad and cppadcg support

	cppad: Add constaintDynamics support

	casadi: Add constaintDynamics support

2025-04-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2657 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8
	build(deps): bump ros-industrial/industrial_ci from 3e67ec54d63496e076267392148a26229740befc to cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8

2025-04-21  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 3e67ec54d63496e076267392148a26229740befc to cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/3e67ec54d63496e076267392148a26229740befc...cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-version: cfe5c929f7dbb0374c01bc26821ec8eb72f6d4e8
	  dependency-type: direct:production
	...

2025-04-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2658 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.8
	build(deps): bump prefix-dev/setup-pixi from 0.8.5 to 0.8.8

2025-04-21  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.5 to 0.8.8
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.5 to 0.8.8.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.5...v0.8.8)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.8
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-04-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2648 from ManifoldFR/topic/visualizers/add-unit-test
	unittest/python : add visualizer bindings visitor test, add CMake util to create C++ Python modules for tests

2025-04-16  ManifoldFR  <wilson.jallet@polytechnique.org>

	do not run problematic tests on windon't

	unittest/python : homogeneize test cpp module names

	bindings/python : std::is_base_of_v is C++17 only

	bindings/python : this was a 'terse static assert' apparently, and hence, bad
	+ fixes windows

	unittest/python : add test for visualizer bindings (visitor)

	unittest/python/CMakeLists.txt : add util function to create test C++ extension Python modules, and associated Python tests
	+ this commit was amended:
	  - fixed EXCLUDE_FROM_ALL being on the wrong if/else branch

2025-04-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2647 from ManifoldFR/topic/visualizers/python-visitor-fix
	[python] Fix for getters in VisualizerPythonVisitor

2025-04-15  ManifoldFR  <wilson.jallet@polytechnique.org>

	Update CHANGELOG

	[python] visualizer-visitor : use lambdas to expose getters for models, data
	+ fixes downstream issues

2025-04-14  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2646 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.5
	build(deps): bump prefix-dev/setup-pixi from 0.8.4 to 0.8.5

	lint: Apply clang-format

2025-04-14  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.4 to 0.8.5
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.4 to 0.8.5.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.4...v0.8.5)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.5
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-04-10  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: clean

2025-04-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2644 from florent-lamiraux/devel
	[Model] Improve error message

2025-04-08  Florent Lamiraux  <florent@laas.fr>

	[Model] Improve error message.

2025-04-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2640 from stack-of-tasks/dependabot/github_actions/devel/actions/create-github-app-token-2
	build(deps): bump actions/create-github-app-token from 1 to 2

2025-04-07  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/create-github-app-token from 1 to 2
	Bumps [actions/create-github-app-token](https://github.com/actions/create-github-app-token) from 1 to 2.
	- [Release notes](https://github.com/actions/create-github-app-token/releases)
	- [Commits](https://github.com/actions/create-github-app-token/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: actions/create-github-app-token
	  dependency-version: '2'
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2025-04-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2639 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.4
	build(deps): bump prefix-dev/setup-pixi from 0.8.3 to 0.8.4

2025-04-07  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.3 to 0.8.4
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.3 to 0.8.4.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.3...v0.8.4)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-version: 0.8.4
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-04-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2638 from stack-of-tasks/update_flake_lock_action
	flake.lock: Update

2025-04-05  github-actions[bot]  <github-actions[bot]@users.noreply.github.com>

	flake.lock: Update
	Flake lock file updates:

	• Updated input 'flake-parts':
	    'github:hercules-ci/flake-parts/3876f6b87db82f33775b1ef5ea343986105db764?narHash=sha256-ZaMw0pdoUKigLpv9HiNDH2Pjnosg7NBYMJlHTIsHEUo%3D' (2025-03-01)
	  → 'github:hercules-ci/flake-parts/c621e8422220273271f52058f618c94e405bb0f5?narHash=sha256-hIshGgKZCgWh6AYJpJmRgFdR3WUbkY04o82X05xqQiY%3D' (2025-04-01)
	• Updated input 'flake-parts/nixpkgs-lib':
	    'https://github.com/NixOS/nixpkgs/archive/6d3702243441165a03f699f64416f635220f4f15.tar.gz?narHash=sha256-3wHafybyRfpUCLoE8M%2BuPVZinImg3xX%2BNm6gEfN3G8I%3D' (2025-03-01)
	  → 'github:nix-community/nixpkgs.lib/e4822aea2a6d1cdd36653c134cacfd64c97ff4fa?narHash=sha256-b1EdN3cULCqtorQ4QeWgLMrd5ZGOjLSLemfa00heasc%3D' (2025-03-30)
	• Updated input 'nixpkgs':
	    'github:NixOS/nixpkgs/ba487dbc9d04e0634c64e3b1f0d25839a0a68246?narHash=sha256-WZNlK/KX7Sni0RyqLSqLPbK8k08Kq7H7RijPJbq9KHM%3D' (2025-03-03)
	  → 'github:NixOS/nixpkgs/2c8d3f48d33929642c1c12cd243df4cc7d2ce434?narHash=sha256-F7n4%2BKOIfWrwoQjXrL2wD9RhFYLs2/GGe/MQY1sSdlE%3D' (2025-04-02)

2025-04-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2637 from jcarpent/topic/examples
	Add CRBA CasADi example

2025-04-04  Justin Carpentier  <justin.carpentier@inria.fr>

	examples/casadi: add crba example
	Related to https://github.com/stack-of-tasks/pinocchio/issues/2635

	core: remove another compilation warning

	casadi: remove compilation warning

	Merge pull request #2636 from jcarpent/topic/cmake
	Sync submodule CMake

	cmake: sync submodule

2025-04-02  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.5.0

	release: Update pixi.toml version to 3.5.0

	release: Update CHANGELOG.md for 3.5.0

	release: Update package.xml version to 3.5.0

	Merge pull request #2633 from jorisv/topic/update-readme
	Update readme

2025-04-02  Joris Vaillant  <joris.vaillant@gmail.com>
	    Wilson  <wilson.jallet@polytechnique.org>

	Update README.md

2025-04-02  Joris Vaillant  <joris.vaillant@gmail.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Update README.md

	Update README.md

	Update README.md

	Update README.md

	Update README.md

2025-04-02  Joris Vaillant  <joris.vaillant@gmail.com>
	    Wilson  <wilson.jallet@polytechnique.org>

	Update README.md

2025-04-02  Joris Vaillant  <joris.vaillant@gmail.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>

	Update README.md

2025-04-02  Joris Vaillant  <joris.vaillant@inria.fr>

	readme: Add `Core team` section

	readme: Merge `Introducing Pinocchio 3` into `Pinocchio main features`

2025-04-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2631 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-04-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-03-31  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2630 from stack-of-tasks/topic/readme-cxx-ver
	Update README.md for new minimal C++ version

2025-03-31  Wilson  <wilson.jallet@polytechnique.org>

	Update README.md for new minimal C++ version

2025-03-27  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2627 from jorisv/topic/fix-ccache-key
	Fix PCH and ccache build

	cmake: Ask clang to not add pch-timestamp

	pixi: Since conda compiler name doesn't contains gcc, specify it's type to ccache

	ci: Avoid cache key collision

2025-03-27  Joris Vaillant  <joris.vaillant@inria.fr>
	    Megane Millan  <megane.millan@inria.fr>

	ci: Define ccache sloppiness and compilercheck to avoid cache misses.

2025-03-27  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Display ccache statistics
	ci: Run ccache with pixi run

	ci: Remove -v option on linux workflow

2025-03-27  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Fix ccache cache key for ROS workflow

	ci: Fix ccache cache key

2025-03-26  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2624 from abussy-aldebaran/topic/check-data-link
	Fix ModelTpl::check() link

2025-03-24  Antoine Bussy  <antoine.bussy@aldebaran.com>

	Fix link error

2025-03-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2626 from jorisv/topic/add-removed-define
	Set back PINOCCHIO_DEFAULT_QUATERNION_NORM_TOLERANCE_VALUE definition

2025-03-20  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Set back PINOCCHIO_DEFAULT_QUATERNION_NORM_TOLERANCE_VALUE definition

2025-03-19  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2607 from jorisv/topic/google_bench
	Use google benchmark instead of our legacy benchmark system

2025-03-19  Joris Vaillant  <joris.vaillant@inria.fr>

	lint: Apply linter

	pixi: Add bokeh as benchmark feature dependencies

	bench: Add benchmark/plot.py to plot results

	bench: Add benchmark/README.md

	cmake: Prefix benchmark targets by pinocchio-

	bench: Port timings-impulse-dynamics-derivatives to google benchmark

	bench: Port timings-impulse-dynamics to google benchmark

	bench: Port timings-constained-dynamics-derivatives to google benchmark

	bench: Port timings-contact-dynamics to google benchmark

	bench: Port timings-delassus-operations to google benchmark

	bench: Port timings-jacobian to google benchmark

	bench: Port timings-geometry to google benchmark

	bench: Port timings-cppad-jit to google benchmark

	bench: Port timings-eigen to google benchmark

	bench: Port timings-derivatives to google benchmark

	bench: Use tau instead of a as aba argument

	bench: Update copyright

	bench: Port timings-cholesky to google benchmark

	bench: Port timings-parallel to google benchmark

	bench: Wrap function in PINOCCHIO_DONT_INLINE in timings-cg

	core: Define PINOCCHIO_DONT_INLINE

	bench: Port timings-cg to google benchmark

	bench: Factorize init code

	bench: Fix timings-cg

	changelog: Add entry

	bench: Parse extra arguments

	bench: Refactor timing.cpp to use google benchmark

	pixi: Add benchmark feature

	cmake: Fix build without benchmark

	cmake: Modernize benchmark CMakeLists.txt

2025-03-19  Wilson  <wilson.jallet@polytechnique.org>

	Merge pull request #2476 from jorisv/topic/pch
	Try to use pre compiled header to accelerate the build

2025-03-19  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Update CMake minimum requirement

	lint: Apply linter

2025-03-19  Joris Vaillant  <joris.vaillant@gmail.com>
	    Wilson  <wilson.jallet@polytechnique.org>

	cmake: Improve CMake comments

2025-03-18  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Add pre compiled headers to mpfr target

	cmake: Add pch.hpp to all bindings target pre compiled headers

2025-03-18  Megane Millan  <megane.millan@inria.fr>

	[cmake] Copyright and comment for future developpers

2025-03-18  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Try to use pre compiled header to accelerate the build

2025-03-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2623 from nim65s/ros-ci2
	Update ROS CI

2025-03-17  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ROS CI: sync

	CI: update ros distros

2025-03-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2621 from stack-of-tasks/dependabot/github_actions/devel/cachix/install-nix-action-31
	build(deps): bump cachix/install-nix-action from 30 to 31

	Merge branch 'devel' into dependabot/github_actions/devel/cachix/install-nix-action-31

	Merge pull request #2622 from stack-of-tasks/dependabot/github_actions/devel/cachix/cachix-action-16
	build(deps): bump cachix/cachix-action from 15 to 16

2025-03-17  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump cachix/cachix-action from 15 to 16
	Bumps [cachix/cachix-action](https://github.com/cachix/cachix-action) from 15 to 16.
	- [Release notes](https://github.com/cachix/cachix-action/releases)
	- [Commits](https://github.com/cachix/cachix-action/compare/v15...v16)

	---
	updated-dependencies:
	- dependency-name: cachix/cachix-action
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2025-03-17  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump cachix/install-nix-action from 30 to 31
	Bumps [cachix/install-nix-action](https://github.com/cachix/install-nix-action) from 30 to 31.
	- [Release notes](https://github.com/cachix/install-nix-action/releases)
	- [Commits](https://github.com/cachix/install-nix-action/compare/v30...v31)

	---
	updated-dependencies:
	- dependency-name: cachix/install-nix-action
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2025-03-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2608 from cmastalli/topic/fix-casting
	Enhacing casting support for multiple floating-point scalars, CasADi and CppAD types

2025-03-15  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: sync

	all: fix additional compilation warnings

	multibody/joints: fix constructor

	all: fix compilation warnings

	math/quaternion: replace DefaultNormTolerance by a call to math::sqrt directly

	math/quaternion: change default value logic

	codegen: fix DefaultNormTolerance

	pre-commit: run

2025-03-15  Carlos Mastalli  <carlos.mastalli@gmail.com>

	[core] Removed default tolerenace in quaternions

	[bugfix] Fixed scalar casting for CppAD::cg::CG types

	[core] Introduced different quaternion tolerances to handle different floating-point numbers

2025-03-10  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2528 from jcarpent/topic/cmake
	Add missing Python example for testing

	example: fix duration

	core: remove compilation warning

	cmake: do not run talos-simulation

	examples: fix closed loop example

	cmake: add ${PROJECT_NAME}-python as dependency of build_tests

	changelog: update

	cmake: only support Python 3

	cmake: add missing Python example

2025-03-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2591 from nim65s/devel
	CMake: fix for hpp-fcl/coal v3

2025-03-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: fix for hpp-fcl/coal v3
	Fix, at least on ROS buildfarm:
	```
	-- hpp-fcl FOUND. hpp-fcl at /opt/ros/rolling/lib/x86_64-linux-gnu/libhpp-fcl.so
	-- Found Boost: /usr/include (found version "1.83.0") found components: chrono serialization filesystem
	CMake Error at /opt/ros/rolling/lib/x86_64-linux-gnu/cmake/hpp-fcl/hpp-fclConfig.cmake:181 (message):
	  hpp-fcl: hpp-fcl >= 2.1.2 not found.
	Call Stack (most recent call first):
	  cmake/package-config.cmake:133 (find_package)
	  CMakeLists.txt:341 (add_project_dependency)
	```

2025-03-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2606 from stack-of-tasks/update_flake_lock_action
	flake.lock: Update

2025-03-05  github-actions[bot]  <github-actions[bot]@users.noreply.github.com>

	flake.lock: Update
	Flake lock file updates:

	• Updated input 'flake-parts':
	    'github:hercules-ci/flake-parts/f2f7418ce0ab4a5309a4596161d154cfc877af66?narHash=sha256-soePLBazJk0qQdDVhdbM98vYdssfs3WFedcq%2BraipRI%3D' (2025-01-01)
	  → 'github:hercules-ci/flake-parts/3876f6b87db82f33775b1ef5ea343986105db764?narHash=sha256-ZaMw0pdoUKigLpv9HiNDH2Pjnosg7NBYMJlHTIsHEUo%3D' (2025-03-01)
	• Updated input 'flake-parts/nixpkgs-lib':
	    'https://github.com/NixOS/nixpkgs/archive/e9b51731911566bbf7e4895475a87fe06961de0b.tar.gz?narHash=sha256-CewEm1o2eVAnoqb6Ml%2BQi9Gg/EfNAxbRx1lANGVyoLI%3D' (2025-01-01)
	  → 'https://github.com/NixOS/nixpkgs/archive/6d3702243441165a03f699f64416f635220f4f15.tar.gz?narHash=sha256-3wHafybyRfpUCLoE8M%2BuPVZinImg3xX%2BNm6gEfN3G8I%3D' (2025-03-01)
	• Updated input 'nixpkgs':
	    'github:NixOS/nixpkgs/88195a94f390381c6afcdaa933c2f6ff93959cb4?narHash=sha256-0q9NGQySwDQc7RhAV2ukfnu7Gxa5/ybJ2ANT8DQrQrs%3D' (2024-12-29)
	  → 'github:NixOS/nixpkgs/ba487dbc9d04e0634c64e3b1f0d25839a0a68246?narHash=sha256-WZNlK/KX7Sni0RyqLSqLPbK8k08Kq7H7RijPJbq9KHM%3D' (2025-03-03)

2025-03-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2599 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-03-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-02-28  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Fix changelog

	Merge pull request #2441 from MegMll/topic/mimic
	Extend Support for Mimic Joint

2025-02-27  Megane Millan  <megane.millan@inria.fr>
	    Megane Millan  <megane.millan@inria.fr>
	    Etienne Arlaud  <etienne.arlaud@inria.fr>

	core: Add JointModelMimicTpl 2/2
	[urdf] Simplify mimic parsing

	[Check] Remove mimic exception

	[Joint] Mimic is not allowed before its parent (throw)

	[test/check] Add test for mimic data

	[test] Modify to be conform to the new throw in mimic joint

	[joint/translation] Go back to old api

	[Check] Remove MimicChecker from default list

	[Check] Remove mimic from default checker

	Remove dead code lines

	[serialize] Fix serialize for mimic

	[joint_mimic] Fix cast of joint

	[EtienneAr feedback] topic/mimic: pretty print for mimic joints

	[EtienneAr feedback] topic/mimic: Store nq/nv and remove mimicking joint visitor call

	[Joint] Re-introduce old api for setIndexes

	Fix doc

	Remove useless include

	apply pre-commit

	[EtienneAr feedback] topic/mimic: Minor visitor call remove

	[parser/urdf] Simplify mimic parsing

	[parser/urdf] Mimic default to false

	[bindings/urdf] Parser default argument to bindings to not break api

	Revert mimic argument

	Revert setIndexes to old api

	[SampleModel] Simplify bindings

	Revert setIndexes uses back to old api

	[EtienneAr feedback] topic/mimic: rename m_jmodel_ref > m_jmodel_mimicking (resp data)

	[EtienneAr feedback] topic/mimic: add size check for new data in checkdata

	[EtienneAr feedback] topic/mimic: Minor comment update for mimic setIndexes

	[EtienneAr feedback] topic/mimic: Fix mimic serialization

	[bindings/sampleModel] Add missing arguments

	[bindings/model] Expose transformJointIntoMimic

	[bindings/joint] Expose new aatributes idx_vExtended and nvExtended

	[bindings/sampleModel] Coherent with cpp implementation

	[joint/Mimic] Add velocitySelector and fix typo

	[bindings/model] Fix scalar of transformJointIntoMimic

	[algo/model] Fix reduced model for mimic

	[algo/model] Remove useless typedef that causes compilation warning

	[data] Use nvExtended instead of nv in nvSubtree

	[unittest] Reactivate mimic in reachable workspace

	[unittest] Build mimic model generic

	[unittest] Use generic buildMimic function and add test for double mimic in a model

	[Common-operation] Assert that it's not possible

	[joint/helical] Add affine transform to mimic

	[unittest] Fix acceleration

	[EtienneAr Feedback] joint-mimic: Remove mutable from joint data

	[serialization] Fix mimic data serialization

	[algo/centroidal] Add comments to explain mimic

	[algo/rnea] Add comment to explain mimic

	[unittest/mimic] Remove test for no transform (since it throws now)

	Apply pre-commit

	[Serialization/Data] Fix mimic data serialization

	[parser/urdf] Don't break api

	[bindings/model] Use proxy

	[model] Iintroduce mimic_joints and mimic_pairs value (missing serialize and bindigns for mimic_pairs)

	[algo/model] Add new model attributes to transformMimicJoint

	[data] Fix nvSubtree

	[parser/urdf] Add false to verbose argument and fix argument order issues

	[unittest] Factorize fonction

	[unittest] Test mimic manipulator

	[unittest] add mimic kinematics test

	[unittest] Remove dead code

	[data & check-data] change nvSubtree convention for mimic

	[unittest] Remove test for sample-model

	[serialization] Remove dead code

	[algo/center-of-mass] Add assert for jacobian subtree

	[unittest] Fix model generator

	[unittest] Fix G matrix

	[unittest] Remove cout

	wip for crba patch

	[algo/crba] Use new patch for crba with local mimic

	[EtienneAr feedback] topic/mimic: restore jacobian perfomrances (remove +=) and add mimicked_joint id vector in robot model

	[EtienneAr feedback] topic/mimic: Rename Joint[Velocity/Config]ExtendedModelSelector into JointMapped[Velocity/Config]Selector that is more explicit

	[EtienneAr feedback] topic/mimic: Add more jacobian tests for mimic joints

	[algo/crba] Add patch for crba world with mimic joints

	[data] Add check data test for mimic_subtree_joint

	[algo/crba] Add comments and use new data struct in local mimic patch

	[model] Remove useless structure

	[data] add comment for new vector (special mimic)

	[unittest/data] Add test for new vector

	[algo/check] Fix data check

	[algo/crba] [EtienneAr Feedback] Fix malloc error

	[EtienneAr feedback] topic/mimic: Rename MaxNVExtended into MaxNVMimicked and use it in crba patch

	[algo/check-data] Put check for mimic_subtree outside the joint loop

	[unittest] Add test when mimic is terminal

	[data] use -1 when mimic is terminal to be more explicit

	[algo/crba] remove useless lines

	[algo/crba] Fix compilation warning

	[algo/crba] use eigen::ref, and add comment to algorithm

	[algo/model] Fix transform into mimic in the case a mimic is already in the joint list and has a index higher than the new mimic

	[algo/crba] Remove changes for -1 (does not work because joint indexes are unsigned int)

	[joint] Remove compilation warning

	[data] Stop using -1 (not unsigned int safe)

	[unittest/crba] test for mimic terminal

	[algo/crba] Fix heap allocation

	[EtienneAr feedback] topic/mimic: WiP add (non_)mimic_parents_fromRow

	[EtienneAr feedback] topic/mimic: Fix Jacobian for mimic and make it more efficient

	[EtienneAr feedback] topic/mimic: Add basic checks in chack-data from mimic_parents_fromRow and non_mimic_parents_fromRow

	[algo/crba] Move joint visitor into joint visitor dedicated file

	[joint-visitor] Add comment

	[examples] Add an example on what a mimic can and cannot do

	[data] Remove compilation warning

	[algo/crba] Add comment

	[example] Apply pre-commit

	[Joint/joint-mimic] Change order to remove compilation warning

	[unittest] Remove useless lines

	[algo/jacobian] Update doc

	[algo/jacobian] Update doc

	[algo/jacobian] update doc

	crba: use applyConstraintOnForceVisitor to optimize S^T*F computation

	crba: Avoid to use enable_if/disbale_if in mimic specialization

	mimic: Rename primary/secondary into mimicked/mimicking

	mimic: Add Data::mimic_subtree_joint in comparison and serialization

	changelog: Update content

	[EtienneAr feedback] topic/mimic: Squash jacobian fix

	[EtienneAr feedback] topic/mimic: use idx_vs array instead of visitor and fix jacobian bug

	[example/mimic] Update file

	[data] Change idx_v_extended_fromRow into idx_vExtended_to_idx_v_fromRow

	[unittest/model] Add test for new model info

	[bindings] Add policy precall to throw in case of jointMimic in the model

	Remove compilation warning

	python: add Data::support_fromRow accessor

	core: Rework documentation

	core: Add Model::mimic_joint_support member

	core: Patch transformJointIntoMimic to support Model::mimic_joint_supports

	core: Patch transformJointIntoMimic to have Model::mimick{ing,ed}_joints always sorted

	unittest: Simplify test_transform_to_mimic

	python: Add Model::mimic_joint_supports getter

	serialization: Add Model::mimic_joint_supports serialiazation

	core: Use Model::mimic_joint_suports in jacobian and frames algorithms

	core: Fix strange bug when mixing int and size_t

	lint: Apply linter

	[bindings] Change checker name and use model_idx to avoid for loop over argument

	[unittest/bindings] Test for mimic_not_supported_function

	Remove compilation warning

	[bindings] Add policy to non supported functions

	core: Comment jacobian.hxx

	[algo/model] Move buildMimicModel from unittest folder to main library

	[cmake] Add python model-checker.hpp to sources

	[bindings/checker] Use context model

	[bindings] Add mimic checker

	[bindings] Add mimic checker

	Remove compilation warning

	[bindings] Add mimic checker

	core: Don't use context::Model in buildMimicModel

	unittest: Add buildMimicModel unit test

	python: bodyRegressor doesn't need mimic_not_supported_function guard

	[EtienneAr feedback] topic/mimic: refactor duplicate code in mimic tests

	python: Add mimic_not_supported_function guard on ContactCholeskyDecomposition

	[EtienneAr feedback] topic/mimic: extensive tests on joint-jacobian

	[EtienneAr feedback] topic/mimic: Simple tests on mimic data

	[EtienneAr feedback] topic/mimic: Fix joint jacobian on mimicking joint

	[EtienneAr feedback] topic/mimic: Use neutral instead of Zero on q for joint jacobian test

	[EtienneAr feedback] topic/mimic: Use neutral instead of Zero in tests

	[EtienneAr feedback] topic/mimic: extensive tests on joint-jacobian

	[EtienneAr feedback] topic/mimic: Fix joint jacobian on mimicking joint

	[EtienneAr feedback] topic/mimic: Add test for LOCAL_WORLD_ALIGNED getJacobian

	[bindings] Remove double include of boost/python.hpp

	[EtienneAr feedback] topic/mimic: Add new data/model members in changelog

	[EtienneAr feedback] topic/mimic: Reset changes on dIntegrate as it is not supported by mimic

	[algo/model] Stop using deprecated members

	[unittest] Add test for new Model members

	Update Changelog

	Update Changelog

	core: Remove crba warning

	core: Try to patch frames jacobian algorithms

	core: Use noalias

	core: Fix frame jacobian computation in LOCAL_WORLD_ALIGNED

	core: Remove some warnings and add constness

	changelog: reformat and add PR link

2025-02-27  Antoine Bussy  <antoine.bussy@aldebaran.com>

	[Unittest] Check consistency of cast models with a mimic joint.
	[Unittest] Check specific indices when casting mimic joints.

	These are the specific checks that fail in checkData().

	[Unittest] Add test of buildReducedModel with mimic joints.

2025-02-27  Megane Millan  <megane.millan@inria.fr>
	    Megane Millan  <megane.millan@inria.fr>
	    Etienne Arlaud  <etienne.arlaud@inria.fr>

	core: Add JointModelMimicTpl 1/2 [WIP]
	Add Urdf support for mimic joint (revolute and prismatic)

	Sample Model : Now support a mimic joint at the end if wanted

	[Joints] Added support for nj and idx_j

	[Joint] Mimic joint is now based on the variant and not templated

	[Model] Support for nj and idx_j

	[Data] Jacobian is now indexed on nj

	[LieGroup] Neutral Specialization for mimic joints

	[Serialization] Fix serialization

	[Unittest] Fix unittest

	[unittest] Fix for mimic

	[Python] Add bindings

	[Urdf] Add possibility to use mimic or not

	[Serialization] Fix Test and serialization

	[Mimic] Joint Tpl instead of JointBase

	[Broken test] copy visitor from variant to variant

	Add mimic to shortcuts

	wip

	Copy constructor instead of =

	[EtienneAr feedback] Add mimic constructor for different primay/secondary joint types

	[EtienneAr feedback] Move transferVariant to joint-basic-visitors and document it

	[EtienneAr feedback] PoC: fix appendModel

	[EtienneAr feedback] Fix sample model for mimic in manipulator

	[EtienneAr feedback] Joint Mimic jointConfigSelector_impl follows conventions en return a 0 length vector (and apply pre-commit formatting)

	[EtienneAr feedback] Fix appendToModel when mimic joint in model

	[EtienneAr feedback] Apply pre-commit

	[EtienneAr feedback] Turn on mimic joint in model, reachable-workspace, sample-models unittest

	[EtienneAr feedback] Split jointCols jointRows and jointBLock for full and reduced system

	[URDF] Modified the way mimic joint are added (still broken for romeo....)

	[urdf] Fix parsing of mimic joints

	[Example] Fix to include mimic

	[robot_wrapper] Fix to include mimic

	Merge branch

	[RNEA] Modify to take mimic into account

	[Mimic] Modify to be able to mimic from base to Tpl

	[SampleModel] Test to compare a mimic and non mimic model

	[Data] Check on mimic is disable for now

	Working test

	[EtienneAr feedback] Fix RNEA: initialize tau to zero before summing

	[EtienneAr feedback] Fix crba for mimic joints

	[EtienneAr feedback] Test crba before rnea for mimic joints

	[EtienneAr feedback] Port crba fix to algorithm with other convention

	[EtienneAr feedback] Port crba fix to rnea, compute-all-terms and constrained-dynamics

	[EtienneAr feedback] Revert useless change on Fcrb in crna.hxx

	[EtienneAr feedback] Make M matrix symetric in test

	[EtienneAr feedback] Properly use data.nle instead of rnea

	[EtienneAr feedback] Fix crba for mimic joints

	[EtienneAr feedback] Fix RNEA after chage for mimic joints

	[example] Change buildModelUrdf - added mimic bool

	[mimic-joint] Added support for FreeFlyer

	[unittest] Added bool mimic to build urdf

	[Joint] Split Joint ConfigSelector in two functions

	Apply pre-commit

	Split JointVelocitySelector in two functions

	Apply pre-commit

	[EtienneAr feedback] Add more test for joint mimic in non trivial cases

	[EtienneAr feedback] Fix scaling and offset in mimic joint calc

	[EtienneAr feedback] WiP: Fix ConfigVectorAffineTransform template specialization

	[EtienneAr feedback] Make visitor for config vector affine transform

	[EtienneAr feedback] Move configVectorAffineTransform code to joint-basic-visitor

	[EtienneAr feedback] Add more test cases for config vector affine transforms

	[EtienneAr feedback] Test affine transform for identity and non identity cases

	[EtienneAr feedback] Cleaner floating point comparison for NoAffineTransform assert

	[EtienneAr feedback] keep original q and v in JointDataMimic

	[EtienneAr feedback] [Mimic] Set indexes of ref joint to 0

	[EtienneAr feedback] Fix mimic test for slightly new convention of ref joint idx_q, idx_v set to 0

	[EtienneAr feedback] Fix serialization for mimic joint with setIndexes

	[bindings] Added mimic to context

	[parser] remove std::cout

	[bindings] BROKEN - Added specialization for mimic joint in bindings

	[python] Added jointModelMimicable to context

	[bindings] Fix mimic specialization for constructor

	[context] Added mimicable joint

	[bindings] Finished specialization for mimic

	{Joints@ Added mimicable trait

	[Visitor] Change TransferVariant visitor into checkMimic visitor

	[Joint] Remove mimicable joint collection

	[Joint] Use check mimic for jointMimic constructor

	[bindings] Make bindings conform to new jointMimic

	[EtienneAr feedback] Make random humanoid with mimic joint

	[EtienneAr feedback] Fix size in jointBlock

	[EtienneAr feedback] Fix mimic serialization for joint_q joint_v

	[EtienneAr feedback] Remove problematic testcase for mimic in python

	[EtienneAr feedback] Add slightly more test on sample models for mimic

	[EtienneAr feedback] Fix rebase conflict

	[EtienneAr feedback] Activate mimic for joint-jacobian test

	[EtienneAr feedback] Fix some size for mimic col/row selection

	[EtienneAr feedback] Fix joint jacobians computation for mimic

	[EtienneAr feedback] WiP fix crba malloc

	[EtienneAr feedback] Remove temporary variables before return for joint mimic

	[EtienneAr feedback] Add stack allocation feature for JointMotionSubspaceTpl class and remove dedicated class

	[CRBA] Update computation of Ag

	[EtienneAr feedback] Small serialization fix after changes in JoitMotionSubspaceTpl

	[EtienneAr feedback] Fix on Jcom for mimic

	[EtienneAr feedback] Fix corriolis computation for mimic leading

	[EtienneAr feedback] Enable mimic in rnea tests

	[EtienneAr feedback] Define MaxDim in ScaledJointMotionSubspace and fix mimic test with it

	[EtienneAr feedback] Add dedicated mimic test for crba

	[EtienneAr feedback] Template ScaledMotionSubspace on MaxDim

	[EtienneAr feedback] Add getRelativePlacement method for kinematics

	[EtienneAr feedback] add patch to crba for mimic joints

	[EtienneAr feedback] Update comment and remove hardcoded max size for crba patch

	[EtienneAr feedback] Make random humanoid with mimic joint

	[algorithm/model] Added a function to transform a joint into a mimic

	[unittest/model] Added test for transformIntoJointMimic

	Apply pre-commit

	Fix rebase

	[Algorithm/model] Remove useless if

	[EtienneAr feedback] Fix crba in local convention to prevent heap allocation

	[EtienneAr feedback] Add assert for crba in world convention with mimic joints

	[EtienneAr feedback] More exhaustive testing of crba for mimic

	[EtienneAr feedback] Remove useless override of joint{Config,Velocity}From{Nv,Dof}Selector_impl and patch base FromDof ones

	[EtienneAr feedback] Fix selectConfigFromDof for JointModelTpl in the case of a mimic by using a visitor

	[EtienneAr feedback] Fix ConfigSelectorFromDof visitor

	[EtienneAr feedback] Fix CRBA test for mimic, and remove mimic in world convention test

	[EtienneAr feedback] Fix G matric for mimic crba test

	[EtienneAr feedback] Patch warnings in mimic crba test

	[Algorithm/crba] Fix world convention for mimic joints

	fix not working for all cases (spaced and parallel)

	[algo/crba] Fix for crba world (works for spaced and parallel)

	Fix crba world (small issue with parallel joint at the root where the two subtree meet)

	Fix for world convention

	Make centroidal algorithm compatible with mimic and add tests

	Add mimic tests to rnea

	Add security

	[EtienneAr feedback] Fix getRelativePlacement and add unit test

	Add security

	[EtienneAr feedback] Fix ForceOperator for generic motion subspace and mimic and prevent any malloc

	[EtienneAr feedback] Patch previous fix on ForceOperator for motion subspace tpl

	Fix some errrors for com computation

	[Rnea] Patch Algorithms for mimic

	remove mimic joints from test

	[unittest/rnea] Add more test

	Fix tests and remove modification for Coriolis Matrix

	[rnea] Remove useless setZero

	[Urdf] Rebase on new pinocchio release

	Add assert to non supported algorithms

	[algo/crba] Fix local convention for crba

	[EtienneAr feedback] Comment local fix for crba and don't use getRelativePlacement to remove redundant computations

	[EtienneAr feedback] Add comments to world fix for crba and factorize code to prevent duplication

	Update examples

	[EtienneAr Feedback] Fix LOCAL enum ambiguity in getRelativePlacement

	[EtienneAr Feedback]Fix Scalar / int confusion for model index

	[EtienneAr Feedback] Fix explicit ConfigVectorAffineTransformVisitor template parameters

	[EtienneAr Feedback] Fix Scalar / int confusion for joint mimic index

	[bindings/urdf] Rebasing

	Make code compile with CppAd

	[algo/crba] remove double function

	[unittest/kinematics] Cast to avoid errors

	[multibody/geometry] Force scalar to be double

	[multibody/op] Only do comparison when scalar=double

	Remove compilation warnings

	Fix crba and some tests for casadi

	[EtienneAr Feedback] Fix Scalar forced to double for GeometryObjects

	[EtienneAr Feedback] Fix casadi test for joint mimic

	[serialization] Fix template errors

	Fix examples

	Fix Serialization

	Fix examples

	[test/rnea] Try fix for windows

	[EtienneAr Feedback] Swap import order

	[EtienneAr Feedback] Fix PINOCCHIO_EXPLICIT_INSTANTIATION DECLARATION to DEFINITION for transformJointIntoMimic

	[EtienneAr Feedback] Update changelog

	[EtienneAr Feedback] Add explicit to single argument constructors

	Applied pre-commit

	Fix init problem

	[algo/jacobian] Fix rebasing

	python: Fix linting

	[kinematics] Add documentation to getRelativePlacement

	[algo/model] Change error message to be more precise

	[algo/model] Access directly to variables

	[algo/model] Remove casting

	[algo/model] Simplify function

	[algo/jacobian] Remove useless line

	[algo/jacobian] Remove useless cast

	[algo/kinematics] Access directly variables

	[algo/kinematics] Remove inline

	[algo/crba] access variables directly

	[algo/crba] Remove inline

	Change naming convention

	Added assert for non supported algorithms and apply precommit

	[EtienneAr feedback] Fix -Wreorder for urdf parsing of mimic joints / and mimiced -> mimicked for naming consistency

	[EtienneAr feedback] Simplify getRelativePlacement by doing two backward passes

	[EtienneAr feedback] Remove unused scaling in JointDataMimic

	[algorithms] Use throw instead of assert

	[parser/urdf] Correct urdf parser

	Apply pre-commit

	Renaming nj and idx_j into nvExtended and idx_vExtended to be conform to the new convention

	[EtienneAr feedback] Revert all changes in unsupported algorithms

	[Check] Define MimicChecker to check if model has mimic joint

	[Check] Add model checker to all non supported algorithms for model with mimic joints

	[EtienneAr feedback] topic/mimic: nvSubtree_fromRow/parents_fromRow indexed by extended model, add condensed version of G matrix and fix jacobians

	Remove mimicable collection variant and associated function

	[unittest] Revert changes to not pollute pr

	Apply pre-commit

	[Check] Add Mimic Checker to checker list

	cppad: Deactivate algorithm geometry and model explicit template instantiation

	algorithm: Split check into two headers to avoid include dependency hell in contact-cholesky.hxx

	[Cmake] Update sources file

	cmake: Add check.hpp

2025-02-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2593 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.3
	build(deps): bump prefix-dev/setup-pixi from 0.8.2 to 0.8.3

2025-02-24  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.2 to 0.8.3
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.2 to 0.8.3.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.2...v0.8.3)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-02-21  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2589 from nim65s/mail
	subscribe to ROS buildfarm mails

2025-02-20  Guilhem Saurel  <guilhem.saurel@laas.fr>

	subscribe to ROS buildfarm mails

2025-02-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2574 from ManifoldFR/topic/cpp-visualization-api
	Add C++ visualization API and some macros for scalar contexts

	changelog: update

	viewer: add missing typedef

	viewer: use PINOCCHIO_COMMON_TYPEDEF

	core/generic: use PINOCCHIO_OPTIONS_DEFAULT

	core: introduce PINOCCHIO_OPTIONS_DEFAULT

	cmake: fix linkage of pinocchio_visualizers
	Should link to hpp-fcl::hpp-fcl

	spatial: use typedef from context

	spatial: remove duplicate typedef from fwd

	core: add PINOCCHIO_COMMON_TYPEDEF macro

	core: fix struct

2025-02-17  ManifoldFR  <wilson.jallet@polytechnique.org>

	Update CHANGELOG (again)

2025-02-17  Justin Carpentier  <justin.carpentier@inria.fr>

	viewer: use context directly

	core/context: add missing typedef SE3

	cmake: sync submodule

2025-02-17  ManifoldFR  <wilson.jallet@polytechnique.org>

	Restore pinocchio_config() CMake step for pinocchio_visualizers

	[unittesŧ] add test body

	base-visualizer.cpp : it is a good idea to initialize your nullptrs...

	pinocchio/visualizers/base-visualizer.hpp : actually export BaseVisualizer symbols

	[unittest] add test visualizer.cpp

	Add "visualizers" target to the omnibus pinocchio::pinocchio target link interface

	pinocchio/bindings/python/visualizers : fix visitor

	pinocchio/visualizers/base-visualizer.hpp : add template overload for display() (account for no CTAD in Cpp14)

	Fix visualizers header install

2025-02-17  Wilson  <wilson.jallet@polytechnique.org>

	pinocchio/visualizers/base-visualizer.hpp : remove namespace alias

2025-02-17  ManifoldFR  <wilson.jallet@polytechnique.org>

	Update CHANGELOG

	[visualizers] Allow BaseVisualizer to *borrow* external data pointers.

	visualizers/BaseVisualizer : use reference_wrapper for m_model

	visualizers : collisionModel() getter returns reference, throws if nullptr

	Move BaseVisualizer to its own new "pinocchio_visualizers" target

	Move base-visualizer to new header dir pinocchio/visualizers

	[bindings/python] Rename VisualizerVisitor to VisualizerPythonVisitor
	sources.cmake : add "extra/visualizer-visitor.hpp" bindings header

	Add C++ visualization API: add class BaseVisualizer, and Python visitor

2025-02-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2584 from stack-of-tasks/dependabot/github_actions/devel/prefix-dev/setup-pixi-0.8.2
	build(deps): bump prefix-dev/setup-pixi from 0.8.1 to 0.8.2

2025-02-17  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump prefix-dev/setup-pixi from 0.8.1 to 0.8.2
	Bumps [prefix-dev/setup-pixi](https://github.com/prefix-dev/setup-pixi) from 0.8.1 to 0.8.2.
	- [Release notes](https://github.com/prefix-dev/setup-pixi/releases)
	- [Commits](https://github.com/prefix-dev/setup-pixi/compare/v0.8.1...v0.8.2)

	---
	updated-dependencies:
	- dependency-name: prefix-dev/setup-pixi
	  dependency-type: direct:production
	  update-type: version-update:semver-patch
	...

2025-02-13  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: fix

2025-02-12  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.4.0

	release: Update pixi.toml version to 3.4.0

	release: Update CHANGELOG.md for 3.4.0

	release: Update package.xml version to 3.4.0

2025-02-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2570 from nim65s/space
	parser: improve error message

2025-02-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	parser: improve error message

2025-02-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2569 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-02-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2025-01-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2566 from nim65s/register
	python: register Model

	Merge branch 'devel' into register

2025-01-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2564 from nim65s/cxx11
	clean useless uses of PINOCCHIO_WITH_CXX11_SUPPORT

2025-01-29  Guilhem Saurel  <guilhem.saurel@laas.fr>

	update changelog

	bindings: register Data, GeometryModel, GeometryData

	add changelog entry

	python: register Model

	add changelog entry

	clean useless uses of PINOCCHIO_WITH_CXX11_SUPPORT
	since C++11 is already enforced in CMakeLists.txt

2025-01-26  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: update bib

2025-01-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2558 from ManifoldFR/topic/cmake-sync-submodule-and-mathjax
	cmake : sync submodule + fix MathJax relpath, remove DOXYGEN_USE_TEMPLATE_CSS, remove MATHJAX_FORMAT spec

2025-01-24  ManifoldFR  <wilson.jallet@polytechnique.org>

	cmake : sync submodule + fix MathJax relpath, remove DOXYGEN_USE_TEMPLATE_CSS, remove MATHJAX_FORMAT spec

2025-01-24  Justin Carpentier  <justin.carpentier@inria.fr>

	license: increase copyright year

2025-01-13  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2554 from EtienneAr/topic/ament-ros2
	Remove small code duplication in CMakelists.txt for ROS2/Ament packaging

2025-01-13  earlaud  <etienne.arlaud@inria.fr>

	[topic/ros2] BUILDING_ROS2_PACKAGE option set to default True in latest jrl-cmakemodules release

2025-01-13  Joris Vaillant  <joris.vaillant@inria.fr>

	pixi: Fix pixi.toml breaking change

2025-01-13  EtienneAr  <48348317+EtienneAr@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	[topic/ros2] ROS in capital letters

2025-01-13  earlaud  <etienne.arlaud@inria.fr>

	Remove duplicate code for AMENT with jrl-cmakemodule

2025-01-10  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2548 from MegMll/topic/fix_mjcf_site
	Mjcf Parser : Fix adding the sites frames

2025-01-10  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] auto fixes from pre-commit.com hooks
	for more information, see https://pre-commit.ci

2025-01-10  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	[Mjcf] Do not store frame

	[Mjcf] Remove trailing white space

2025-01-10  Megane Millan  <megane.millan@inria.fr>

	[Changelog] Add Entry

	[mjcf] replace with throw pretty

	[mjcf] Use the frame of the parent body of the sites

	[mjcf] Add unittest for parentJoint of sites

2025-01-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2530 from jcarpent/topic/coal
	Fix var naming in Python

	Merge branch 'devel' into topic/coal

2025-01-09  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2549 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2025-01-08  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Apply format

	python: Try a last fix

2025-01-07  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Use new Optional syntax

	python: Make type alias working in python 3.8

	pre-commit: Fix py38 support

	pre-commit: Apply ruff fixes

2025-01-07  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] auto fixes from pre-commit.com hooks
	for more information, see https://pre-commit.ci

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/mirrors-clang-format: v19.1.1 → v19.1.6](https://github.com/pre-commit/mirrors-clang-format/compare/v19.1.1...v19.1.6)
	- [github.com/astral-sh/ruff-pre-commit: v0.6.9 → v0.8.6](https://github.com/astral-sh/ruff-pre-commit/compare/v0.6.9...v0.8.6)

2025-01-07  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Merge pull request #2535 from JafarAbdi/fix_unknown_size_vector
	mjcf parser: Fix unknown size vector parsing

2025-01-06  Jafar Uruç  <jafar.uruc@gmail.com>

	Merge branch 'devel' into fix_unknown_size_vector

2025-01-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2546 from nim65s/rpath
	CMake: fix RPATH on macos

2025-01-06  JafarAbdi  <jafar.uruc@gmail.com>

	Add changelog

	Improves MJCF unknown size vector parsing robustness

2025-01-06  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add entry

	core: Fix aba explicit template instantiation
	core: Fix typo

2025-01-06  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

2025-01-06  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: fix RPATH on macos
	Re-apply #1908 which was
	somehow forgottent during the v3 merge.

	fix #2545

2025-01-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2541 from jorisv/topic/fix_aba_template_instantiation
	Fix aba explicit template instantiation

	Merge branch 'devel' into topic/fix_aba_template_instantiation

	Merge pull request #2537 from JafarAbdi/feature/mjcf_mesh_with_vertices
	Add support for vertex-based mesh definitions in MJCF

2025-01-03  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add entry

	core: Fix aba explicit template instantiation
	core: Fix typo

2025-01-02  JafarAbdi  <jafar.uruc@gmail.com>

	Use PINOCCHIO_THROW_PRETTY rather than plain exception

	Replace hpp::fcl::MatrixX3s with Eigen::MatrixX3d

	Add changelog

	Support vertex-based mesh definitions in MJCF

2025-01-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2540 from nim65s/nix
	Nix: update flake lock

2025-01-02  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ci: weekly update flake lock

	nix flake update

	nix: clean

2025-01-02  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2538 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

2025-01-01  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2024-12-24  Justin Carpentier  <justin.carpentier@inria.fr>

	python: hpp::fcl:: -> coal::

2024-12-23  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: sync

	python: hpp::fcl:: -> coal::

	Merge pull request #2529 from jcarpent/topic/submodule
	Sync submodule cmake

	cmake: sync submodule

2024-12-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2526 from JafarAbdi/fix_default_eulerseq
	Mjcf: Use xyz as a default value for eulerseq compiler option

	changelog: sync

2024-12-22  JafarAbdi  <jafar.uruc@gmail.com>

	Mjcf: Initialize mapEulerAngles to identity matrix by default

2024-12-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2517 from jorisv/topic/collision_in_core_quickfix
	Activate collision specific features in pinocchio_default

2024-12-19  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Set CMAKE_PREFIX_PATH in tests

	cmake: Don't add hpp-fcl as pkg-config dependency since hpp-fcl don't provide .pc anymore

	cmake: Try to use hpp-fcl include path in default

	changelog: Add entry

	ci: Fix linux.yml find_package

2024-12-18  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Define PINOCCHIO_WITH_HPP_FCL in pinocchio_default to build all algorithms features

2024-12-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2514 from bxtbold/master
	fix: typo

2024-12-16  bxtbold  <bxtbold@protonmail.com>

	fix: fix typo

2024-12-13  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.3.1

	release: Update pixi.toml version to 3.3.1

	release: Update CHANGELOG.md for 3.3.1

	release: Update package.xml version to 3.3.1

	Merge pull request #2511 from jcarpent/topic/meshcat
	Fix scaling support for meshcat

	python: Add more generic check

	python: Run code formatting

	python: Add type annotation and assert on size

	python: Use @ instead of .dot

2024-12-12  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: update

	python/meshcat: fix scaling support

	Merge pull request #2510 from stephane-caron/devel
	Switch from os.path to pathlib in MeshCat visualizer

2024-12-12  Stéphane Caron  <stephane.caron@inria.fr>

	Add type annotations to meshcat_visualizer.py

	Switch from os.path to pathlib in meshcat_visualizer.py

2024-12-09  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2502 from jorisv/topic/fix_coal
	Fix coal integration

	changelog: Add entry

	unittest: Add compatibility with hpp-fcl

	examples: Avoid quadrotor-ocp.py failure if Ipopt doesn't find a solution

	ci: When updating pixi, run the CI with build_all label to tests all options

	unittest: Avoid error on coal bad collision detection

2024-12-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2503 from jorisv/topic/fix-meshcat-examples
	Fix meshcat examples

2024-12-06  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Run linter

	changelog: Add entry

	examples: Fix meshcat examples

2024-12-03  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2495 from stack-of-tasks/topic/update-pixi
	Update pixi lockfile

	ci: Remove pixi version to avoid issues with the new pixi.lock format

	pixi: Use last hpp-fcl package

	ci: Try to remove version conflicts

	cmake: Fix warning with CMP0177 policy

2024-12-03  jorisv  <778707+jorisv@users.noreply.github.com>

	pixi: Update pixi lockfile

2024-12-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2492 from jcarpent/topic/cmake
	Sync submodule CMake

2024-11-30  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: apply pre-commit

	cmake: sync submodule

2024-11-25  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: add Ajay as core dev

2024-11-23  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2481 from ManifoldFR/topic/remove-unused-include
	topic/remove unused include

2024-11-23  ManifoldFR  <wilson.jallet@polytechnique.org>

	Remove unused includes for <iostream> and <iomanip>

2024-11-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2478 from abussy-aldebaran/topic/dae_texture
	meshcat_visualizer: force type of image paths to pathlib.Path

2024-11-15  Antoine Bussy  <antoine.bussy@aldebaran.com>

	Update CHANGELOG.

	meshcat_visualizer: force type of image paths to pathlib.Path

2024-11-13  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2477 from MegMll/fix/mjcf_armature
	Mjcf : Fix parsing of armature parameters

	changelog: Add entry

	mjcf: Copy frame to avoid undefined behavior when modifying the frames vector

2024-11-13  Megane Millan  <megane.millan@inria.fr>

	Update Changelog

	[parser/mjcf] Remove useless typedef

	[parser/mjcf] Add parsing of the default without name class

	[parser/mjcf] Armature uses nv

	[parser/mjcf] Simplify concatenation

	Update changelog

	[parser/mjcf] test parsing of armature

	[parser/mjcf] Change armature representation to fit the one that is in pinocchio model

2024-11-12  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2469 from jorisv/topic/hidden_symbols
	Hide all symbols by default

2024-11-09  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Update changelog

	python: Don't generate config.hpp for Python bindings

	dev: Add a scripts to find common symbols

	python: Deactivate hidden visibility when building cppadcg binding on osx

	cmake: Use last jrl-cmakemodules

	core: Avoid a GCC explicit template instantiation and symbol visibility bug

	changelog: Add entry

	cmake: Use patched jrl-cmakemodules

	pixi: Fix codegen environment

	python: Generate config.hpp for Python bindings to allow public API definition on Unix

	core: Declare ContactCholeskyDecompositionTpl part of the public API

	cmake: hide all symbols by default

2024-11-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2475 from jorisv/topic/fix_libpython_option
	Add pinocchio_python_parser target

2024-11-08  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Factorize python_parser test setup and add windows dll path

	pre-commit: lint cmake

	core: Move sources from bindings to core part

	Revert "cmake: Explicitly search for boost_python"
	This reverts commit 20c889b4b665d9e915fc3dea1913fdca1b7ddd84.

	cmake: Export some flags to other projects

	cmake: Explicitly search for boost_python

	cmake: Remove useless win specific code

	changelog: Add entry

	cmake: Rename BUILD_WITH_LIBPYTHON into BUILD_WITH_PYTHON_PARSER_SUPPORT

	python_parser: Try to remove some old code

	cmake: Add pinocchio_python_parser target

2024-11-06  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.3.0

	release: Update pixi.toml version to 3.3.0

	release: Update CHANGELOG.md for 3.3.0

	release: Update package.xml version to 3.3.0

2024-11-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2472 from jorisv/topic/new_version_task
	Add a task to easily release a new EigenPy version

2024-11-06  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Update paths-ignore

	readme: Fix linting

	ci: Add no changelog label in update lockfile PR

	pixi: Move activation scripts

	readme: Split readme
	readme: summarize conda instruction

2024-11-05  Joris Vaillant  <joris.vaillant@inria.fr>

	readme: Add release instructions

	pixi: Add new-version environment

	cmake: Use last jrl-cmakemodules

2024-10-31  Joris Vaillant  <joris.vaillant@inria.fr>

	Revert "changelog: Add entry"
	This reverts commit e1e18c5c317653c9d6f80bdaea9de3747237ce2c.

2024-10-30  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add entry

2024-10-29  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2466 from jcarpent/topic/jacobians
	Fix bug for get{Joint,Frame}JacobianTimeVariation

2024-10-28  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: sync

	test/frames: fix testing of getFrameJacobianTimeVariation

	algo/frames: fix bug with getFrameJacobianTimeVariation

	algo/frames: remove call to PINOCCHIO_EIGEN_CONST_CAST

	test/jacobians: enforce correct testing of getJointJacobianTimeVariation

	algo/jacobians: fix bug with getJointJacobianTimeVariation

	algo/jacobians: use const_cast_derived()

2024-10-28  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2459 from jorisv/topic/pixi
	Add pixi support

	ci: Don't launch CI on CHANGELOG.md

	changelog: Add entries

2024-10-25  Joris Vaillant  <joris.vaillant@inria.fr>

	pixi: Move all scripts inside build_scripts/pixi/

	ci: Add auto lockfile update workflow

	changelog: Add entry

	readme: Add Pixi build instruction

	unittest: Fix sincos on OSX in Debug mode

	core: Initialize all RigidConstraintDataTpl values

	mjcf: Fix unit test with last Boost version

	cppad: Fix cppad build with last version

	python: Avoid Python bindings crash on OSX in Debug

	ci: Add a workflow that use Pixi and remove conda workflow

	pixi: Add pixi.toml

2024-10-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2456 from MegMll/topic/weekly_ci
	Add a scheduled run on ci with build_all

	pre-commit: Apply formating

	ci: Revert change on linux.yml

2024-10-15  Megane Millan  <megane.millan@inria.fr>

	[ci] Schedule ci for monday midnight

	[ci] fix error in scripts

	[ci] fix error in windows ci

	[ci] Remove useless lines

	[ci] use only build_all as label

	[ci] Add global LABELS variable (and chenge schedule to test it)

	[ci] Remove log entry from get_compilation_flags.js

	[ci] Schedule for sunday night

	[ci] Remove useless checkout for linux/mac ci

	[ci] Apply pre-commit

	[ci] Make sure scheduled workflow run with build_all

	[ci] When scheduled, checkout on devel branch

2024-10-14  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2452 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-8d0620b3c43fc3bb2599b6ede6e0a261a2eced02
	build(deps): bump ros-industrial/industrial_ci from d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b to 8d0620b3c43fc3bb2599b6ede6e0a261a2eced02

2024-10-14  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b to 8d0620b3c43fc3bb2599b6ede6e0a261a2eced02.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b...8d0620b3c43fc3bb2599b6ede6e0a261a2eced02)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2024-10-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2450 from ubgk/fix/windows-ci-badge
	[README] Fix the CI badge for the Windows workflow

2024-10-11  ubgk  <82390536+ubgk@users.noreply.github.com>

	Fix the CI badge for the Windows workflow

2024-10-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2448 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-10-08  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] auto fixes from pre-commit.com hooks
	for more information, see https://pre-commit.ci

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/mirrors-clang-format: v18.1.8 → v19.1.1](https://github.com/pre-commit/mirrors-clang-format/compare/v18.1.8...v19.1.1)
	- [github.com/pre-commit/pre-commit-hooks: v4.6.0 → v5.0.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.6.0...v5.0.0)
	- [github.com/astral-sh/ruff-pre-commit: v0.6.2 → v0.6.9](https://github.com/astral-sh/ruff-pre-commit/compare/v0.6.2...v0.6.9)

2024-10-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2447 from stack-of-tasks/dependabot/github_actions/devel/cachix/install-nix-action-30
	build(deps): bump cachix/install-nix-action from 29 to 30

2024-10-07  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump cachix/install-nix-action from 29 to 30
	Bumps [cachix/install-nix-action](https://github.com/cachix/install-nix-action) from 29 to 30.
	- [Release notes](https://github.com/cachix/install-nix-action/releases)
	- [Commits](https://github.com/cachix/install-nix-action/compare/v29...v30)

	---
	updated-dependencies:
	- dependency-name: cachix/install-nix-action
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2024-10-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2443 from jorisv/topic/fix_examples
	Fix some examples

2024-10-03  Joris Vaillant  <joris.vaillant@inria.fr>

	pre-commit: Sort import

	changelog: Add entry

	example: Load cassie from example_robot_data

	example: Use GepettoVisualize

	Merge pull request #2296 from simeon-ned/devel
	Different inertia parametrizations and Physical consistency

	unittest: Rewrote some code to please codacy

	changelog: Add entry

	python: Add some guards when providing vector of size (10, 1)

	python: Use last __array__ API

	python: Add cast method to PseudoInertia and LogCholeskyParameters

	python add PseudoInertia::toInertia binding

	python: Remove compiler diagnostic pragma

2024-10-03  Lev Kozlov  <kozlov.l.a10@gmail.com>

	test: inertia parametrization

	fix: update spatial to work well with bindings

	fix: add proxy `toDynamicParameters`

	fix: update python bindings for pseudo inertia and logcholesky

	fix: update changelog

	fix: update codacy

	feat: expose pseudo inertia and logcholesky

	fix: formatting issues

	fix: update bindings

2024-10-03  simeon  <simkaned@gmail.com>

	removed unecesarry comments

	exposed log cholesky

	exposed pseudo inertia

	exposed inertia transforms

2024-10-03  Simeon Nedelchev  <simkaned@gmail.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	Update include/pinocchio/spatial/inertia.hpp

2024-10-03  simeon  <simkaned@gmail.com>

	removed unnecessary constructors, minor fixes

	code formatting, minor style fixes

	renaming, minor refactoring

	removed outdated cpp tests

	minor reordering in tests

	removed outdated python tests

2024-10-03  Simeon Nedelchev  <simkaned@gmail.com>

	Feature/modified inertia (#2)
	*  structures for inertia and logcholesky

	* added conversion from logcholesky to inertia,

	* fixed logcholesky and pseudo templates, add disp

	* unit tests in cpp

2024-10-03  Lev Kozlov  <kozlov.l.a10@gmail.com>

	style: apply pre-commit

	test: conversions tests

2024-10-03  simeon  <simkaned@gmail.com>

	added unit tests for logcholesky and pseudo in py

	removed unnecesary comments

	added logcholesky jacobian, fixed pybinds

	fixed typo in logcholesky

	added pseudo inertia conversion

	added conversion from logcholesky to inertia

2024-10-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2431 from nim65s/path
	bindings: allow use of `pathlib.Path | str` for paths

2024-10-02  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Don't use Py_IsNone that is not supported by all Python version

	python: Remove Path management in extract(bp::list) to avoid issue when working with a non string vector

	pre-commit: Apply formating

	python: Manage package_dir as list of path in urdf parser

	python: Take a Path|Str or a [Path|Str]

2024-10-02  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	os.path -> pathlib

2024-10-01  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ruff: select PTH rules

	bindings: filename can be pathlib.Path | str

2024-10-01  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Add other boost archive type

	changelog: Add entries

	changelog: Regroup entry in same sections

	core: Add MSVC with C++17 workaround for Eigen serialization

2024-10-01  Megane Millan  <megane.millan@inria.fr>

	Make name of js script more explicit

2024-10-01  Joris Vaillant  <joris.vaillant@inria.fr>

	unittest: Fix sdf package dir path

	unittest: Fix sdf path

2024-10-01  Megane Millan  <megane.millan@inria.fr>

	Add sdf to build_all

	add a var and print

	[workflows] Change labels for windows

2024-10-01  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Update README.md

2024-10-01  Megane Millan  <megane.millan@inria.fr>

	Update Readme.md

	Simplify check_label.js

	[workflows] modify compilation flags based on os

2024-09-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2439 from stack-of-tasks/dependabot/github_actions/devel/cachix/install-nix-action-v29
	build(deps): bump cachix/install-nix-action from V28 to 29

2024-09-30  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump cachix/install-nix-action from V28 to 29
	Bumps [cachix/install-nix-action](https://github.com/cachix/install-nix-action) from V28 to 29. This release includes the previously tagged commit.
	- [Release notes](https://github.com/cachix/install-nix-action/releases)
	- [Commits](https://github.com/cachix/install-nix-action/compare/V28...v29)

	---
	updated-dependencies:
	- dependency-name: cachix/install-nix-action
	  dependency-type: direct:production
	...

2024-09-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2436 from jorisv/topic/numpy2
	Numpy 2 compatibility

2024-09-25  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Apply clang-format

	changelog: Add changelog entry

	python: Manage new numpy2 __array__ API

	Merge pull request #2402 from MegMll/topic/urdf_root_joint
	Update Model parsing 

2024-09-24  Joris Vaillant  <joris.vaillant@inria.fr>

	pre-commit: Apply pre-commit

	python: Apply codacy review

	unittest: Allow 6 failure because of Windows

2024-09-24  Megane Millan  <megane.millan@inria.fr>

	[parser/mjcf] Re-added every buildModelFromXML

	[python/shortcuts] Add empty list in case contact is true and rootJointName is not

2024-09-24  Joris Vaillant  <joris.vaillant@inria.fr>

	sdf: Replace `and` and `or` by `&&` and `||`

	sdf: Replace `not and `and` keyword into `!` and `&&`

	unittest: Normalize q vector to avoid some assertion

2024-09-23  Megane Millan  <megane.millan@inria.fr>

	[binding/mjcf] Add binding to support constraint and modify shortcut

	[parser/mjcf] Add combinatory arguments

2024-09-23  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Add WITH_SDFORMAT flag in Python binding and only run SDF test when this flag is defined

2024-09-23  Megane Millan  <megane.millan@inria.fr>

	Adding unittest for new api

	Fix sdf new api

	[python/shortcuts] Modify sdf  shortcut api

	[python/shortcuts] Add security

	[robot_wrapper] Fix argument

	[bindings/parsers] unify naming

	[bindings/shortcut] Simplify logic of code

	[bindings/parsers] simplify call

	Update Changelog

	[bindings/shortcut] Avoid code duplicate

	[bindings/shortcut] simplify for loop

	[robot_wrapper] update to match shortcuts

	[bindings/shortcut] update to accept positionnal arguments

	Update Changelog

	[python/shortcuts] Modify buildModels to take different sets of arguments and modify doc to explain possible arguments

	[parsers] Throw errors when no jointRootName is given

	[parser] unify naming

	[bindings/parser] Make doc clearer

	[unittest/mjcf] unify naming

	[bindings/parser] unify naming

	[bindings/parser] reintroduce old signature to not break api

	[parsers] Reintroduce old signature to not api

	[robot_wrapper] Add root_joint_name argument

	[parser/shortcuts] Fix shortcuts

	[bindings/parsers] Add rootJointName argument to bindings

	[parsers] Move rootJointName argument

	[parsers] Added reference

2024-09-23  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Update CHANGELOG.md

2024-09-23  Megane Millan  <megane.millan@inria.fr>

	[unittest/urdf] Update test to fit new convention

	[parser] Remove fixed frame root_joint at the base of parsed models

	[parser] Add rootJointName in urdfVisitor

	[parser/urdf] Add rootJointName parameter

	[parser/sdf] Add rootJointName parameter

	[parser/mjcf] Add rootJointName parameter

2024-09-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2413 from lvjonok/feature/parse-mjcf-equality
	Feature: Support for Parsing MJCF `equality/connect` Tag for Closed Chains

	test/mjcf: fix test of equality constraints

	parsers/mjcf: use map for Equality constraints

	test/mjcf: fix compilation warnings

	test/mjcf: enhance testing

	parsers/mjcf: clean

	changelog: sync

	parsers/mjcf: remove redundant PINOCCHIO_PARSERS_DLLAPI
	See https://learn.microsoft.com/en-us/cpp/error-messages/compiler-errors-1/compiler-error-c2487?view=msvc-170 for further explanations

2024-09-22  Lev Kozlov  <kozlov.l.a10@gmail.com>

	feat: add a simple test using reduced cassie model

	feat: generate a bunch of functions for contact model creation with mjcf

	feat: create constraint struct and parse

2024-09-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2430 from jcarpent/topic/examples
	Fix ruff warnings

	ruff: fix

	Merge pull request #2429 from jcarpent/topic/cmake
	Sync submodule CMake

	Merge pull request #2428 from jcarpent/topic/examples
	Add inverse-kinematics for translation error only

	Merge pull request #2418 from nim65s/ruff
	modernize python code base, part 2

	cmake: sync submodule

	changelog: sync

	examples: add inverse-kinematics for translation error only

2024-09-20  Justin Carpentier  <justin.carpentier@inria.fr>

	github/workflow: remove accelerate support for build_all

	Merge pull request #2425 from jcarpent/topic/rviz
	Fix abstract class error

2024-09-19  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: update

	python/viewers: fix abstract class error

2024-09-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2415 from abussy-aldebaran/feature/doc_null_space
	doc - Add explanations for null space projection.

2024-09-17  Antoine Bussy  <antoine.bussy@aldebaran.com>

	doc - Add explanations for null space projection.

2024-09-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ruff: select E, F, I, RUF, UP &  W

2024-09-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2419 from nim65s/viewers
	configurable default visualizer

2024-09-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	configurable default visualizer

2024-09-16  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>
	    dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>

	build(deps): bump cachix/install-nix-action from 27 to 28 (#2417)
	* build(deps): bump cachix/install-nix-action from 27 to 28
	
	Bumps [cachix/install-nix-action](https://github.com/cachix/install-nix-action) from 27 to 28.
	- [Release notes](https://github.com/cachix/install-nix-action/releases)
	- [Commits](https://github.com/cachix/install-nix-action/compare/v27...V28)
	
	---
	updated-dependencies:
	- dependency-name: cachix/install-nix-action
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...
	
	Signed-off-by: dependabot[bot] <support@github.com>
	
	* nix: avoid SIGTRAP on macos in pinocchio-example-py-casadi-quadrotor-ocp
	
	* nix flake update
	
	---------
	
	Signed-off-by: dependabot[bot] <support@github.com>

2024-09-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2416 from nim65s/issue/2304
	contact-info: cache nv, fix #2304

2024-09-14  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	contact-info: cache nv, fix #2304

2024-09-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2407 from stephane-caron/fix/broken_pages
	doc: Fix orphaned documentation pages for Features

2024-09-06  Stéphane Caron  <stephane.caron@inria.fr>

	doc: Move content from intro.md to existing Features page

2024-09-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2409 from stephane-caron/doc/free_flyer_config
	doc: Document the JointModelFreeFlyerTpl structure

2024-09-06  Stéphane Caron  <stephane.caron@inria.fr>

	doc: Document JointModelFreeFlyerTpl configuration/tangent

2024-09-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2404 from stack-of-tasks/nix
	Nix

2024-09-04  Guilhem Saurel  <guilhem.saurel@laas.fr>

	Nix

2024-09-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2405 from nim65s/pre-commit-fix
	Pre commit fix

2024-09-04  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ignore previous commit

	pre-commit run -a

2024-09-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2403 from MegMll/topic/mjcf_warning_and_root_joint
	Parser/mjcf : Add warning and fix root joint of mjcf models

2024-09-04  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	[parser/mjcf] Add security when testing texture type

2024-09-04  Megane Millan  <megane.millan@inria.fr>

	[unittest/mjcf] Test on which joints inertias are appended

2024-09-04  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Update CHANGELOG.md

2024-09-04  Megane Millan  <megane.millan@inria.fr>

	[parser/mjcf] Don't throw errors for textures that are not supported

	[parser/mjcf] Fix inertia appending of first body

2024-09-02  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: refresh Pinocchio3 section

	readme: sync table of contents

	readme: update foundations papers + related projects

2024-08-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2400 from fabinsch/fix-ci-win
	fix windows ci 

	changelog: sync

2024-08-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	cmake: do not use CMP0167 for clang-cl on win

2024-08-29  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	fix windows ci to use clang-cl

2024-08-27  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update CITATION.cff version to 3.2.0

	release: Update CHANGELOG.md for 3.2.0

	release: Update package.xml version to 3.2.0

2024-08-27  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Megane Millan  <megane.millan@inria.fr>

	Fix a few examples scripts (#2392)
	* [unittest] Remove compilation warning from mjcf test
	
	* [examples] Remove duplicate line
	
	* [examples] Update talos example
	
	* [examples] Update closed kinematic example
	
	* Update CHANGELOG.md
	
	---------

2024-08-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2393 from jcarpent/topic/examples
	Enhance CppAD benchmarks outputs + fix

	changelog: sync

	bench/cppad: enhance printing

	bench/cppad: enhance printing

	benchmark/cg: fix running issue

	Merge pull request #2388 from jcarpent/topic/examples
	Restructure CppAD and CasADi examples

	examples/casadi: fix Python warnings

	Merge pull request #2389 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

	core: fix namespace ambiguity on Windows systems

2024-08-26  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.6.1 → v0.6.2](https://github.com/astral-sh/ruff-pre-commit/compare/v0.6.1...v0.6.2)

2024-08-26  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix CasADi examples

	examples: fix cartpole examples when meshcat is missing

	example: remove Python warning

	cmake: fix CasADi example name for Python

	examples/casadi: remove useless functions

	changelog: sync

	examples/casadi: add ABA example

	examples/casadi: add RNEA example

	examples/casadi: fix ocp example

	examples/casadi: fix cartpole

	cmake: fix missing include

	examples: move CasADi files to a dedicated folder

	examples: mv autodiff to CppAD folder

	Merge pull request #2386 from MegMll/topic/mjcf_parsing_base
	Fix Mjcf parsing of root joint

	python/parsers: fix copyright + doc

2024-08-26  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Update CHANGELOG.md

2024-08-26  Megane Millan  <megane.millan@inria.fr>

	[mjcf] Use root body and joint associated with it

	[unittest] Remove root joint, and use the one in the model

2024-08-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2384 from jcarpent/topic/examples
	Restore URDF cpp example

	example/casadi: remove unused variables

	changelog: sync

	examples: restore URDF cpp example
	Solving https://github.com/stack-of-tasks/pinocchio/issues/2377

2024-08-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2382 from jcarpent/topic/deprecated
	Delete duplicated files + sync submodule CMake

2024-08-23  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: sync

	core: remove duplicated files
	They have been moved to:
	- multibody/constraint-base.hpp -> multibody/joint-motion-subspace-base.hpp
	- multibody/constraint-generic.hpp -> multibody/joint-motion-subspace-generic.hpp
	- serialization/joints-constraint.hpp -> serialization/joints-motion-subspace.hpp

	cmake: sync submodule

2024-08-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2378 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-08-19  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] auto fixes from pre-commit.com hooks
	for more information, see https://pre-commit.ci

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.7 → v0.6.1](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.7...v0.6.1)

2024-08-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2371 from jcarpent/topic/ci
	Fix printing of the options

	ci/labels: fix printing of the options

	Merge pull request #2370 from jcarpent/topic/casadi
	Fix compatibility with NumPy 2.x

	python/casadi: fix compatibility with NumPy 2.x

	Merge pull request #2369 from jcarpent/topic/ci
	Fix message and build_all label

	git/labels: fix message and flags

	git/workflow: add types to know when to run the check

	Merge pull request #2367 from nim65s/ruff
	modernize python code base

2024-08-13  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	add auto changes to git-blame-ignore

	pre-commit run -a

	pre-commit: ruff check

	manual ruff fixes & noqas

	ruff check --fix

2024-08-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2366 from abussy-aldebaran/feature/doc_null_space
	doc - Correct null space projection formula.

2024-08-13  Antoine Bussy  <antoine.bussy@aldebaran.com>

	doc - Correct null space projection formula.

2024-08-13  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate (#2368)
	* [pre-commit.ci] pre-commit autoupdate
	
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.6 → v0.5.7](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.6...v0.5.7)
	
	* [pre-commit.ci] auto fixes from pre-commit.com hooks
	
	for more information, see https://pre-commit.ci
	
	---------

2024-08-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2363 from stephane-caron/feature/wrapper_build_models_from_mjcf
	Add BuildFromMJCF function to RobotWrapper

2024-08-07  Stéphane Caron  <stephane.caron@inria.fr>

	Add unit test for loading an MJCF description via RobotWrapper

	Clean up unused package_dirs argument

	Update the changelog

	Add BuildFromMJCF function to RobotWrapper

2024-08-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2360 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b
	build(deps): bump ros-industrial/industrial_ci from 875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e to d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b

2024-08-07  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e to d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e...d23b9ad2c63bfad638a2b1fe3df34b8df9a2f17b)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2024-08-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2359 from stack-of-tasks/dependabot/github_actions/devel/tarides/changelog-check-action-3
	build(deps): bump tarides/changelog-check-action from 2 to 3

2024-08-07  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump tarides/changelog-check-action from 2 to 3
	Bumps [tarides/changelog-check-action](https://github.com/tarides/changelog-check-action) from 2 to 3.
	- [Release notes](https://github.com/tarides/changelog-check-action/releases)
	- [Commits](https://github.com/tarides/changelog-check-action/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: tarides/changelog-check-action
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2024-08-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2362 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-08-05  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.5 → v0.5.6](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.5...v0.5.6)

2024-07-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2354 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-07-29  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.4 → v0.5.5](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.4...v0.5.5)

2024-07-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2350 from stephane-caron/feature/meshcat_colmodcol
	Separate collision_color in MeshcatVisualizer.loadViewerModel

2024-07-27  Stéphane Caron  <stephane.caron@inria.fr>

	Add visual_color and deprecate color argument

	Apply ruff to meshcat_visualizer.py

	Update the changelog

	python: Separate collision_color in MeshcatVisualizer.loadViewerModel

2024-07-26  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2353 from abussy-aldebaran/feature/docs_typos
	doc - Correct ??? placeholder.

2024-07-26  Antoine Bussy  <antoine.bussy@aldebaran.com>

	doc - Correct ??? placeholder.
	These ??? where left out in #2351.

2024-07-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2351 from abussy-aldebaran/feature/docs_typos
	doc: Fix typos and errors.

2024-07-25  Antoine Bussy  <antoine.bussy@aldebaran.com>

	doc: Fix typos and errors.

2024-07-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2352 from abussy-aldebaran/feature/cmake_urdf
	cmake - Fix cmake when urdf support is disabled.

2024-07-25  Antoine Bussy  <antoine.bussy@aldebaran.com>

	cmake - Fix cmake when urdf support is disabled.
	Fix the error:

	CMake Error at CMakeLists.txt:247 (if):
	  if given arguments:

	    "BUILD_WITH_URDF_SUPPORT" "AND" "VERSION_GREATER" "0.4.2"

	  Unknown arguments specified

	when running cmake -DBUILD_WITH_URDF_SUPPORT=off

2024-07-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2348 from stephane-caron/docs/parameters
	Fix two equations and typos in the documentation

2024-07-24  Stéphane Caron  <stephane.caron@inria.fr>

	Fix two equations and typos in the documentation

2024-07-24  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2333 from jorisv/topic/workspace
	Enable jrl-cmakemodules workspace compatiblity

	pre-commit: Apply pre-commit

	cmake: Switch to upstream jrl-cmakemodules

	cmake: Setup back PYTHONHOME variable

	cmake: Add debug output for CI debugging

	cmake: Fix PATH setup on Windows

	pre-commit: Add --preserve-quotes options to avoid issue with docker image name

	changelog: Add changelog entry

	cmake: Use topic/workspace jrl-cmakemodules

	cmake: Configure PROJECT_SOURCE_DIR

	cmake: Export pinocchio_VERSION in parent directory

	cmake: Alias pinocchio target and fix include_directories

	cmake: Prefix all test target by pinocchio-

	cmake: Don't take python from eigenpy transitive dependency

	cmake: Use compute_pythonpath instead of redefining it

	cmake: Replace CMAKE_{SOURCE,BINARY}_DIR by PROJECT_{SOURCE,BINARY}_DIR

	cmake: Rename python target into pinocchio_python

	cmake: Disable automatic finalize call

2024-07-24  Marco Boneberger  <marco.boneberger@gauss-robotics.de>
	    Wolfgang Merkt  <wxmerkt@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>
	    Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	Fix urdfdom dependency (#2341)
	* fix urdfdom dependency in package.xml
	
	We now install the urdfdom that is provided by ROS instead of the package that comes from ubuntu
	
	* changelog: sync
	
	* ros: handle ROS1 and ROS2 context switch for urdfdom
	
	
	---------

2024-07-24  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	[pre-commit.ci] pre-commit autoupdate (#2344)
	* [pre-commit.ci] pre-commit autoupdate
	
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.2 → v0.5.4](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.2...v0.5.4)
	
	* [pre-commit.ci] auto fixes from pre-commit.com hooks
	
	for more information, see https://pre-commit.ci
	
	* ci: add missing checkout
	
	---------

2024-07-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2347 from jorisv/topic/remove_cmake_warnings
	Set policy CMP0167 to avoid warnings with CMake 3.30

2024-07-23  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add changelog entry

	cmake: Set policy CMP0167 to avoid warnings with CMake 3.30

	Merge pull request #2346 from MegMll/fix/automatic_comment
	CI - Fix automatic comment

2024-07-23  Megane Millan  <megane.millan@inria.fr>

	CI - Added checkout

2024-07-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2323 from nim65s/coal-compat
	non-breaking coal initial compatibility

2024-07-22  Joris Vaillant  <joris.vaillant@inria.fr>

	coal: Don't include hpp/fcl/config.hpp if collision is not enable
	Split forward declaration in a standalone header to avoid code
	duplication in sdf/geometry.hxx.

2024-07-22  Guilhem Saurel  <guilhem.saurel@laas.fr>

	changelog

	non-breaking coal initial compatibility

2024-07-22  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2343 from MegMll/topic/automatic_pr_comment
	Check Labels for pull requests

2024-07-22  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Create check_label.js

2024-07-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Add core headers to target library (#2340)
	* cmake: add core headers to target library
	
	This is mainly necessary when use cmake generator features
	
	* cmake: fix support for INTERFACE
	
	* cmake: move block
	
	* cmake: add missing BUILD_INTERFACE
	
	* cmake: handle @jorisv review comments

2024-07-18  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2334 from MegMll/topic/options_compilation_ci
	CI - Compilation options based on pull request labels

2024-07-18  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Add precision about the possible labels in the message

	Added bot comment to pr if no label are found

2024-07-18  Megane Millan  <megane.millan@inria.fr>

	Added libsdformat to conda environment for macos-linux and windows

	[CI] Added accelerate option

	[CI] Put explicit arguments back into workflow yaml

	[CI] Remove quote for macos linux ci

	[CI] Remove debug printing

	[CI] Update Flags for windows

	[ci] remove quote for windows

	[CI] Update windows ci to get minimal options

	[CI] Update get_label.js (make it more compact and complete)

	[CI] Add get labels to mac-linux worflow

	[CI] Add get flags into windows-conda ci

	[CI] Get pr labels to set compilation flags

2024-07-18  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2339 from nim65s/static-cast
	urdf parser: use static casts when type is known

2024-07-18  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

2024-07-17  Guilhem Saurel  <guilhem.saurel@laas.fr>

	parser urdf: use static_ptr_cast after inside type checks

2024-07-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2331 from jcarpent/topic/meshcat
	Fix Dae support in MeshCat

2024-07-16  Justin Carpentier  <justin.carpentier@inria.fr>

	python/examples: remove manual scaling

	changelog: sync

	python/examples: remove the use of gepetto-gui

	python/meshcat: fix scaling for DaeMeshGeometry

	python: enforce the use of MeshCat viewer

	changelog: sync

	python/meschat: fix Dae support

	Merge pull request #2330 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-07-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	yamlfmt cant handle colons

2024-07-15  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.1 → v0.5.2](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.1...v0.5.2)

2024-07-15  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Fix linux.yml

	ci: Add qhull-static dependency

2024-07-12  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2326 from MegMll/topic/ubuntu24_ci
	CI - Added support for ubuntu 24.04

	pre-commit: Apply pre-commit

2024-07-12  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Added green-light check

	[ci] Added support for ubuntu 24.04

2024-07-11  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2312 from nim65s/modernize-console-bridge
	CMake: modernize link to console_bridge

2024-07-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	CMake: modernize link to console_bridge

2024-07-11  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2322 from jorisv/topic/fix_pkg_config
	Add missing dependencies into pkg-config

	CI: Launch the new test in the CI

	test: Add a pkgconfig test for pinocchio_parsers

	changelog: Add entry

	cmake: Fix pkg-config dependencies

	Merge pull request #2318 from MegMll/topic/ci_docker_linux
	CI - Change Environment for Linux CI

2024-07-11  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	[ci] Add comment and remove sudo

2024-07-11  Megane Millan  <megane.millan@inria.fr>

	[ci] Restore cache to original value

2024-07-11  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	Update ubuntu version

2024-07-11  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	[ci] Remove root usage on container

2024-07-11  Megane Millan  <megane.millan@inria.fr>

	[ci] Setup linux ci with docker container

2024-07-10  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2315 from MegMll/topic/bindings_jmodel_variant
	Changed Geometry Objects bindings and added getMotionAxis function

2024-07-09  Joris Vaillant  <joris.vaillant@inria.fr>

	pre-commit: Update quarterly

2024-07-09  Megane Millan  <megane.millan@inria.fr>

	[bindings] Add precisions to documentation

	[Joint] Modify default behaviour and return const

	Update Changelog.md

	[bindings] Added revolute unbounded

	[Bindings] Joint specialization for getMotionAxis

	[joint] Added getMotionAxis function

	[Geometry Object] Use eigenpy variant converter

2024-07-09  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate (#2316)
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.5.0 → v0.5.1](https://github.com/astral-sh/ruff-pre-commit/compare/v0.5.0...v0.5.1)

2024-07-04  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CITATION.cff version to 3.1.0

	release: Update CHANGELOG.md for 3.1.0

	release: Update package.xml version to 3.1.0

2024-07-02  Sebastian Castro  <4603398+sea-bass@users.noreply.github.com>

	Clean up ROS README section and add ROS 2 example (#2309)
	* Clean up ROS README section and add ROS 2 example
	
	* Add spaces to ROS

2024-07-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2308 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-07-02  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/mirrors-clang-format: v18.1.7 → v18.1.8](https://github.com/pre-commit/mirrors-clang-format/compare/v18.1.7...v18.1.8)
	- [github.com/astral-sh/ruff-pre-commit: v0.4.10 → v0.5.0](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.10...v0.5.0)

2024-06-25  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate (#2302)
	* [pre-commit.ci] pre-commit autoupdate
	
	updates:
	- [github.com/pre-commit/mirrors-clang-format: v18.1.6 → v18.1.7](https://github.com/pre-commit/mirrors-clang-format/compare/v18.1.6...v18.1.7)
	- [github.com/astral-sh/ruff-pre-commit: v0.4.9 → v0.4.10](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.9...v0.4.10)
	
	* [pre-commit.ci] auto fixes from pre-commit.com hooks
	
	for more information, see https://pre-commit.ci
	
	---------

2024-06-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2300 from jcarpent/topic/pin3
	Fix contact derivatives test and restore missing tests

2024-06-24  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Fix format

	tests: Lower the precision required to allow test to pass on Windows

	core: Remove some warnings in computeConstraintDynamicsDerivatives

2024-06-24  Justin Carpentier  <justin.carpentier@inria.fr>

	windows: or -> ||

	changelog: sync

	test/impulses: remove WORLD reference

	test: restore comment tests

	algo/contacts: fix derivatives

	Merge pull request #2299 from mohammadYg/patch-1
	Argument missing in anymal-simulation.py

	changelog: sync

2024-06-24  mohammad hasan Yeganegi  <yeganegi.m94@gmail.com>

	Update anymal-simulation.py
	Robot's model was missed when calling pinocchio.RigidConstraintModel function

2024-06-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2297 from sea-bass/add-pyroboplan
	Add PyRoboPlan to open-source projects

2024-06-24  Sebastian Castro  <sebas.a.castro@gmail.com>

	Add PyRoboPlan to open-source projects

2024-06-22  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: add pre-commit badge

	Merge pull request #2295 from MegMll/fix/appendModel_parallel
	[Model] Fix appendModel for parallel joints at the base

	changelog: sync

2024-06-21  Megane Millan  <megane.millan@inria.fr>

	[AppendModel] Added unittest for model with parallel joints after base

	[AppendModel] Check the parents

	[Model] Fix appendModel

2024-06-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2292 from jorisv/topic/fix_deprecated_messages
	Fix Windows build

	Merge branch 'devel' into topic/fix_deprecated_messages

	Merge pull request #2294 from fabinsch/fix-mesh-visualization
	Fix mesh visualization in meshcat

2024-06-20  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	update changelog

2024-06-20  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meshcat: display mesh first

2024-06-20  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add changelog entry

	core: Fix Windows build in Debug mode

	changelog: Add changelog entry

	Fix deprecated header error message

	core: Define empty macro on Windows to avoid compilation issues

2024-06-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2284 from florent-lamiraux/devel
	Some minor modifications necessary to upgrade HPP

2024-06-18  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Clarify changelog

2024-06-18  Florent Lamiraux  <florent@laas.fr>

	Update CHANGLOG.md

	[algorithm] resolve ambiguity in JointModel type.
	  When using a different JointCollection, JointModel is not of the right type
	  and causes a compilation error.

	Return Vector3 instead of Vector3::ConstandReturnType
	  The compiler otherwise fails to evaluate method
	  TransformHelicalTpl::translation.

	Add a test on access to pose in joint data.

	Do not specify size of Identity for constant size matrices.

2024-06-18  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2288 from jorisv/topic/simplify_hpp_fcl_bindings
	Always suppose hpp-fcl Python binding are present when hpp-fcl C++ library is found

	changelog: Add changelog entry

2024-06-18  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Always suppose hpp-fcl Python binding are present when hpp-fcl C++ library is found
	Pinocchio Python binding needs hpp-fcl Python binding for
	collision/contact related algorithms.

	We allow with the `BUILD_WITH_HPP_FCL_PYTHON_BINDINGS` CMake variable to build
	Pinocchio C++ library with hpp-fcl but to ignore hpp-fcl in the Python
	bindings if the hpp-fcl Python bindings are not installed.

	This create the following issues:
	- To compute `BUILD_WITH_HPP_FCL_PYTHON_BINDINGS` we must call the
	  Python interpreter. This create some issue when cross compiling.
	- We never test this case in our CI, so we don't know if this option is
	  working.

	This PR remove this option to simplify the build.
	In the case an user build Pinocchio Python binding with hpp-fcl
	C++ library but without hpp-fcl binding, the Python interpreter will
	raise an ImportError.

2024-06-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2286 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-06-17  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.4.8 → v0.4.9](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.8...v0.4.9)

2024-06-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2282 from lvjonok/devel
	Kinetic and potential energy regressors

2024-06-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2283 from jcarpent/topic/cmake
	Sync submodule cmake

	core: fix Vector type

	readme: fix

	test/regressor: fix

	algo: fix segments

	test: remove useless var

	algo: add template instatiation compute{Kinetic,Potential}EnergyRegressor

	changelog: sync

	readme: add Lev Kozlov as contributor

	test: enhance

	algo: run pre-commit

	algo: rename var

	algo: rework computePotentialEnergyRegressor for enhance readibility

	python: expose Data::{kinetic,porential}EnergyRegressor

	core: use RowVectorXs for potentialEnergyRegressor

	algo: add missing call to forwardKinematics

	algo: rework computeKineticEnergyRegressor for enhance readibility

	core: use RowVectorXs for kineticEnergyRegressor

	cmake: sync submodule

2024-06-14  Lev Kozlov  <kozlov.l.a10@gmail.com>

	style: applied pre-commit

	feat: add tests for regressors

	feat: add kinetic and potential energy regressor

2024-06-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2281 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-06-11  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/mirrors-clang-format: v18.1.5 → v18.1.6](https://github.com/pre-commit/mirrors-clang-format/compare/v18.1.5...v18.1.6)
	- [github.com/astral-sh/ruff-pre-commit: v0.4.7 → v0.4.8](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.7...v0.4.8)

2024-06-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2275 from AjSat/casadi_operation_count
	Add get operation counts for Casadi

2024-06-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge branch 'devel' into casadi_operation_count

2024-06-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2279 from stephane-caron/feature/docs_minor_corrections
	Minor English corrections to the docs

2024-06-07  Stéphane Caron  <stephane.caron@inria.fr>

	Minor English corrections to the docs

2024-06-07  Ajay Sathya  <ajay.sathya@inria.fr>

	Casadi: update changelog

2024-06-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2273 from fabinsch/add-py-unittest-transport
	Test vector transport and its inverse with `dIntegrateTransport`

	changelog: clean

2024-06-06  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] auto fixes from pre-commit.com hooks
	for more information, see https://pre-commit.ci

2024-06-05  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	rename vars in unittest dIntegrateTransport

	update CHANGELOG

	cpp/test: use `dIntegrateTransport` to transport vector/matrix back and forth

	py/test: use `dIntegrateTransport` to transport matrix back and forth

	update CHANGELOG

	py/test: use `dIntegrateTransport` to transport vector back and forth

2024-06-05  Ajay Sathya  <ajay.sathya@inria.fr>

	casadi: implemented Joris's suggestions

	casadi: get operation counts

2024-06-04  Wilson  <wilson.jallet@polytechnique.org>

	Merge pull request #2274 from jorisv/topic/deactivate_with_libpython_with_pypy
	Turn `BUILD_WITH_LIBPYTHON` OFF when building with PyPy

2024-06-04  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add changelog entry

	cmake: Turn `BUILD_WITH_LIBPYTHON` OFF when building with PyPy
	This already had been fixed in 4d521ec but had been lost in CMakeLists
	refactoring.

2024-06-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2272 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-06-03  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.4.6 → v0.4.7](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.6...v0.4.7)

2024-06-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2269 from stack-of-tasks/dependabot/github_actions/devel/ros-industrial/industrial_ci-875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e
	build(deps): bump ros-industrial/industrial_ci from 3ed9846c96ed1e0bb36193e8e250632eaac980d0 to 875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e

2024-06-03  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 3ed9846c96ed1e0bb36193e8e250632eaac980d0 to 875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/3ed9846c96ed1e0bb36193e8e250632eaac980d0...875c2aebfd634eebaa84dbe5198f2fdb4c5f1b7e)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2024-06-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2268 from jcarpent/topic/pin3
	Move the license to LICENSE and update copyright years

2024-06-01  Justin Carpentier  <justin.carpentier@inria.fr>

	license: increase copyright year

	license: move to LICENSE

2024-05-31  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2267 from MegMll/topic/update_changelog
	Update CHANGELOG.md

2024-05-31  Mégane Millan  <37700908+MegMll@users.noreply.github.com>

	Update CHANGELOG.md

2024-05-31  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2263 from fabinsch/add-py-unittest-constraint-inverse-dynamics
	add python test for `contactInverseDynamics`

2024-05-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	remove unused header `list.hpp`

	use `assertApprox` from `TestCase`

	update changelog

	run all 3 versions

	expose contactInverseDynamics:  include std-vector from utils

	edit changelog

	add py test for contactInverseDynamics

2024-05-30  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2264 from nim65s/arch
	unittest: add 2 valgrind suppressions

2024-05-30  Guilhem Saurel  <guilhem.saurel@laas.fr>

	unittest: add 2 valgrind suppressions
	To fix packaging on ArchLinux, when valgrind is installed.

	They are the same as the 2 previous ones, except:
	- realloc instead of alloc
	- some extra `fun:UnknownInlinedFun`

2024-05-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2255 from jcarpent/topic/pin3
	Fix compilation issue for Boost 1.85

2024-05-29  Joris Vaillant  <joris.vaillant@gmail.com>

	Update CHANGELOG.md

2024-05-29  Justin Carpentier  <justin.carpentier@inria.fr>

	mjcf: apply pre-commit

	pre-commit: update

	mjcf: fix

	changelog: sync

	mjcf: fix compilation issue for Boost 1.85

2024-05-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2245 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-05-27  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/astral-sh/ruff-pre-commit: v0.4.4 → v0.4.5](https://github.com/astral-sh/ruff-pre-commit/compare/v0.4.4...v0.4.5)

2024-05-27  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CHANGELOG.md for 3.0.0

	release: Update package.xml version to 3.0.0

	Merge pull request #2235 from stack-of-tasks/topic/pinocchio-3x
	Pinocchio 3 developments

	ci: Don't generate Debug symbol on macos too

	changelog: RNEA is not in WORLD convention

	unittest: Deactivate lanczos-decomposition unit test

	ci: Restore laas gitlab-ci file

	ci: Only compile on 2 core on Windows to avoid 'compiler is out of heap space' error

2024-05-24  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Setup back GeometryObject deprecated constructor (deprecated since pinocchio 3)

	cmake: Export CppAD finders and remove pycppad cmake dependency

	core: Fix missing pinocchio namespace

	casadi: Fix missing includes

	core: Replace abort by exceptions

	core: Use local convention by default in CRBA

	ci: Use the same cppad version in macos/linux/windows

2024-05-24  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix typo

2024-05-24  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Remove a lot of deprecation warnings

	core: put aba{Local,World}Convention in a private namespace

2024-05-23  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Don't use cppad 2024 since it's incompatible with clang and cppadcodegen

	cmake: Try to fix pkg-config packaging

	ci: Add missing dependency in ubuntu build

	ci: Try to fix casadi error in ubuntu 20.04 workflow

	pre-commit: apply

	core: Fix missing enum name

	cmake: Fix cmake compatibility with cmake 3.16

	python: Include fwd.hpp before all header to avoid some wrong boost definition

2024-05-22  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Add convention and use local convention by default in ABA

	ci: Always save cache even on fail to save build time

	ci: Avoid disk space explosion in linux workflow

2024-05-22  Louis Montaut  <louismontaut@gmail.com>

	unittest: fix constrained-dynamics test
	isApprox is the culprit: when stuff is zero, relative comparison makes
	no sense.

2024-05-21  Joris Vaillant  <joris.vaillant@inria.fr>

	unittest: Add more suppresion for urdf memory leak test

	cmake: Add CPPAD_DEBUG_AND_RELEASE define to cppad and cppadcg build

	ci: Try a new path to find cmake toolchain file

	ci: Fix clang-cl use on Windows

	unittest: Fix casadi/algorithms

	unittest: Fix constrained-dynamics

	ci: Disable debug symbol generation on Linux Debug build

	unittest: Fix casadi/joints

	unittest: Fix casadi/explog

	unittest: Fix cppad/joints

2024-05-17  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Fix Debug build on Linux

	ci: Remove llvm-openmp dependency on Windows

	ci: Remove panda3_viewer dependency

	ci: Build all options

2024-05-17  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/c++11' into 'pinocchio-3x'
	Set C++11 as the minimal C++ version

	See merge request jucarpen/pinocchio!645

2024-05-17  Wilson Jallet  <wilson.jallet@polytechnique.org>
	    Wilson Jallet  <wilson.jallet@polytechnique.org>

	Apply 1 suggestion(s) to 1 file(s)

2024-05-17  Joris Vaillant  <joris.vaillant@inria.fr>

	benchmark: Fix build with C++ < 17 and fix runtime error on Linux

	changelog: Add changelog entry

	cmake: Force minimal C++ version to C++11

2024-05-17  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/eigen-macros-add-concurrency-warning' into 'pinocchio-3x'
	eigen-macros: add warning for malloc checks+multithreading, mark malloc status...

	See merge request jucarpen/pinocchio!644

2024-05-17  ManifoldFR  <wilson.jallet@polytechnique.org>

	eigen-macros: add warning for malloc checks+multithreading, mark malloc status variable thread_local

2024-05-17  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/format' into 'pinocchio-3x'
	Format CMake/Python/C++/Yaml sources

	See merge request jucarpen/pinocchio!643

2024-05-17  Joris Vaillant  <joris.vaillant@inria.fr>

	git: Ignore previous commit in blame history

2024-05-17  format-all  <format-all@inria.fr>

	pre-commit: Apply clang-format, cmake-format, ruff-format and yamlfmt
	pre-commit: Remove tabs

	pre-commit: Apply cmake-format

	pre-commit: Apply ruff-format

	pre-commit: Apply clang-format

	pre-commit: Apply yamlfmt

	pre-commit: Change AlignAfterOpenBracket to AlwaysBreak

2024-05-16  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/changelog' into 'pinocchio-3x'
	Add pinocchio 3 new features to the changelog

	See merge request jucarpen/pinocchio!642

2024-05-16  Wilson Jallet  <wilson.jallet@polytechnique.org>
	    Wilson Jallet  <wilson.jallet@polytechnique.org>

	Apply 10 suggestion(s) to 1 file(s)

2024-05-16  Joris Vaillant  <joris.vaillant@inria.fr>

	doc: Update _porting.md

	changelog: Add Removed and Changed section

2024-05-15  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: Add pinocchio 3 new feature
	Thank's @jcarpent !

	cmake: Use interface to set compile option and definition to pinocchio_headers

2024-05-15  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/unittest-mjcf' into 'pinocchio-3x'
	Parser Mujoco : Bug Fix and add unittest

	See merge request jucarpen/pinocchio!641

2024-05-15  Megane Millan  <megane.millan@inria.fr>

	[unittest/mjcf] Add test for keyframe+composite and site

	[unittest/mjcf] Add documentation

	[mjcf] BodyInJoint is now always initialized

	[mjcf] Add documentation to latest functions

2024-05-15  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Remove some warnings

	cmake: Add python_build as stub generation dependency

	test: Fix cppadcg/algorithms test on Linux

	cmake: Fix cflags definition in unittest

2024-05-13  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

	python/meshcat: fix int type
	Related to recent deprecation in NumPy

2024-05-07  ManifoldFR  <wilson.jallet@polytechnique.org>

	[unittest] fix corner case when calling ADD_TEST_CFLAGS

2024-05-07  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge remote-tracking branch 'pinocchio_v2/devel' into pinocchio-3x

	Merge branch 'devel' into pinocchio-3x

2024-05-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_last_ut' into 'pinocchio-3x'
	Fix unit tests

	See merge request jucarpen/pinocchio!639

2024-05-07  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Add more suppression to build_geom_from_urdf memorycheck test

	cppad: Fix jit test under Linux

2024-05-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/remove_aligned_vector' into 'pinocchio-3x'
	Replace aligned_vector struct by an alias template

	See merge request jucarpen/pinocchio!638

2024-05-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Replace aligned_vector struct by an alias template

2024-05-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_install' into 'pinocchio-3x'
	Fix config.hpp installation and missing includes

	See merge request jucarpen/pinocchio!637

2024-05-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Fix config.hpp installation and missing includes

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/new_deprecation' into 'pinocchio-3x'
	Add deprecation in Pinocchio 2 API and label unstable algorthims

	See merge request jucarpen/pinocchio!635

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Add deprecation in Pinocchio 2 API and label unstable algorthims

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/remove_deprecated' into 'pinocchio-3x'
	Remove old deprecated functions

	See merge request jucarpen/pinocchio!631

2024-05-06  MILLAN Megane  <megane.millan@inria.fr>

	Remove old deprecated functions

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/reactivate_constraint_model' into 'pinocchio-3x'
	Reactivate custom scalar binding of RigidConstraint

	See merge request jucarpen/pinocchio!636

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Reactivate custom scalar binding of RigidConstraint

2024-05-06  Joris Vaillant  <joris.vaillant@inria.fr>

	mjcf: Avoid reordering a vector without copy

2024-05-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/mjcf_predefined_positions' into 'pinocchio-3x'
	Adding parsing of keyframes and sites

	See merge request jucarpen/pinocchio!626

2024-05-06  MILLAN Megane  <megane.millan@inria.fr>

	Adding parsing of keyframes and sites

2024-04-26  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_windows' into 'pinocchio-3x'
	Fix Windows build

	See merge request jucarpen/pinocchio!634

2024-04-26  VAILLANT Joris  <joris.vaillant@inria.fr>

	Fix Windows build

2024-04-26  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CHANGELOG.md for 2.7.1

	release: Update package.xml version to 2.7.1

	changelog: Add missing PR link to some entries

2024-04-25  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_tests' into 'pinocchio-3x'
	Fix tests

	See merge request jucarpen/pinocchio!632

2024-04-25  VAILLANT Joris  <joris.vaillant@inria.fr>

	Fix tests

2024-04-25  DE MATTEIS Ludovic  <ludovic.de-matteis@inria.fr>

	Merge branch 'ldematte/topic/fix_append_model' into 'pinocchio-3x'
	Fix Incorrect mass in Append Model

	See merge request jucarpen/pinocchio!628

2024-04-25  Ludovic De Matteis  <ldematteis@laas.fr>

	Remove blank line and printing

	Fix incorrect mass in append model

	Add unittest

2024-04-24  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_gepetto_viewer' into 'pinocchio-3x'
	Fix panda3d and gepetto viewer exemple

	See merge request jucarpen/pinocchio!630

2024-04-24  VAILLANT Joris  <joris.vaillant@inria.fr>

	Fix panda3d and gepetto viewer exemple

2024-04-23  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/hpp-fcl-2x' into 'pinocchio-3x'
	Support hpp-fcl 2x

	See merge request jucarpen/pinocchio!629

2024-04-23  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Don't call hppfcl.WITH_OCTOMAP on hppfcl < 3.0.0

	serialization: Manage Eigen/Boost.Serialization workaround with different hpp-fcl version

	serialization: Don't include octree in hpp-fcl 2x

2024-04-19  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/qhull-use-add-project-dependency' into 'pinocchio-3x'
	[cmake] Use add_project_dependency for Qhull

	See merge request jucarpen/pinocchio!627

2024-04-19  Wilson Jallet  <wilson.jallet@polytechnique.org>

	[cmake] Use add_project_dependency for Qhull and use REQUIRED for OpenMP

2024-04-17  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/visualize-fix-imports-and-args' into 'pinocchio-3x'
	[bindings/python/visualize] Minor fixes

	See merge request jucarpen/pinocchio!624

2024-04-17  ManifoldFR  <wilson.jallet@polytechnique.org>

	[bindings/python/visualize] base_visualizer: use abc.ABC to mark as abstract class

	[bindings/python/visualize] fix redefined methods in BaseVisualizer python class
	+ remove unneeded import

	[bindings/python/visualize] meshcat_visualizer: remove another unused import

	[visualize] meshcat_visualizer: make arguments of __init__ explicit

2024-04-16  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_autoinertia' into 'pinocchio-3x'
	[Parsers/Mjcf] Fix Small problems with Mjcf geometry model

	See merge request jucarpen/pinocchio!621

2024-04-16  MILLAN Megane  <megane.millan@inria.fr>

	[Parsers/Mjcf] Fix Small problems with Mjcf geometry model

2024-04-16  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/optional_openmp' into 'pinocchio-3x'
	Add pinocchio_parallel and pinocchio_collision_parallel target

	See merge request jucarpen/pinocchio!623

2024-04-16  Joris Vaillant  <joris.vaillant@inria.fr>

	unittest: Add optional dependencies to test with #ifdef

	cmake: Remove LINK_PYTHON_INTERFACE_TO_OPENMP options

	cmake: Remove an error message

2024-04-15  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: link to OpenMP via parallel target

	cmake: Rename OPENMP sources into PARALLEL

	cmake: Add missing headers

	cmake: Don't require OpenMP

	cmake: Add pinocchio_parallel and pinocchio_collision_parallel to turn OpenMP as an optional dependency

2024-04-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2218 from florent-lamiraux/devel
	Modify model appending algorithm

2024-04-15  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix-mjcf-parser-eigen337' into 'pinocchio-3x'
	[parsers] Eigen::Vector isn't legal for eigen 3.3.7

	See merge request jucarpen/pinocchio!620

2024-04-15  ManifoldFR  <wilson.jallet@polytechnique.org>

	[parsers] Eigen::Vector isn't legal for eigen 3.3.7

2024-04-15  Justin Carpentier  <justin.carpentier@inria.fr>

	algo: add TODO as future enhancement

2024-04-15  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_openmp_export' into 'topic/fusion-2x-3x'
	Add find_package OpenMP in exported target

	See merge request jucarpen/pinocchio!619

2024-04-15  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Add OpenMP find_package into export target

2024-04-15  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_no_template_inst' into 'topic/fusion-2x-3x'
	Fix build when template instantiation is disabled

	See merge request jucarpen/pinocchio!618

2024-04-15  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Fix build when template instantiation is disabled

2024-04-15  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_custom_scalar_build' into 'topic/fusion-2x-3x'
	Fix custom scalar build

	See merge request jucarpen/pinocchio!617

2024-04-15  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Don't bind lanczos decomposition and some TridiagonalMatrix methods to casadi bindings

	core: Fix custom scalar build

2024-04-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Revert "Fix incoherent mass when calling appendModel"
	This reverts commit 976cf3fbf1387bfebf5fd1524a778772517e2883.

	Merge remote-tracking branch 'inria/topic/fusion-2x-3x' into topic/fusion-2x-3x

	contact: comment useless var

	solver: add missing variable initialization

	cmake: add missing include

	python: expose LanczosDecomposition

	python: expose TridiagonalMatrix

	test/math: extend Lanczos tests

	math: enhance doc and add operator{!=,==}

	math: add missing EIGEN_MAKE_ALIGNED_OPERATOR_NEW

	math: add orthonormalization step in Lanczos algo

	core: fix indent

	serialization: add toCSVfile for Eigen objects

2024-04-12  Florent Lamiraux  <florent@laas.fr>

	Merge branch 'devel' into devel

2024-04-12  Florent Lamiraux  <florent@laas.fr>

	Fix model appending.
	  Modify robot append algorithm. In the new version, when appending model B to
	  model A on frame F, joints are copied in the
	  following order
	    - joints of model A up to the parent of F,
	    - all the descendents of parent of F,
	    - the remaining joints of A.

	  Modify test-cpp-model to check the new behavior.
	  Improve documentation of Model.

2024-04-12  Justin Carpentier  <justin.carpentier@inria.fr>

	math: add missing EIGEN_MAKE_ALIGNED_OPERATOR_NEW

2024-04-12  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/mujoco_geom_model' into 'topic/fusion-2x-3x'
	Parsers/Mjcf : Build Geometry Model

	See merge request jucarpen/pinocchio!616

2024-04-12  MILLAN Megane  <megane.millan@inria.fr>

	Parsers/Mjcf : Build Geometry Model

2024-04-11  Justin Carpentier  <justin.carpentier@inria.fr>

	test/math: add test Gram Schmidt orthonormalization algo

	math: add Gram Schmidt orthonormalization algo

	Merge pull request #2216 from nim65s/jrl-install
	CMake: allow use of installed jrl-cmakemodule

2024-04-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add changelog entry

	CMake: allow use of installed jrl-cmakemodule

2024-04-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2217 from nim65s/submodules
	sync submodules

2024-04-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	sync submodules

2024-04-11  Justin Carpentier  <justin.carpentier@inria.fr>

	math: fix lanczos decomposition

	math: TridiagonalSymmetricMatrix -> TridiagonalSymmetricMatrixTpl

2024-04-10  Justin Carpentier  <justin.carpentier@inria.fr>

	test/math: test LanczosDecompositionTpl

	math: add LanczosDecompositionTpl

2024-04-09  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/mujoco_geom' into 'topic/fusion-2x-3x'
	Parsers/Mjcf : Adding support for geometries

	See merge request jucarpen/pinocchio!615

2024-04-09  MILLAN Megane  <megane.millan@inria.fr>

	Parsers/Mjcf : Adding support for computing inertia from geometry primitive

2024-04-09  Justin Carpentier  <justin.carpentier@inria.fr>

	math: add TridiagonalSymmetricMatrix::applyOnTheLeft

2024-04-09  Stéphane Caron  <stephane.caron@inria.fr>

	Fix SO(3) title and ref in the documentation (#2210)
	* Fix SO(3) title and ref in the documentation
	
	* Update the changelog

2024-04-09  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/inertia_from_capsule' into 'topic/fusion-2x-3x'
	Spatial/Inertia : Default inertia computation from a capsule geometry

	See merge request jucarpen/pinocchio!614

2024-04-09  MILLAN Megane  <megane.millan@inria.fr>

	Spatial/Inertia : Default inertia computation from a capsule geometry

2024-04-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2212 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2024-04-08  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.5.0 → v4.6.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.5.0...v4.6.0)

2024-04-08  Stéphane Caron  <stephane.caron@inria.fr>

	Document configuration vector for the planar joint (#2211)
	* Documentation configuration/tangent vectors for the planar joint
	
	* Tangent rather than "velocity" vector

2024-04-08  Justin Carpentier  <justin.carpentier@inria.fr>

	test: test TridiagonalSymmetricMatrix

	core: add TridiagonalSymmetricMatrix

2024-04-06  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meschat: remove scaling handling
	It has been fixed in recent version of Meshcat

2024-04-06  DE MATTEIS Ludovic  <ludovic.de-matteis@inria.fr>

	Fix incoherent mass when calling appendModel

2024-04-06  Justin Carpentier  <justin.carpentier@inria.fr>

	eigen: fix compilation issue with Eigen 3.4.90

	cmake: remove setting of the CXX_STANDARD

	test: remove compilation warning

	algo/delassus: fix order

	python/contact: use DelassusOperatorSparseAccelerate for ADMM contact solver

	python: expose DelassusOperatorSparseAccelerate

	delassus: add Sparse Accelerate framework support

	cmake: start adding support of APPLE Accelerate framework

2024-04-05  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Megane Millan  <megane.millan@inria.fr>

	Fix CMake install path (#2202)
	* Change path for target and config file
	
	* Remove absolute path for boost library (only works when boost and pinocchio are installed in the same dir)
	
	* Add Changelog entry
	
	* Removed lines from commit
	
	* Removed Comments
	
	* Update CMakeLists.txt
	
	Revert
	
	* Removed wrong lines and change absolute to relative path
	
	---------

2024-04-04  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/mujoco_orientation' into 'topic/fusion-2x-3x'
	Mujoco Parser : Added missing support for frame orientation

	See merge request jucarpen/pinocchio!613

2024-04-04  MILLAN Megane  <megane.millan@inria.fr>

	Mujoco Parser : Added missing support for frame orientation

2024-04-04  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/mujoco_default' into 'topic/fusion-2x-3x'
	Mjcf Parser : Full Support of Default attributes

	See merge request jucarpen/pinocchio!611

2024-04-04  MILLAN Megane  <megane.millan@inria.fr>

	Mjcf Parser : Full Support of Default attributes

2024-03-28  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>
	    Stéphane Caron  <stephane.caron@inria.fr>
	    Stéphane Caron  <stephane.caron@inria.fr>

	[doc] Improve documentation of getJointJacobian. (#2193)
	* [doc] Improve documentation of getJointJacobian.
	
	* [doc] add reference to  A Mathematical Introduction to Robotic Manipulation
	
	* Update include/pinocchio/algorithm/jacobian.hpp
	
	
	---------

2024-03-27  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'pv_caba_cherrypick' into 'topic/fusion-2x-3x'
	PV, constrainedABA and cABA-OSIM algos added

	See merge request jucarpen/pinocchio!610

2024-03-27  Ajay Sathya  <ajay.sathya@inria.fr>

	Added documentation comments to PV header file

2024-03-26  Ajay Sathya  <ajay.sathya@inria.fr>

	reverted .gitignore change

2024-03-26  Megane Millan  <megane.millan@inria.fr>

	Fix python bindings for mjcf parsers

2024-03-26  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2190 from florent-lamiraux/devel
	[doc] Improve documentation of ReferenceFrame.

2024-03-26  Florent Lamiraux  <florent@laas.fr>

	[doc] Improve documentation of ReferenceFrame.

2024-03-26  MILLAN Megane  <megane.millan@inria.fr>

	Merge branch 'topic/mujoco_parser' into 'topic/fusion-2x-3x'
	First Draft for Mjcf parser

	See merge request jucarpen/pinocchio!602

2024-03-26  MILLAN Megane  <megane.millan@inria.fr>

	First Draft for Mjcf parser

2024-03-22  Ajay Sathya  <ajay.sathya@inria.fr>

	pv:also testing PV's Delassus matrix and updated copyright notices

	removed unnecessary urdf files

	delassus: more refactoring

	cleaned up delassus tests

	removed unused fields from data

2024-03-21  Ajay Sathya  <ajay.sathya@inria.fr>

	pv: removed separate benchmark files, added pv and constrainedABA to contact-dynamics file

	pv: more refactoring and avoiding auto keyword

	pv: cleaned-up and renamed pv_solver files

	pv: cleaned up PV solver tests

	pv: removed pv_settings, using only prox_settings now

	pv: refactored PV solver

	cABA: separated constrainedABA function from pv

	Delassus: block templates for slightly improved efficiency

	refactoring, using own findGCA

	greatly refactored, using EMPs over joints to avoid unnecessary copying

	reduced number of loops in cABA-OSIM, and removed LOIK struct from contact-info

	added efpa, caba-osim in Delassus benchmark, removed unnecessary template for 6x6 matrix in caba-osim, removed scratch_pad_vectors from data

	refactored and removed early_base and early_elim code

	rebased to topic-fusios-2x-3x

	Baumgarte at position level also works

	Baumgarte for velocity added

	both PV and constrainedABA verified for redundant connect constraints

	fixed a bug

	fixed the 3D constraint centrifugal term

	Use contact-cholesky solver for proxLTLs

	Atlas robot with shadow hands

	proxLTLs update

	first implementation of proxLTLs

	Optimized constraintABA, no prox iter over links not supporting constraints

	latest benchmark file

	created benchmark functions

	3D constraints for random joint placements

2024-03-21  Ajay Sathya  <sajaysathya@gmail.com>

	modified tests

	proxPV and constraintABA (local frame) first commit

2024-03-18  Stéphane Caron  <stephane.caron@inria.fr>

	Add remark on getFrameClassicalAcceleration (#2169)
	* Add remark on getFrameClassicalAcceleration
	
	* Update the changelog
	
	* Update include/pinocchio/algorithm/frames.hpp
	
	Thanks @traversaro
	
	* Correct the remark thanks to @traversaro
	
	* Add remark to getFrameAcceleration as well

2024-03-14  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2167 from stephane-caron/fix/empty_docs
	Clean up empty documentation pages and sections

2024-03-13  Stéphane Caron  <stephane.caron@inria.fr>

	Update the changelog

2024-03-12  Stéphane Caron  <stephane.caron@inria.fr>

	Clean up empty g- documentation placeholders

	Clean up empty f- documentation placeholders

	Clean up empty e- documentation placeholders

2024-03-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2166 from jorisv/topic/fix_stubgen
	Fix python stub generation

2024-03-12  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Generate stubs in CI to avoid regressions

	changelog: Add changelog entry

	cmake: Add binding dependency to stubgen

	python: Fix missing symbol issue

2024-03-08  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/ldematte/fix_casadi_inverse-dynamics' into 'topic/fusion-2x-3x'
	Add contact inverse dynamics to casadi ignore for python bindings

	See merge request jucarpen/pinocchio!609

2024-03-08  DE MATTEIS Ludovic  <ludovic.de-matteis@inria.fr>

	Add contact inverse dynamics to casadi ignore for python bindings

2024-03-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/pinocchio_collision' into 'topic/fusion-2x-3x'
	Add pinocchio_collision target

	See merge request jucarpen/pinocchio!608

2024-03-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Add pinocchio_collision target

2024-03-06  Mégane Millan  <37700908+MegMll@users.noreply.github.com>
	    Megane Millan  <megane.millan@inria.fr>

	Fix Frames order in reducedModel (#2160)
	* Add frame to model in the same order as in the input model
	
	* Test to make sure frames are in the same order in reduce and full model
	
	* Remove useless comments
	
	* Added to changelog
	
	---------

2024-03-03  Justin Carpentier  <justin.carpentier@inria.fr>

	constraint: fix name

	cmake: sync submodule

	constaint: fix name

2024-03-03  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/id' into 'topic/fusion-2x-3x'
	Add contact inverse dynamics

	See merge request jucarpen/pinocchio!606

2024-02-29  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Fix build with eigenpy 3.4

2024-02-29  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: add missing include

2024-02-29  quentinldc  <quentin.le-lidec@inria.fr>

	contact inverse dynamics: using fext in the call to rnea

	Contact inverse dynamics: cleaning code

	contact inverse dynamics: adding unittest

	contact inverse dynamics: cleaning friction cone and computeContactImpulse

2024-02-29  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Contact inverse dynamics: cleaning code

2024-02-29  quentinldc  <quentin.le-lidec@inria.fr>

	adding contact inverse dynamics

	adding weighted projection to coulomb friction cone

2024-02-29  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/pinocchio_extra' into 'topic/fusion-2x-3x'
	Add pinocchio_extra target

	See merge request jucarpen/pinocchio!607

2024-02-29  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Add pinocchio_extra target

	cmake: Rename WORKSPACE into EXTRA

2024-02-29  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'TI_other_types' into 'topic/fusion-2x-3x'
	Template instantiate custom scalar type

	See merge request jucarpen/pinocchio!603

2024-02-29  VAILLANT Joris  <joris.vaillant@inria.fr>

	Template instantiate custom scalar type
	- Create a library per custom scalar type
	- Add a standalone parsers library
	- Fix build with some scalar

2024-02-28  Justin Carpentier  <justin.carpentier@inria.fr>

	mpfr: fix compatibility with Eigen 3.4.9

	delassus: start refactoring the code

	core: include Eigen Sparse features by default

	test/liegroups: partial fix
	We should investigate where and why we are loosing numerical precisions

	all: fix missing namespace

	core: add missing include

2024-02-13  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge branch 'topic/apply_lost_fixes' into topic/fusion-2x-3x

	core: Fix manipulator model

	bindings: Remove double definition

	example: Fix IK

	Merge pull request #2155 from jorisv/topic/fix_windows_debug
	Fix ambiguous function call on Windows

2024-02-12  Joris Vaillant  <joris.vaillant@inria.fr>

	python: Don't import visualize by default

	changelog: Add changelog entry

	liegroup: disambiguate function call

	liegroup: Use static method when possible in implementation

2024-02-11  Justin Carpentier  <justin.carpentier@inria.fr>

	sync submodule

	python: fix compilation issues

	cmake: sync submodule

	sources: fix missing files

	test: fix tests for ARM64

2024-02-09  Joris Vaillant  <joris.vaillant@inria.fr>

	fcl: Fix build with FCL

	sdf: Fix build without hpp-fcl

	python: Fix Python unit test without hpp-fcl

	core: Fix build issues without hpp-fcl

	Merge tag 'v2.7.0' into topic/fusion-2x-3x
	Release of version 2.7.0.

	python: Fix MeshcatVizualizer

	bindings: Fix build

2024-02-08  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: remove policy

	joints: fix for Boost.MPFR

	all: move *.cpp to src

	all: fix merge

	Merge tag 'v2.6.21' into topic/merging-v2.6.21
	Release of version 2.6.21.

	all: move .h{pp,xx} to include/pinocchio

	cmake: fix missing include

	Merge remote-tracking branch 'inria/pinocchio-3x' into topic/merging-v2.6.21

2024-02-08  Joris Vaillant  <joris.vaillant@inria.fr>

	core: Fix build issues without hpp-fcl

2024-02-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge tag 'v2.6.20' into topic/merging-v2.6.20
	Release of version 2.6.20.

	test/joints: fix NLE check

	broadphase: fix assert check

	algo/collision: fix assert check

2024-02-07  Justin Carpentier  <justin.carpentier@inria.fr>

	test: fix missing init call

	core: fix bug

	collision: fix compilation warnign

	algo/delassus: use derived()

2024-02-06  Justin Carpentier  <justin.carpentier@inria.fr>

	core: fix missing typedef

	test/delassus: remove outdated namespace

	data: fix include order

	Merge tag 'v2.6.19' into topic/merging-v2.6.19
	Release of version 2.6.19.

	Merge tag 'v2.6.18' into topic/merging-v2.6.18
	Release of version 2.6.18.

	Merge tag 'v2.6.17' into topic/merging-v2.6.17
	Release of version 2.6.17.

2024-02-05  Justin Carpentier  <justin.carpentier@inria.fr>

	core: rename file

2024-02-04  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'delassus' into 'jcarpent/pinocchio-3x'
	Add cABA_osim

	See merge request jucarpen/pinocchio!601

2024-02-04  CARPENTIER Justin  <justin.carpentier@inria.fr>

	algo/delassus: apply suggested change

	algo/delassus: apply fix

2024-02-04  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/admm: remove timer

	core: fix namings

	algo/contact: move compute{Largest/Lowest}EigenValue to base class

	python: fully expose PowerIterationAlgoTpl

	math/powerIt: add computation of lowest Eigen values too

	algo/solvers: move the timer to the Base class

2024-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/admm: add dual_feasibility_ncp

	core: fix compilation issues

	algo/delassus: fix assert in debug mode

	algo/admm: check input size

	algo/admm: add Timer

	algo/admm: restore former strategy

2024-02-02  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2149 from jorisv/topic/accelerate_ci
	Accelerate CI

	CI: Reduce ccache compresslevel (recommanded setting in the documentation)

	ci: Remove pre-commit workflow since we already have pre-commit.ci setup

	Don't trigger build on .pre-commit-config.yaml change

	ci: Add pre-commit checking workflow

	review: Fix colcon file extension

	ci: Don't build in sudo

	ci: Use ccache to compile .c with casadi

	ci: Install ccache in linux workflow

	ci: Try to improve linux workflow compile time

	ci: Ignore some files

	ci: Cancel old workflow when a new one is launched

	Merge pull request #2147 from stephane-caron/fix/meshcat_no_collision
	Don't iterate on collision geometries when undefined

	changelog: Add changelog entry

2024-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meshcat: fix also for no_visual

2024-02-02  Stéphane Caron  <stephane.caron@normalesup.org>

	Don't iterate on collision geometries when undefined
	Closes https://github.com/stack-of-tasks/pinocchio/issues/2146

2024-02-02  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2143 from fabinsch/example-floating-base-velocity
	Add example to visualize floating base velocity

	examples: Apply black

	examples: Remove enable_gravity and not used variables

2024-02-02  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	review: remove aba and just use v

2024-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	constraints: add typedef

2024-02-02  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	Update examples/floating-base-velocity-viewer.py

	Update CHANGELOG.md

2024-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	python: expose computeComplementarityShift

	algo/admm: fix init

	algo/admm: keep z previous

	python: expose helper functions

	algo/contact: add more helper functions

	python: expose PGS for sparse matrices

	algo/pgs: make it compliant with Sparse Matrices

	algo/admm: update rho in a simpler way

	algo/admm: attemp for an overelax
	Not working well

	algo/admm: keep record of rho

	python: fix

	python: expose stat features

	algo/admm: fix init of primal variables

	algo/admm: add stats record

	algo/admm: fix it cout

	algo/delsassus: fix sparse matrix wrapper solve

2024-02-01  Justin Carpentier  <justin.carpentier@inria.fr>

	math: expose it in PowerIterationAlgo

	math: fix convergence criteria of Power Iteration algo

	python: expose PowerIterationAlgo

	algo/contact: expose power_iteration_algo

	algo/contact: fix max_it_largest_eigen_value_solver default value

	try a fix

	algo/contact: fix initial guess for x_

	debug

	python: expose extended ADMMSolver::solve

	algo/contact: add optional initial value

	python: expose optional for VectorXs and references

	python: update ADMMContactSolverTpl API

	algo/contact: start reworking ADMMContactSolverTpl

	algo/contact: add missing enums

	math: add PowerIterationAlgoTpl for more flexibility

	math: add log and exp in math namespace

2024-01-31  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: add conic complementarity

	algo/pgs: fix computation of dual feasibility using norm-2

2024-01-31  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	new entry to changelog for adding example

	add example to visualize floating base velocity

2024-01-31  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/delassus: add wrapper around _solve_impl to avoid memory allocation

2024-01-31  Louis Montaut  <louismontaut@gmail.com>

	admm-solver: fix cone projection

	contact-cholesky: remove namespace in template instantiation

2024-01-31  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: fix initial guess

2024-01-31  quentinldc  <quentin.le-lidec@inria.fr>

	fixing absolute residual

	adding dual feasibility criterion to pgs

2024-01-31  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: code refactoring

	algo/contact: update stopping criteria

2024-01-30  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/sparse: use factorize for sparse matrix

	algo: add x_previous

	algo: add getComplementarityShift

	algo/sparse: track memory allocation

	algo: comment lines

	algo: fix bug

	core: extend MALLOC macro save and restore current malloc status

	python: fix matrix type

	algo: use DenseMatrix type for return of DelassusOperatorSparseTpl::inverse()

	python: fix exposition issue

	Merge pull request #2139 from jorisv/topic/remove_warnings
	Remove warnings

2024-01-29  Justin Carpentier  <justin.carpentier@inria.fr>

	python: add support for DelassusOperatorSparse

	algo: add DelassusOperatorSparseTpl

	python: expose ADMM::solve for DelassusOperatorDense

	algo: add DelassusOperatorDenseTpl

	algo: use DelassusOperatorBase for ADMM::solve

2024-01-29  Joris Vaillant  <joris.vaillant@inria.fr>

	[core] Remove O2 specific warnings

2024-01-29  Justin Carpentier  <justin.carpentier@inria.fr>

	python: add visitor for DelassusOperatorBase

	algo: refactor DelassusCholeskyExpression by moving out of ContactCholeskyDecomposition

	algo: add DelassusOperatorBase

	core: move out ContactCholeskyDecompositionTpl from cholesky namespace

2024-01-29  Joris Vaillant  <joris.vaillant@inria.fr>

	compiler: remove lasts warnings

	cmake: use standard jrl-cmakemodules

2024-01-29  Justin Carpentier  <justin.carpentier@inria.fr>

	solver: fix missing memory allocation

	solvers: use intermediate var to avoid memory allocation

2024-01-26  Justin Carpentier  <justin.carpentier@inria.fr>

	parallel/broadphase: add missing true value

2024-01-26  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: update jrl-cmakemodules

	cmake: Move CXX_FLAGS_BY_COMPILER_FRONTEND to jrl-cmakemodules

	cmake: update jrl-cmakemodules

	core: Don't use -Wno-maybe-uninitialized, ignore the warning locally

	core: Add macro to ignore -Wmaybe-uninitialized
	This reverts commit e122d6e8f914b1be6f4099c3e223e5e19ce74254.

	changelog: Add entries

	cmake: Since -Wno-maybe-uninitialized is PRIVATE, add it to unit tests and examples

	[cmake] Improve ClangCL support with CXX_FLAGS_BY_COMPILER_FRONTEND

	cmake: Remove NOMINMAX definition since is a public pinocchio definition

2024-01-25  Joris Vaillant  <joris.vaillant@inria.fr>

	[core] Remove -Wconversion warning

	Revert "core: Add macro to ignore -Wmaybe-uninitialized"
	This reverts commit 372832778b61d5516ae116fe83189ac2656a84b5.

	cmake: Deactivate maybe-uninitialized warning

	core: Initialize second base class in default copy constructor/assignement

	core: Add macro to ignore -Wmaybe-uninitialized

	python: Don't use a deprecated macro when using recent Eigenpy version

	core: Don't use const_derived Eigen3 hack for QuaternionBase type

	core: Use C++11 std::vector constructor to avoid maybe-uninitialized warning

2024-01-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2137 from stack-of-tasks/dependabot/github_actions/devel/actions/cache-4
	build(deps): bump actions/cache from 3 to 4

2024-01-23  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/cache from 3 to 4
	Bumps [actions/cache](https://github.com/actions/cache) from 3 to 4.
	- [Release notes](https://github.com/actions/cache/releases)
	- [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
	- [Commits](https://github.com/actions/cache/compare/v3...v4)

	---
	updated-dependencies:
	- dependency-name: actions/cache
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2024-01-23  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CHANGELOG.md for 2.7.0

	release: Update package.xml version to 2.7.0

2024-01-23  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: remove std::cout

	algo: add missing constraint algo

2024-01-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'pinocchio-3x' into 'pinocchio-3x'
	Add auto collisions in reachable-workspace-with-collisions example

	See merge request jucarpen/pinocchio!591

2024-01-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'wjallet/topic/bindings-proximal-hpp' into 'pinocchio-3x'
	[bindings/python] proximal.hpp : add missing "self" argument

	See merge request jucarpen/pinocchio!598

2024-01-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/install-init-py' into 'pinocchio-3x'
	[bindings/python] install original __init__.py

	See merge request jucarpen/pinocchio!599

2024-01-23  Justin Carpentier  <justin.carpentier@inria.fr>

	python/algo: expose ADMMContactSolverTpl

	algo/contact: add ADMM solver

	python/algo: add ContactSolverBasePythonVisitor

	python: cholesky decomposition is now copiable

	cmake: fix patch action for OpenMP

	algo/pgs: fix input/output name and add internal working variable

2024-01-22  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'bug_fix/sdf_parser' into 'pinocchio-3x'
	Bug fix of SDF headers path

	See merge request jucarpen/pinocchio!600

2024-01-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2135 from stack-of-tasks/dependabot/github_actions/actions/cache-4
	build(deps): bump actions/cache from 3 to 4

2024-01-22  Megane Millan  <megane.millan@inria.fr>

	Changed path of SDF parser headers

	Revert "Add the right path for sdf headers"
	This reverts commit 5307f9dddbe811198b1cc6c15fc098d6f011cae6.

	Add the right path for sdf headers

2024-01-22  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/cache from 3 to 4
	Bumps [actions/cache](https://github.com/actions/cache) from 3 to 4.
	- [Release notes](https://github.com/actions/cache/releases)
	- [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
	- [Commits](https://github.com/actions/cache/compare/v3...v4)

	---
	updated-dependencies:
	- dependency-name: actions/cache
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2024-01-21  Justin Carpentier  <justin.carpentier@inria.fr>

	algo: add dedicated file for ContactSolverBaseTpl

	algo: add default copy constructor for ContactCholeskyDecompositionTpl

	algo: add explicit for ContactCholeskyDecompositionTpl constructor

	python: use StdVectorPythonVisitor from eigenpy directly

2024-01-19  Justin Carpentier  <justin.carpentier@inria.fr>

	python/core: expose missing types

	geometry/parallel: extend API

	core: add typedef VectorXb

	python/geometry: expose newly introduced computeCollisionsInParallel

	geometry/parallel: add new signature for batch of trajectories for computeCollisionsInParallel

	cmake: fix search strategy for OpenMP on Mac

	python/spatial: add __array__(Self, np.dtype) converters

2024-01-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2132 from jorisv/topic/fix_cppad_boost_pre_177
	Fix build with Boost < 1.77

2024-01-15  Joris Vaillant  <joris.vaillant@inria.fr>

	cppad: Fix unit tests and example

	changelog: Add entry

	cppad: Fix build with Boost < 1.77

2024-01-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2129 from jorisv/topic/fix_ci_ccache
	Fix ccache

2024-01-12  Joris Vaillant  <joris.vaillant@inria.fr>

	python: clean __init__.py

	python: clean __init__.py

	python: Restore DllDirectory state after importing Pinocchio

2024-01-11  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Revert ROS verbose output and fix cache setup

	ci: Try to debug ROS CI

	ci: Add PATH to all unit tests and examples on windows

	ci: Fix a typo

	ci: Add verbose tests output to debug ros ci

	ci: Merge Windows build

	cmake: Setup back environment PYTHONPATH when running python parser test

	cmake: Fix ; escaping

2024-01-10  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: Modify the PATH to allow python_parser test to run

	cmake: Use a generator expression to bind dll directory

	ci: Define PINOCCHIO_WINDOWS_DLL_PATH when running tests

	python: Add code to manage dll in non standard directory

	cmake: Fix binding output path on Windows

2024-01-09  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: Build Python interface in Windows build

	[ci] Deactivate ctest verbose

	ci: Use ccache in Windows build

	ci: Use the right environment

	ci: Add Python version in cache key

	ci: Fix ccache env variable and use Ninja in Linux/MacOS build

2024-01-07  Justin Carpentier  <justin.carpentier@inria.fr>

	test/serialization: extend test + fix

	test/serialization: test with bvh

2024-01-06  Justin Carpentier  <justin.carpentier@inria.fr>

	serialization: add missing include

	serialization: fix save/load for GeometryObject *

	serialization: remove useless regististration

	python: fix arg name

	debug

	algo/collision: enhance output message

2024-01-05  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/collision: enhance exception message

2024-01-05  ManifoldFR  <wilson.jallet@polytechnique.org>

	[bindings/python] install original __init__.py
	+ useful for some language servers which can't parse through __init__.pyc

	[bindings/python] proximal.hpp : add missing "self" argument

2023-12-30  Justin Carpentier  <justin.carpentier@inria.fr>

	python: remove default constructor

	test/constraints: enhance testing of contact-models

	test/constraints: add new variant test

	algo/constraints: fix type

	constraints: start refactoring the code

	core/visitor: add missing includes

	bench: add timings for Delassus operations

	example: add example of display for fcl::Octree

	example/close-loop: :lipstick:

	test/constraints: add missing KP and KD values

	bench: :lipstick:

	algo/broadphase: use BoundingVolumeGuess for GJK

2023-12-29  Justin Carpentier  <justin.carpentier@inria.fr>

	test/broadphase: fix update issue on geom_data.oMg
	They were not initialized

	cmake: set minimal version of cmake

	cmake: add missing PYTHON_BUILD_GET_TARGET

	cmake: sync submodule

2023-12-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2127 from jcarpent/topic/cmake
	Sync submodule cmake

	cmake: sync submodule

	Merge pull request #2126 from jcarpent/topic/iit
	Fix malloc issue in CRBA

	changelog: update

	test/crba: add malloc test for debug mode

	algo/crba: add missing noalias()

2023-12-18  Justin Carpentier  <justin.carpentier@inria.fr>

	core: add Blank structure

	joints: add calc(jdata,*,v)

2023-12-14  DE MATTEIS Ludovic  <ludovic.de-matteis@inria.fr>

	Merge branch 'topic/fix_python_12_compat' into 'pinocchio-3x'
	bindings: Fix python 12 compatibility

	See merge request jucarpen/pinocchio!595

2023-12-14  Joris Vaillant  <joris.vaillant@inria.fr>

	bindings: Fix python 12 compatibility
	This is a backport of the following pinocchio2 [pull request](https://github.com/stack-of-tasks/pinocchio/pull/1996)

2023-12-14  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2119 from jorisv/topic/add_geometry_material
	Add material to GeometryObject

2023-12-13  Joris Vaillant  <joris.vaillant@inria.fr>

	tests: fix bindings_build_geom_from_urdf_memorycheck test

	binding: apply review

	examples: add GeometryPhongMaterial example

	changelog: update entries

	python: use new material API in meshcat_visualizer

	core: find a way to modify variant member from Python

	core: find a better way, but return by ref is not working

	core: replace phong material by a variant

	python: First working version of materials

	python: bind GeometryObject material

	core: add material parameter in the second GeometryObject constructor

	core: add mesh materials

2023-12-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2117 from stack-of-tasks/dependabot-branch
	ci: dependabot target devel

2023-12-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ci: dependabot target devel

2023-12-07  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_debug_build' into 'pinocchio-3x'
	Fix build issues in debug mode and in the unit tests

	See merge request jucarpen/pinocchio!594

2023-12-07  Joris Vaillant  <joris.vaillant@inria.fr>

	bindings: use the right define to disable comparison

	bindings: Fix reachable workspace binding build with custom scalar

2023-12-06  Joris Vaillant  <joris.vaillant@inria.fr>

	casadi: fix build issues in debug mode and in the unit tests

2023-12-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_definition_export' into 'pinocchio-3x'
	Fix definition export

	See merge request jucarpen/pinocchio!593

2023-12-06  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: PKG_CONFIG_APPEND_CFLAGS take one argument, then list must be turned into string when calling it

	cmake: rename WITH_QHULL into WITH_QHULL_SUPPORT

	cmake: Fix definition export

2023-12-06  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/fix_stub_gen' into 'pinocchio-3x'
	Fix stub generation when using custom scalar type

	See merge request jucarpen/pinocchio!592

2023-12-06  Joris Vaillant  <joris.vaillant@inria.fr>

	[cmake] Fix stub generation when using custom scalar type

2023-12-04  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: export CppAD finder (#2112)
	* CMake: export CppAD finder
	
	* CMake: fetch submodule if not available
	
	* add changelog entry
	
	* CMake: stop exporting CppAD & cppadcodegen

2023-12-04  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2111 from stack-of-tasks/dependabot/github_actions/conda-incubator/setup-miniconda-3
	build(deps): bump conda-incubator/setup-miniconda from 2 to 3

2023-12-04  Guilhem Saurel  <guilhem.saurel@laas.fr>

	fix for python 2 (#2110)
	* fix for python 2
	
	* add changelog entry
	
	* typo

2023-12-04  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump conda-incubator/setup-miniconda from 2 to 3
	Bumps [conda-incubator/setup-miniconda](https://github.com/conda-incubator/setup-miniconda) from 2 to 3.
	- [Release notes](https://github.com/conda-incubator/setup-miniconda/releases)
	- [Changelog](https://github.com/conda-incubator/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/conda-incubator/setup-miniconda/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: conda-incubator/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2023-11-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2097 from jcarpent/topic/ci/ros
	Add iron and humble in the CI

2023-11-29  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	[CI] Use colcon apart from noetic; remove Melodic conditional dependencies

2023-11-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2103 from ambyld/fix-floating-point-import
	Add direct boost is_floating_point import

2023-11-29  EtienneAr  <etienne.arlaud@gmail.com>

	Add auto collisions in reachable-workspace-with-collisions example

2023-11-29  Justin Carpentier  <justin.carpentier@inria.fr>

	python: expose serialization of Geometry{Model,Object}

	changelog: update

2023-11-29  Andrew Bylard  <andrew.bylard@dexterity.ai>

	add direct boost is_floating_point import

2023-11-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2102 from jcarpent/topic/python
	Use bp::ssize_t for recent version of Windows compiler

	changelog: fix

	python: use bp::ssize_t

	Merge pull request #2101 from jcarpent/topic/python
	Add missing include for Windows

2023-11-28  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	package.xml: Add ros_environment dependency

2023-11-28  Justin Carpentier  <justin.carpentier@inria.fr>

	changelog: update

	python: add missing include

	Merge pull request #2100 from jcarpent/topic/cmake
	Sync submodule cmake

	Merge branch 'devel' into topic/cmake

2023-11-27  Joris Vaillant  <joris.vaillant@inria.fr>

	release: Update CHANGELOG.md for 2.6.21

	release: Update package.xml version to 2.6.21

2023-11-27  Justin Carpentier  <justin.carpentier@inria.fr>

	test/serialization: test GeometryModel

	serialization: serialize GeometryModel

	serialization: add {save,load}_construct_data for GeometryObject

	cmake: sync submodule

2023-11-27  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'collision_reach_ws' into 'pinocchio-3x'
	Reachable Workspace with collisions support

	See merge request jucarpen/pinocchio!590

2023-11-27  MILLAN Megane  <megane.millan@inria.fr>

	Reachable Workspace with collisions support

2023-11-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge branch 'devel' into topic/ci/ros

	test/serialization: add test for serialization of structures related to GeometryObjects

	serialization: add serialization of GeometryObject

	serialization: add serialization of ModelItem

	test/serialization: fix init for JointModelUniversalTpl

	python: remove deprecated EIGENPY_DEFINE_STRUCT_ALLOCATOR_SPECIALIZATION

	Merge pull request #2099 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-3ed9846c96ed1e0bb36193e8e250632eaac980d0
	build(deps): bump ros-industrial/industrial_ci from 9f963f67ebb889792175776c5ee00134d7bb569b to 3ed9846c96ed1e0bb36193e8e250632eaac980d0

	Merge branch 'devel' into dependabot/github_actions/ros-industrial/industrial_ci-3ed9846c96ed1e0bb36193e8e250632eaac980d0

2023-11-27  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 9f963f67ebb889792175776c5ee00134d7bb569b to 3ed9846c96ed1e0bb36193e8e250632eaac980d0.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/9f963f67ebb889792175776c5ee00134d7bb569b...3ed9846c96ed1e0bb36193e8e250632eaac980d0)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-11-26  Justin Carpentier  <justin.carpentier@inria.fr>

	mutlibody/geometry: fix GeometryObject::operator==

	utils: add helper function compare_shared_ptr

	test/serialization: add empty_contructor helper

	multibody: switch field order in ModelItem

	multibody: add ModelItem::operator==

	geom: remove deprecated field GeometryObject::fcl

	Merge pull request #2098 from sea-bass/meshcat-frame-viz
	Add frame visualization to Meshcat visualizer

	readme: add Sebastian Castro as contributor

	changelog: update

	ci/ros: update commit id

2023-11-25  Sebastian Castro  <sebas.a.castro@gmail.com>

	Update frames in FK if needed

	Separate initialization and update of frames

	Remove trailing whitespace

2023-11-25  Sebastian Castro  <4603398+sea-bass@users.noreply.github.com>

	Merge branch 'devel' into meshcat-frame-viz

2023-11-25  Sebastian Castro  <sebas.a.castro@gmail.com>

	Add frame visualization to Meshcat visualizer

2023-11-25  Justin Carpentier  <justin.carpentier@inria.fr>

	ci/ros: add iron and humble

2023-11-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2096 from jcarpent/topic/cmake
	Sync CMake module

2023-11-24  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: use jrl-umi3218/jrl-cmakemodules

2023-11-24  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

2023-11-23  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2095 from jorisv/topic/memory_check_in_jrlcmake
	Use `ADD_PYTHON_MEMORYCHECK_UNIT_TEST` from jrlcmakemodules

2023-11-23  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: run check-changelog on label change

	cmake: update modules

2023-11-23  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2094 from jcarpent/topic/fix
	Fix missing term for centroidal dynamics derivatives

	algo: fix

	changelog: update

	test/centroidal: enhance test of dAg/dt

	algo/centroidal: fix

	ci/ros: remove melodic support

2023-11-22  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: use jrlcmakemodules `ADD_PYTHON_MEMORYCHECK_UNIT_TEST` macro

2023-11-22  Justin Carpentier  <justin.carpentier@inria.fr>

	ci/ros: remove support of melodic

	algo/centroidal: fix missing term for centroidal dynamics derivatives

2023-11-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2090 from jorisv/topic/add_changelog
	Add changelog

2023-11-17  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'reach-ws' into 'pinocchio-3x'
	Add reachable Reachable Workspace algorithm

	See merge request jucarpen/pinocchio!587

2023-11-17  MILLAN Megane  <megane.millan@inria.fr>

	Add reachable Reachable Workspace algorithm

2023-11-17  Joris Vaillant  <joris.vaillant@inria.fr>

	changelog: replace * by -

	changelog: Add full changelog at the end

	changelog: turn nickname into link

	changelog: add old releases in CHANGELOG.md

	ci: add Check changelog CI workflow

	changelog: add CHANGELOG.md

2023-11-17  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: add Joris Vaillant

2023-11-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2087 from zongmianli/devel
	Fixed outdated Panda3D examples

2023-11-16  zong  <23478844+zongmianli@users.noreply.github.com>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	Removed uncessary imports

2023-11-16  Zongmian Li  <zongmian.li@gmail.com>

	fixed outdated Panda3D examples

2023-11-16  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2086 from jcarpent/topic/fcl-update
	Update minimal version of hpp-fcl to 2.0.0

2023-11-16  Justin Carpentier  <justin.carpentier@inria.fr>
	    Joris Vaillant  <joris.vaillant@gmail.com>

	test: add missing comment

2023-11-15  Justin Carpentier  <justin.carpentier@inria.fr>

	python: remove LooseVersion for Python > 3.12

	fcl: remove missing #endif

	fcl: remove outdated code

	fcl: set minimal version to 2.0.0

	cmake: sync submodule

2023-11-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2083 from stephane-caron/feature/inverse-dynamics-example
	Add inverse dynamics examples

2023-11-13  Stéphane Caron  <stephane.caron@normalesup.org>

	Make the two examples closer to each other

	Add Python inverse-dynamics example

	Add ID example

2023-11-13  Joris Vaillant  <joris.vaillant@inria.fr>

	Merge pull request #2082 from stack-of-tasks/topic/urdf_memory_leak
	Topic/urdf memory leak

	cmake: Only run memory checks when memory check tool is valgrind

	python: fix spelling

2023-11-13  Joris Vaillant  <joris.vaillant@gmail.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Update unittest/python/CMakeLists.txt

2023-11-10  Joris Vaillant  <joris.vaillant@inria.fr>

	python: don't add new code issue

	python: don't use  that had been introduced in Python2.7...

	cmake: add test to detect memory leak

2023-11-10  MILLAN Megane  <megane.millan@inria.fr>

	Merge branch 'topic/fix_openmp_sources' into 'pinocchio-3x'
	cmake: attach right source to hpp-fcl dependency

	See merge request jucarpen/pinocchio!589

2023-11-10  Joris Vaillant  <joris.vaillant@inria.fr>

	cmake: attach right source to hpp-fcl dependency

	Try to output failed tests errors

2023-11-09  Joris Vaillant  <joris.vaillant@inria.fr>

	ci: setup ctest verbose output

	binding: Fix memory leak in buildGeomFromUrdf and buildGeomFromUrdfString

2023-11-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2073 from stack-of-tasks/topic/check_xyzquat_conversion
	Topic/check xyzquat conversion

2023-10-31  Joris Vaillant  <joris.vaillant@inria.fr>

	python: apply review

	python: Throw an exception in XYZQUATToSE3 if called with wrong size argument

	Add SDF sources if required

2023-10-30  VAILLANT Joris  <joris.vaillant@inria.fr>

	Merge branch 'topic/move_headers' into 'pinocchio-3x'
	Move headers

	See merge request jucarpen/pinocchio!588

2023-10-30  VAILLANT Joris  <joris.vaillant@inria.fr>

	Move headers

2023-10-25  Joris Vaillant  <joris.vaillant@gmail.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>
	    Joris Vaillant  <joris.vaillant@navya.tech>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>

	Topic/move headers (#2070)
	* Move all headers
	
	* [WIP] Patch CMakeLists.txt to use the new hierarchy
	
	Header installation is broken
	
	* [WIP] First step to have a working installation
	
	* Fix last installation issues
	
	* Use REPLACE instead of REGEX REPLACE
	
	* Fix doxygen
	
	* [cmake] Set back include/pinocchio/parsers/python.hpp
	
	* [cmake] Remove the deprecated warning
	
	* [cmake] Don't use GLOB/GLOB_RECURSE to find sources
	
	* [cmake] Remove optional header from the main sources list
	
	* Python remove useless include
	
	* Update CMakeLists.txt
	
	
	* cmake: Rename private headers into generated headers
	
	---------

2023-10-19  Joris Vaillant  <joris.vaillant@navya.tech>

	[cmake] Remove broadphase binding when FCL is not enabled

2023-10-10  Guilhem Saurel  <guilhem.saurel@laas.fr>

	Merge pull request #2064 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2023-10-09  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.4.0 → v4.5.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.4.0...v4.5.0)

2023-09-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2055 from nim65s/devel
	CMake: require >= 3.10

2023-09-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake >= 3.10 → all policies <= 71 are NEW by default

	CMake: require >= 3.10
	ref. https://github.com/jrl-umi3218/jrl-cmakemodules/issues/338
	and fix deprecation warning about CMake 3.5 from CMake 3.27

2023-09-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2051 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-9e8b4aaec69f7cade96eda5cfcb3e7da57b99c6e
	build(deps): bump ros-industrial/industrial_ci from 9f963f67ebb889792175776c5ee00134d7bb569b to 9e8b4aaec69f7cade96eda5cfcb3e7da57b99c6e

2023-09-11  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 9f963f67ebb889792175776c5ee00134d7bb569b to 9e8b4aaec69f7cade96eda5cfcb3e7da57b99c6e.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/9f963f67ebb889792175776c5ee00134d7bb569b...9e8b4aaec69f7cade96eda5cfcb3e7da57b99c6e)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-09-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2052 from stack-of-tasks/dependabot/github_actions/actions/checkout-4
	build(deps): bump actions/checkout from 3 to 4

2023-09-11  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/checkout from 3 to 4
	Bumps [actions/checkout](https://github.com/actions/checkout) from 3 to 4.
	- [Release notes](https://github.com/actions/checkout/releases)
	- [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/actions/checkout/compare/v3...v4)

	---
	updated-dependencies:
	- dependency-name: actions/checkout
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2023-08-31  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2047 from cmastalli/topic/bugfix-so-cast
	Casting 1e-2 in SO log function

2023-08-31  Carlos Mastalli  <carlos.mastalli@gmail.com>

	[bugfix] Casting 1e-2 in SO log function

2023-08-29  Justin Carpentier  <justin.carpentier@inria.fr>

	python/constraints: delete outdated methos

	core: reorder include

	visitor: move typedef to common place

2023-08-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2043 from cmastalli/topic/root-joint
	parsers/sample: Renamed freeflyer_joint to root_joint

2023-08-28  Carlos Mastalli  <carlos.mastalli@gmail.com>

	parsers/sample: Renamed freeflyer_joint to root_joint

2023-08-23  Justin Carpentier  <justin.carpentier@inria.fr>

	warnings: remove useless typedes

	test/constraints: check results consistency multiple calls

	constraints: don't forget to reset to Zero()

	constraints: major refactoring WIP

2023-08-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2040 from duburcqa/crbaMinimal
	Fix Ycrb[0] not re-initialized in crbaMinimal.

	test/algo: check consistency double call minimal::crba

2023-08-22  Alexis Duburcq  <alexis.duburcq@wandercraft.eu>

	Fix Ycrb[0] not re-initialized in crbaMinimal.

2023-08-22  Justin Carpentier  <justin.carpentier@inria.fr>

	constraints: move Jacobian computations to RigidConstraintModelTpl

2023-08-11  Justin Carpentier  <justin.carpentier@inria.fr>

	test: fix warning

2023-08-10  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: remove reference to WORLD reference_frame

	algo/contact: check reference to be only LOCAL or LWA

	algo/contact: add calc method to RigidConstraintModelTpl

	algo/contact: add comments

	core: fix issue when using Casadi types

2023-08-08  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.20

	Merge pull request #2029 from jcarpent/topic/release
	Sync submodule cmake

	cmake: sync submodule

2023-08-03  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix linkage issues

2023-08-02  Justin Carpentier  <justin.carpentier@inria.fr>

	test/casadi: update

	test/casadi: add explog

	test: move test to the right folder

2023-07-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2013 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-9f963f67ebb889792175776c5ee00134d7bb569b
	build(deps): bump ros-industrial/industrial_ci from afbf77f39db26785371161d5691ab435b31bb3ba to 9f963f67ebb889792175776c5ee00134d7bb569b

2023-07-24  Justin Carpentier  <justin.carpentier@inria.fr>

	ci/conda: set Eigen version

	Merge branch 'devel' into dependabot/github_actions/ros-industrial/industrial_ci-9f963f67ebb889792175776c5ee00134d7bb569b

2023-07-17  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from afbf77f39db26785371161d5691ab435b31bb3ba to 9f963f67ebb889792175776c5ee00134d7bb569b.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/afbf77f39db26785371161d5691ab435b31bb3ba...9f963f67ebb889792175776c5ee00134d7bb569b)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-07-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1882 from cmastalli/topic/enable-copy
	Enabled copy and deepcopy

	ci/conda: fix advanced testing on Ubuntu

2023-07-12  Justin Carpentier  <justin.carpentier@inria.fr>

	test/python: test copy and deepcopy

	python/utils: fix __copy__ and __deepcopy__ methods

2023-07-12  Carlos Mastalli  <c.mastalli@hw.ac.uk>

	[python] Enabled copy and deepcopy

2023-07-11  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/remove-small-extern-template' into 'pinocchio-3x'
	[algorithm] remove template instantiation for contact-info

	See merge request jucarpen/pinocchio!584

2023-07-10  ManifoldFR  <wilson.jallet@polytechnique.org>

	[algorithm] remove template instantiation for contact-info

	[visualize] fix passing of arguments to VideoContext

2023-07-10  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/fix-log-casadi' into 'pinocchio-3x'
	autodiff: fix NaN when val < 0

	See merge request jucarpen/pinocchio!582

2023-07-10  CARPENTIER Justin  <justin.carpentier@inria.fr>

	python/test: remove useless print

	test/casadi: move test block and remove std::cout

2023-07-10  Ludovic De Matteis  <ldematteis@laas.fr>

	autodiff: Add unittest on log3 derivatives NaN

2023-07-10  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2007 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-1e0c5aff1147d50d58bf4185a55ff564c9b6e027
	build(deps): bump ros-industrial/industrial_ci from afbf77f39db26785371161d5691ab435b31bb3ba to 1e0c5aff1147d50d58bf4185a55ff564c9b6e027

2023-07-06  Ajay Sathya  <sajaysathya@gmail.com>

	EFPA and cABA-OSIM both succeed on all tests

2023-07-05  Ajay Sathya  <sajaysathya@gmail.com>

	EFPA now works for 3D constraints

	[wip] added the advanced tests

2023-07-04  Ajay Sathya  <sajaysathya@gmail.com>

	Added basic tests for Delassus

	minor

2023-07-03  Ludovic De Matteis  <ldematteis@laas.fr>

	autodiff: fix NaN when val < 0

2023-07-03  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from afbf77f39db26785371161d5691ab435b31bb3ba to 1e0c5aff1147d50d58bf4185a55ff564c9b6e027.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/afbf77f39db26785371161d5691ab435b31bb3ba...1e0c5aff1147d50d58bf4185a55ff564c9b6e027)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-06-30  ManifoldFR  <wilson.jallet@polytechnique.org>

	[python/visualize] meshcat: pass zmq_url argument

2023-06-28  Ajay Sathya  <sajaysathya@gmail.com>

	PV-OSIM now works for 4 contacts test-case

2023-06-27  Ajay Sathya  <sajaysathya@gmail.com>

	performance improvement for Omega computation and option to use PV/EFPA for Delassus computation

2023-06-26  Ajay Sathya  <sajaysathya@gmail.com>

	minor

2023-06-25  Ajay Sathya  <sajaysathya@gmail.com>

	early version cABA_osim works

2023-06-22  ManifoldFR  <wilson.jallet@polytechnique.org>

	Fix constrained dynamics not compiling with Scalar = casadi

2023-06-21  Justin Carpentier  <justin.carpentier@inria.fr>

	test/contact: test ContactCholeskyDecomposition::updateDamping

	python/algo: expose DelassusCholeskyExpression::updateDamping

	algo/contact: add updateDamping helper to DelassusCholeskyExpression

	serialization: serialize missing quantities in Data

	python/deprecated: remove GeometryObject

	python: expose Delassus inverse algo

	algo: add Delassus inverse algo

	readme: add Stéphane Caron as contributor

	readme: fix typos

	core: add Dynamics const value (as in Eigen)

	cmake: sync submodule

	cmake: sync submodule

2023-06-21  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'wjallet/topic/contact-baumgarte-matrix' into 'pinocchio-3x'
	Contact dynamics: Set Baumgarte corrector parameters to be vectors

	See merge request jucarpen/pinocchio!579

2023-06-20  ManifoldFR  <wilson.jallet@polytechnique.org>

	[multibody] joint-universal: remove calls to normalize()

	[unittest] all-joints: more informative message on cast test

2023-06-20  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #2000 from jcarpent/topic/cppad
	Fix support of recent versions of Boost for CppAD and CppADCodeGen

	cppadcg: remove useless lines

	example/codegen: fix compilation issue

	ci/conda: remove useless lines

	ci/conda: use conda

	cppadcg: fix missing isfinite

	cppadcg: fix support of Boost >= 1.78

	cppad: fix support of Boost >= 1.78

2023-06-19  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.19

	Merge pull request #1996 from jcarpent/topic/release
	Enhance compatibility with new Python versions

2023-06-18  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

	cmake: add build python target to python target

	data: fix doc

	python: fox compatibility with Python >= 3.12

2023-06-08  ManifoldFR  <wilson.jallet@polytechnique.org>

	[python/algorithm] expose ContactCholesky's getInverseMassMatrix

2023-06-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1988 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-afbf77f39db26785371161d5691ab435b31bb3ba
	build(deps): bump ros-industrial/industrial_ci from 4b78602d67127a63dce62926769d9ec4e2ce72e4 to afbf77f39db26785371161d5691ab435b31bb3ba

2023-06-05  ManifoldFR  <wilson.jallet@polytechnique.org>

	meshcat_visualizer: fix minus sign in Plane width spec

	meshcat_visualizer: setBackgroundColor can take custom top/bottom colors

	meshcat_visualizer: use GeometryObject meshScale property for Plane

	meshcat_visualizer: fix "white" preset

2023-06-05  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 4b78602d67127a63dce62926769d9ec4e2ce72e4 to afbf77f39db26785371161d5691ab435b31bb3ba.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/4b78602d67127a63dce62926769d9ec4e2ce72e4...afbf77f39db26785371161d5691ab435b31bb3ba)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-06-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1987 from jcarpent/topic/ci
	Add support for ccache on Conda build

2023-06-03  Drewbot  <contact@drewhamilton.net>

	Documentation  (#1986)
	* Update 2-invgeom.md
	
	robot.initDisplay(loadModel=True) is deprecated
	robot.initViewer(loadModel=True) preferred.
	
	* Update a-rigid-bodies.md
	
	Fix broken LaTeX formatting for "using quaternions" title. Fixed grammar, "a SO(3) object" should be "an SO(3) object"
	
	* Update 1-directgeom.md
	
	Newer package names available from http://robotpkg.openrobots.org/robotpkg/index.html
	
	This is what I used with a fresh install yesterday and everything is working.
	
	* Update 1-directgeom.md
	
	Use @ for matrix multiplication. Previous version does not run in 3.10.
	
	* Update 1-directgeom.md
	
	skew now in main pinocchio namespace. cross deprecated in current version of pin, np.cross preferred.
	
	* Update 1-directgeom.md
	
	semicolons not particularly pythonic
	
	* Update 1-directgeom.md
	
	More semicolons cleaned
	
	* Update 1-directgeom.md
	
	* Update 1-directgeom.md
	
	Using robot_description is probably a bit more future-proof. The current version does not work as the actual path is /opt/openrobots/share/example-robot-data/robots/ur_description/urdf/ur5_gripper.urdf
	
	* Update 1-directgeom.md
	
	package robotpkg-ur5-description does not exist and robot_wrapper.py does not work out of the box with local path to example-robot-data, throwing an error: '''ValueError: Mesh package://example-robot-data/robots/ur_description/meshes/ur5/collision/base.stl could not be found.'''

2023-06-03  Justin Carpentier  <justin.carpentier@inria.fr>

	examples/meshcat: one more fix

	ci/conda: fix CMAKE_BUILD_TYPE

	examples: fix Meshcat examples

	ci/conda: fix naming

	python/meshcat: raise

	core: fix compilation warning

	ci/conda: fix usage of ccache

	Merge pull request #1984 from jcarpent/topic/cmake
	Enhance CMake packaging for Windows

	python/meshcat: fix logic and import issue

	python: fix meshcat import

	cmake: fix missing include

	cmake: sync submodule

	cmake: remove useless line

	cmake: sync submodule

	license: update years

	cmake: fix compatibility issues for cmake < 3.19

2023-06-01  ManifoldFR  <wilson.jallet@polytechnique.org>

	cmake: sync submodule
	bindings/python: add python cmake module to listfile

2023-06-01  CARPENTIER Justin  <justin.carpentier@inria.fr>

	gitlab: fix eigenpy compilation issue

2023-06-01  ManifoldFR  <wilson.jallet@polytechnique.org>

	[algorithm] set precision 0 in isZero() checks

	[algorithm] fix recursive header include
	...of constrained-dynamics.hpp into itself

	contact: make gains BaumgarteCorrectorParameters into vectors
	+ now supports different values per axis for Kp/Kd

2023-05-29  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'meshcat_zoom' into 'pinocchio-3x'
	fix camera zoom in meshcat visualizer

	See merge request jucarpen/pinocchio!578

2023-05-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1976 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-afbf77f39db26785371161d5691ab435b31bb3ba
	build(deps): bump ros-industrial/industrial_ci from 4b78602d67127a63dce62926769d9ec4e2ce72e4 to afbf77f39db26785371161d5691ab435b31bb3ba

2023-05-29  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 4b78602d67127a63dce62926769d9ec4e2ce72e4 to afbf77f39db26785371161d5691ab435b31bb3ba.
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/4b78602d67127a63dce62926769d9ec4e2ce72e4...afbf77f39db26785371161d5691ab435b31bb3ba)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-05-26  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	fix camera zoom in meshcat visualizer

2023-05-24  Stéphane Caron  <stephane.caron@normalesup.org>

	Issue templates (#1971)
	* Add bug report issue template
	
	* Add feature request issue template

2023-05-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'wjallet/baumgarte-cast' into 'pinocchio-3x'
	[algorithm] Add cast() function to BaumgarteCorrectorParameters

	See merge request jucarpen/pinocchio!577

2023-05-16  ManifoldFR  <wilson.jallet@polytechnique.org>

	algorithm/contact-info: fix use of static_cast

	[algorithm/contact-info] add template instantiation for
	...BaumgarteCorrectorParameters, RigidConstraintModel, RigidConstraintData

	[python/algorithm] Expose cast() and cast-constructor for BaumgarteCorrectorParameters

	[algorithm] add cast() function to BaumgarteCorrectorParameters
	+ utilize new cast() for "corrector" member of RigidConstraintModel

2023-05-12  Stéphane Caron  <stephane@scaron.info>
	    Justin Carpentier  <justin.carpentier@inria.fr>
	    Justin Carpentier  <justin.carpentier@inria.fr>
	    Wolfgang Merkt  <wxmerkt@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>
	    Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	Fix IK example in the documentation (#1963)
	* Revert 7d04090afa0fdbf2c10ce55d6e305620d61a3213
	
	This was not the proper fix to the IK example
	
	* Python IK example: error and Jacobian in same frames
	
	* C++ IK example: error and Jacobian in same frames
	
	* C++ IK example: add Jlog6
	
	* Fix signs in Jacobian and velocity calculations
	
	* [minor] Reduce diff to master
	
	* Update documentation to new code layout
	
	* Update examples/inverse-kinematics.cpp
	
	
	* Update examples/inverse-kinematics.cpp
	
	
	* python: fix example for Python 2
	
	
	---------

2023-05-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1966 from nim65s/py3
	CMake: an example require python 3

2023-05-12  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: an example require python 3
	so don't activate it for python 2

	```
	$ rg ' @ ' -tpy
	examples/static-contact-dynamics.py
	100:ls = np.linalg.pinv(Jc__feet_bl_T) @ g_bl  # This is (3)
	131:tau = g_j - Jc__feet_j_T @ ls
	```

2023-05-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1949 from nim65s/cxx14
	require C++14 for Boost >= 1.81

2023-05-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: C++11 is only required for urdfdom >= 0.42

	CMake: require C++14 for boost < 1.81
	ref. https://github.com/humanoid-path-planner/hpp-fcl/pull/410

2023-05-10  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1957 from stephane-caron/fix/a_urdf
	The insatiable English teacher PR 🧙

2023-05-10  Stéphane Caron  <stephane.caron@normalesup.org>

	[doc] Correct "a URDF" (not "an URDF", U is [ju])

2023-05-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1946 from stephane-caron/feature/add_motion_to_homogeneous
	Add Motion::toHomogeneousMatrix

2023-05-02  Stéphane Caron  <stephane.caron@normalesup.org>

	Add Motion::toHomogeneousMatrix

2023-04-29  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.18

	test/python: reduce range

	readme: add table of contents + add link to discussions

	Merge pull request #1942 from jcarpent/topic/eigenpy
	Fix other np.matrix issues

2023-04-28  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix other np.matrix issues

	Merge pull request #1941 from jcarpent/topic/eigenpy
	Remove support of np.matrix

	python: remove support np.matrix

	cmake: sync submodule

	python: remove support of np.matrix

2023-04-23  Justin Carpentier  <justin.carpentier@inria.fr>

	joints: add missing methods to JointModelUniversalTpl

	joints: add missing operation for JointModelUniversalTpl

	tests: fix test wrt new JointModelUniversalTpl

	python: remove support of np.matrix

2023-04-17  Stéphane Caron  <stephane.caron@normalesup.org>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Define operational frames in the documentation (#1929)
	* Define operational frames in the documentation
	
	* doc: update frame doc
	
	---------

2023-04-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1930 from fabinsch/cheatsheet-frames
	doc: more information about frames on cheatsheet

2023-04-17  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	doc: more information about frames on cheatsheet

2023-04-14  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meshcat: fix missing elif

2023-04-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1920 from fabinsch/update-doc-fixed-frame
	update doc for fixed joint

2023-04-13  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	ci: install cmake from conda-forge instead main

2023-04-13  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix linkage for python_parser

2023-04-13  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	doc: fix trailing-whitespace

2023-04-13  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix doc

2023-04-13  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	update doc for fixed joint treated as frame

2023-04-12  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meshcat: add loading of OcTree

2023-04-05  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

2023-04-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1914 from jcarpent/cmake
	Sync submodule cmake

	ci: remove outdated 18.04

	cmake: sync submodule

2023-04-03  Stéphane Caron  <stephane.caron@normalesup.org>

	Remove more empty sections from the docs (#1912)
	* Remove empty subsections in math
	
	* Clean up empty files from e-implementation
	
	* Move the remainder of e-implementation to an overview subsection
	
	* Remove related projects as this is already in the README
	
	* Rename f-benchmarks into e-benchmarks

2023-04-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1911 from stephane-caron/feature/update_model_after_urdf
	Python example: update joint placements after loading a URDF

2023-04-03  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'pinocchio-3x' into 'pinocchio-3x'
	New Universal Joint

	See merge request jucarpen/pinocchio!575

2023-04-03  Wilson Jallet  <wilson.jallet@polytechnique.org>

	Merge branch 'wj/stubs-depend-on-pywrap' into 'pinocchio-3x'
	[cmake] Make stubs target depend on pywrap

	See merge request jucarpen/pinocchio!576

2023-04-03  Stéphane Caron  <stephane.caron@normalesup.org>

	Add model update example to the doc

	Python example: update model after loading it

2023-03-31  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1908 from stack-of-tasks/topic/rpath
	fix INSTALL_RPATH on ROS & OSX

2023-03-31  Guilhem Saurel  <guilhem.saurel@laas.fr>

	fix INSTALL_RPATH on ROS & OSX

2023-03-29  ManifoldFR  <wilson.jallet@polytechnique.org>

	bindings/cmake: have python stubs target depend on pywrap target

	cmake : sync submodule

2023-03-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1899 from traversaro/patch-2
	Document that joints need to be added in depth-first order

2023-03-22  Silvio Traversaro  <silvio.traversaro@iit.it>

	Document that joints need to be added in depth-first order

2023-03-22  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1898 from fabinsch/update-doc
	update doc

2023-03-22  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	doc: change from relativ to absolute paths
	- currently, all the materials linked with relative paths are not properly accessible from [PyPi](https://pypi.org/project/pin/)

2023-03-20  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: switch citation ordering

2023-03-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1892 from Danfoa/devel
	Update documentation of `JointModel.shortname` in python bindings

2023-03-15  Pep Martí Saumell  <38432035+PepMS@users.noreply.github.com>

	add static-contact-dynamics example (#1891)
	* add static-contact-dynamics example
	
	* change variable name
	
	* fix codacy issues
	
	* remove example-robot-data dependency

2023-03-14  Daniel Ordonez-Apraez  <daniels.ordonez@gmail.com>

	Update documentation of JointModel.shortname() in python bindings

2023-03-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1890 from stack-of-tasks/dependabot/github_actions/ros-industrial/industrial_ci-4b78602d67127a63dce62926769d9ec4e2ce72e4
	build(deps): bump ros-industrial/industrial_ci from 6a8f546cbd31fbd5c9f77e3409265c8b39abc3d6 to 4b78602d67127a63dce62926769d9ec4e2ce72e4

2023-03-13  Megane Millan  <mmillan@mmillanpc.paris.inria.fr>

	Remove motion-universal from serialization

	Use sperical-motion for simplicity

2023-03-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Change Copyright

	Change Coppyright

2023-03-13  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump ros-industrial/industrial_ci
	Bumps [ros-industrial/industrial_ci](https://github.com/ros-industrial/industrial_ci) from 6a8f546cbd31fbd5c9f77e3409265c8b39abc3d6 to 4b78602d67127a63dce62926769d9ec4e2ce72e4.
	- [Release notes](https://github.com/ros-industrial/industrial_ci/releases)
	- [Commits](https://github.com/ros-industrial/industrial_ci/compare/6a8f546cbd31fbd5c9f77e3409265c8b39abc3d6...4b78602d67127a63dce62926769d9ec4e2ce72e4)

	---
	updated-dependencies:
	- dependency-name: ros-industrial/industrial_ci
	  dependency-type: direct:production
	...

2023-03-08  Megane Millan  <mmillan@mmillanpc.paris.inria.fr>

	expose universal joint in python

	Fix assert

	Added universal joint with its unit test

	Added Universal Joint to JointCollection

2023-02-28  Justin Carpentier  <justin.carpentier@inria.fr>

	python: more fix

	python: fix potential alignement issue

	Merge pull request #1878 from stephane-caron/fix/remove_empty_examples
	Remove empty examples

2023-02-28  Stéphane Caron  <stephane.caron@normalesup.org>

	Remove empty examples
	Also fix link to reduced-model example which was not included.

2023-02-25  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: fix badge address

2023-02-24  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/contact: fix triangular ordering

	core: fix var name change

	casadi: start implementing copy for Eigen::Tensor
	This is not yet done and more work need to be done

	python/casadi: deactivate tensor exposition for now

	python/casadi: fix issue with recent version of eigenpy
	.derived() method is a protected member of TensorBase<D>

	python/autodiff: skip some algorithms

	python/casadi: fix template specialization

	sdf: use std::make_shared

	autodiff: fix compatibility issue with autodiff types in TriangularMatrixMatrixProduct

	merge: fix merging issue

	Merge tag 'v2.6.16' into topic/merging-v2.6.16
	Release of version 2.6.16.

	merge: fix merging issue

	Merge tag 'v2.6.15' into topic/merging-v2.6.16
	Release of version 2.6.15.

	Merge tag 'v2.6.14' into topic/merging-v2.6.16
	Release of version 2.6.14.

	merge: fix merging issue

	cmake: remove duplicate

	Merge tag 'v2.6.13' into topic/merging-v2.6.16
	Release of version 2.6.13.

	Merge tag 'v2.6.12' into topic/merging-v2.6.16
	Release of version 2.6.12.

	core: remove duplicate constructor

	cmake: fix linkage in tests

	joints: add missing methods

	Merge tag 'v2.6.11' into topic/merging-v2.6.16
	Release of version 2.6.11.

	Merge tag 'v2.6.10' into topic/merging-v2.6.16
	Release of version 2.6.10.

	merge: fix merging issues

	Merge tag 'v2.6.9' into topic/merging-v2.6.16
	Release of version 2.6.9.

	python/meschat: add reset and fix static_objects creation

	cmake: deactivate MPFR bindings by default

2023-02-22  Justin Carpentier  <justin.carpentier@inria.fr>

	readme: move documentation closer to the top

	readme: fix doc logo

	readme: add documentation shield

	Merge pull request #1875 from stephane-caron/fix/ik_example
	Fix IK example

2023-02-22  Stéphane Caron  <stephane.caron@normalesup.org>

	Update target of IK example
	The previous target was unfeasible, so CLIK would never converge. It
	converges with this one.

2023-02-19  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1869 from duburcqa/stubs
	Fix some Python bindings signatures and add stub generation.

2023-02-19  Alexis Duburcq  <alexis.duburcq@wandercraft.eu>

	Fix Python bindings signatures and add stub generation.

2023-02-18  Justin Carpentier  <justin.carpentier@inria.fr>

	core/model: fix documentation

	python/model: add more doc

	readme: add Shubham Singh contributions

2023-02-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1868 from cmastalli/topic/pybind11-force
	Support force in pybind11

2023-02-16  Carlos Mastalli  <c.mastalli@hw.ac.uk>

	[python] Support force in pybind11

2023-02-15  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.17

2023-02-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1865 from duburcqa/patch-3
	Fix support of AVX2.

2023-02-12  Alexis DUBURCQ  <alexis.duburcq@gmail.com>

	Fix support of AVX2.

2023-02-10  Justin Carpentier  <justin.carpentier@inria.fr>

	constraints: add computeContactComplementarity

	python: fix bindings

	contact: refactor the code to make it more generic

	Merge pull request #1863 from jcarpent/topic/cmake
	Sync submodule CMake

	cmake: sync submodule

2023-02-09  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: remove system

	cmake: sync submodule

2023-02-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1860 from jcarpent/topic/so
	Second-order RNEA derivatives

2023-02-06  Justin Carpentier  <justin.carpentier@inria.fr>

	serialization: remove std::cout

	core: simplify testing of Eigen::Tensor

	core: clean data and rename field

	bench/derivatives: add possibility to change the Tensor layout

	algo/rnea-so: large timings improvement
	Passing from 200us to 120us for simple humanoids

	algo/rnea-so: fix doc

	casadi: use Dense Index

	algo/rnea-so: avoid recomputing twice the value

	algo/rnea-so: change type naming

	all: change name

	algorithm: fix guard and rename file

2023-02-06  shubhamsingh91  <shubham.singh091@gmail.com>

	adding new data types to serialize function, minor changes to dataTpl

	added the unit-test for rnea-derivatives-SO

	added new separate unit-test

	aligning unit-test with pin-devel

	aligning with Pinocchio-devel

	removing atlas from models

	changes to data.hxx

	cleanup

	cleanup

	added RNEA SO derivatives to benchmark

	minor changes to data and RNEASO header

	added RNEA SO derivative unit-test

	added some models for testing

	added RNEA SO derivatives, added to multibody/data, added tensor utils

2023-02-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1845 from ManifoldFR/devel
	[python/visualize] Extend visualizer features and implement them for MeshcatVisualizer

2023-02-04  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/meshcat_visualizer : pass no arguments to meshcat's get_image when none specified
	+ allows backwards compatibility with upstream meshcat

2023-02-03  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/base_visualizer : fix use of f-strings and type hint
	(for Python 2)

	python/meshcat_visualizer : strip away type hints

	python/meshcat_visualizer : remove unused import

2023-02-03  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/base_visualizer : fix unused import

	python/base_visualizer : remove pathlib dependency
	+ use os.path module instead

2023-02-03  Justin Carpentier  <justin.carpentier@inria.fr>

	python/viewer: fix method naming

2023-02-03  ManifoldFR  <wilson.jallet@polytechnique.org>

	restore name q_trajectory

	python/visualize : restore returning raw images in play() method (optionally)
	+ restore "capture" arg
	+ video context creation method sends warning when imageio unavailable

	python/visualize : remove type hints

	python/meshcat : run through black formatter
	+ also format examples/meshcat-viewer.py

2023-02-03  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/meshcat : remove assert statements
	examples/meshcat-viewer : fix trailing whitespace

	python/visualize : fix inconsistent function signatures

2023-02-03  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/meshcat : handle static objects

	python/meshcat: add color arg to drawFrameVelocities

	meshcat : fix type hint for _draw_vectors_from_frame
	+ previous version of Python doesn't support subscripting "list" type to replace typing.List

	meshcat : implement addGeometryObject convenience function
	+ adds a visual GeometryObject

	visualize : add video recording API
	+ add VideoContext context and convenience function create_video_ctx

	examples : change meshcat-viewer example to solo8
	+ test displaying simple traj with foot frame velocity vector

	viz: add drawFrameVelocities to API
	+ implement for meshcat

	visualize: add setCameraZoom, setCameraPose
	+ add disableCameraControl, enableCameraControl from RoboMeshcat

2023-02-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1858 from stephane-caron/feature/Jlog3_doc
	Add documentation to Jlog3

2023-02-02  Stéphane Caron  <stephane.caron@normalesup.org>

	Add documentation to Jlog3

2023-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1857 from stephane-caron/fix/Jlog6_doc
	Fix Jlog6 documentation

2023-02-02  Stéphane Caron  <stephane.caron@normalesup.org>

	Fix Jlog6 documentation
	Sorry for the typo (^_^")

2023-02-02  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.16

	Merge pull request #1855 from jcarpent/topic/python
	Fix issue with Python 3.6

2023-02-01  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix issue with Python 3.6

	Merge pull request #1853 from jcarpent/topic/python
	Enforce testing of Python bindings

2023-01-31  Justin Carpentier  <justin.carpentier@inria.fr>

	test: fix linter

	python/serialization: extend StreamBuffer

	core: fix warning

	algo: add missing check_expression_if_real for input checks

	cmake: fix Python component search

	casadi: fix indent

	math: fix namespace

	parsers: fix copyright

	core: fix indent

	example: use Meshcat and replace deprecated signatures

	python: expose exposeContactSolvers

	algo: comment input argument check

	algo: fix compilation warning

	python/context: add typedef for CoulombFrictionConeVector

	python: expose PGS solver

	algo: add PGS solver

	context: main context should also include alternative context

	context: add typedef for Cones

	python: correct indent

	python: fix std::vector of cone exposition

	core: move code to the right place

	python/constraints: fix naming and expose computeRadialProjection

	constraint: add computeRadialProjection to CoulombFrictionConeTpl

	python: expose extending API of DelassusCholeskyExpression

	constraints: extend DelassusCholeskyExpression

	constraints: fix missing const

	python: expose CoulombFrictionCone

	constraints: add first draft of CoulombFrictionCone

	python: expose computeLargestEigenvector

	cmake: add algorithm/constraints dir

	math: add computation of largest eigen values

	python: expose DelassusCholeskyExpression::solve

	python: expose DelassusCholeskyExpression

	contact: clean DelassusCholeskyExpression API

	math: add triangular matrix multiplication helpers

	cmake: fix logic for cpp2pybind11 test

	constraint: add DelassusInverseCholeskyExpression + rename

	constraint: add updateDamping to Cholesky

	python/meshcat: add Plane and Halfspace visualisation

	python/meshcat: add DAE and Cone loader

	python/meshcat: rename

	python/meshcat: rename methods

	test/python: enforce testing

	release: Update package.xml version to 2.6.15

2023-01-30  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1851 from jcarpent/topic/python
	Fix issue with old version of Boost and eigenpy >= 2.9.0

	python: add more fix

	python: add more fix

	python: fix issue with old version of Boost

2023-01-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1847 from jcarpent/topic/ci
	Fix issue with recent change on master branch for ROS-CI

	ci/ros: fix issue with recent change on master branch

	Merge pull request #1846 from nim65s/topic/no-urdf
	remove useless header

2023-01-26  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/meshcat : handle hppfcl.Plane objects

2023-01-26  Guilhem Saurel  <guilhem.saurel@laas.fr>

	remove useless header
	to fix build with -DBUILD_WITH_URDF_SUPPORT=OFF

2023-01-25  ManifoldFR  <wilson.jallet@polytechnique.org>

	python/meshcat : handle static objects

	python: add example with solo12 and meshcat + heightfield

	python/meshcat: add color arg to drawFrameVelocities

2023-01-25  Stéphane Caron  <stephane.caron@normalesup.org>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Documentation for Jlog6 (#1842)
	* [minor] Fix double-dot typo
	
	* Add documentation for Jlog6
	
	* Add missing defs and proposal to refactor Jlog6 cheatsheet
	
	* Fix double-parenthesis typo
	
	* Fix from/to sets of Jlog6 in documentation
	
	* doc/spatial: fix missing elements

2023-01-24  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'wj/meshcat-features' into 'pinocchio-3x'
	Extend visualizer features and implement for MeshcatVisualizer

	See merge request jucarpen/pinocchio!574

2023-01-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1775 from duburcqa/patch-2
	Error when integrating SE3 with the same vector given as input and output

	Merge pull request #1836 from stephane-caron/feature/doc_get_joint_jacobian
	More documentation for getJointJacobian

2023-01-16  Stéphane Caron  <stephane.caron@normalesup.org>

	More documentation for getJointJacobian

2023-01-16  Justin Carpentier  <justin.carpentier@inria.fr>

	test: fix

	ci/ros: output on failure

	test: adjust tolerance for given joint type

	test: restore previous values

	liegroups: enhance testign
	The precision should be lowered with Pinocchio 3x

	liegroups: fix constructor

	test: add todo

2023-01-16  Alexis Duburcq  <alexis.duburcq@wandercraft.eu>

	Error when integrating SE3 with the same vector given as input and output

2023-01-13  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.14

	Merge pull request #1832 from jcarpent/topic/python
	Fix registration of ptr to Python

2023-01-13  ManifoldFR  <wilson.jallet@polytechnique.org>

	examples/anymal-simulation : fix loadANYmal() function not existing in example-robot-data

	meshcat : fix type hint for _draw_vectors_from_frame
	+ previous version of Python doesn't support subscripting "list" type to replace typing.List

2023-01-13  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix registration of ptr to Python

2023-01-12  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.13

2023-01-12  ManifoldFR  <wilson.jallet@polytechnique.org>

	meshcat : implement addGeometryObject convenience function
	+ adds a visual GeometryObject

	visualize : add video recording API
	+ add VideoContext context and convenience function create_video_ctx

2023-01-12  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

2023-01-12  ManifoldFR  <wilson.jallet@polytechnique.org>

	examples : change meshcat-viewer example to solo8
	+ test displaying simple traj with foot frame velocity vector

	viz: add drawFrameVelocities to API
	+ implement for meshcat

	cmake fix: use full Python Development component
	+ because Development.Embed required for test-cpp-python_parser

	visualize: add setCameraZoom, setCameraPose
	+ add disableCameraControl, enableCameraControl from RoboMeshcat

	visualize: add setBackgroundColor, setCameraTarget...
	+ add visualizer methods for setting the camera target, position,
	  environment background color
	+ base class raises NotImplementedError w/o implementation
	+ implement for MeshcatVisualizer, add camera presets

2023-01-03  Florent Lamiraux  <florent@laas.fr>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Allow to use std::shared_ptr (#1822)
	* Allow to use std::shared_ptr for hpp-fcl >= 2.0.0
	
	* all: fix usage of make_shared

2022-12-26  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1821 from jcarpent/topic/python
	Fix Python issues

	python: fix logic

	python: fix issues with Python 3

2022-12-19  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'qll/visualize-ellipsoids' into 'pinocchio-3x'
	Qll/visualize ellipsoids

	See merge request jucarpen/pinocchio!572

2022-12-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Sync submodule cmake (#1811)
	* cmake: sync submodule
	
	* cmake: sync submodule

2022-12-12  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1809 from stack-of-tasks/dependabot/github_actions/goanpeca/setup-miniconda-2
	build(deps): bump goanpeca/setup-miniconda from 1 to 2

2022-12-12  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump goanpeca/setup-miniconda from 1 to 2
	Bumps [goanpeca/setup-miniconda](https://github.com/goanpeca/setup-miniconda) from 1 to 2.
	- [Release notes](https://github.com/goanpeca/setup-miniconda/releases)
	- [Changelog](https://github.com/goanpeca/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/goanpeca/setup-miniconda/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: goanpeca/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-12-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1802 from stack-of-tasks/dependabot/github_actions/goanpeca/setup-miniconda-2
	build(deps): bump goanpeca/setup-miniconda from 1 to 2

2022-12-05  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump goanpeca/setup-miniconda from 1 to 2
	Bumps [goanpeca/setup-miniconda](https://github.com/goanpeca/setup-miniconda) from 1 to 2.
	- [Release notes](https://github.com/goanpeca/setup-miniconda/releases)
	- [Changelog](https://github.com/goanpeca/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/goanpeca/setup-miniconda/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: goanpeca/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-12-02  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

	cmake: fix packaging

2022-12-01  quentinldc  <quentin.le-lidec@inria.fr>

	fixing exposition and doc of appendModel

	adding ellipsoids to meshcat visualizer

2022-11-29  Guilhem Saurel  <guilhem.saurel@laas.fr>

	Merge pull request #1801 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2022-11-29  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.3.0 → v4.4.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.3.0...v4.4.0)

2022-11-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1799 from stack-of-tasks/dependabot/github_actions/goanpeca/setup-miniconda-2
	build(deps): bump goanpeca/setup-miniconda from 1 to 2

2022-11-28  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump goanpeca/setup-miniconda from 1 to 2
	Bumps [goanpeca/setup-miniconda](https://github.com/goanpeca/setup-miniconda) from 1 to 2.
	- [Release notes](https://github.com/goanpeca/setup-miniconda/releases)
	- [Changelog](https://github.com/goanpeca/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/goanpeca/setup-miniconda/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: goanpeca/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-11-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1797 from EtienneAr/supportedInertia
	Follow-up : Supported inertia by frame

2022-11-24  EtienneAr  <etienne.arlaud@gmail.com>

	Remove dependency to urdfdom in test

	Fix error for when : frame.previousFrame equals frame id (occurs with reduced models)

2022-11-23  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1796 from EtienneAr/supportedInertia
	Add helper functions for computing supported inertia and force by frames

2022-11-23  EtienneAr  <etienne.arlaud@gmail.com>

	Fix compilation error for ROS Melodic pipeline

	Minor comment fix

	Minor operation order improvment

	Add missing consts

	Merge inertia functions and rename

	Add computeFrameSupportInertia<InBody/WithSubtree> and computeFrameSupportedForce with test

2022-11-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1793 from stack-of-tasks/dependabot/github_actions/goanpeca/setup-miniconda-2
	build(deps): bump goanpeca/setup-miniconda from 1 to 2

2022-11-21  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump goanpeca/setup-miniconda from 1 to 2
	Bumps [goanpeca/setup-miniconda](https://github.com/goanpeca/setup-miniconda) from 1 to 2.
	- [Release notes](https://github.com/goanpeca/setup-miniconda/releases)
	- [Changelog](https://github.com/goanpeca/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/goanpeca/setup-miniconda/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: goanpeca/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-11-19  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1792 from jcarpent/topic/boost-1.78
	Fix issue with Boost 1.78 on OSX systems

	cmake: sync submodule

	serialization: fix issue with Boost 1.78 and APPLE systems

2022-11-17  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1791 from jmirabel/fix-append-geometry-model
	Skip collision pairs between geom on same joint in appendGeometryModel

2022-11-16  Joseph Mirabel  <jmirabel@eurekarobotics.com>

	appendGeometryModel skip collision pairs between geom on same joint

2022-11-14  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1790 from stack-of-tasks/dependabot/github_actions/goanpeca/setup-miniconda-2
	build(deps): bump goanpeca/setup-miniconda from 1 to 2

2022-11-14  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump goanpeca/setup-miniconda from 1 to 2
	Bumps [goanpeca/setup-miniconda](https://github.com/goanpeca/setup-miniconda) from 1 to 2.
	- [Release notes](https://github.com/goanpeca/setup-miniconda/releases)
	- [Changelog](https://github.com/goanpeca/setup-miniconda/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/goanpeca/setup-miniconda/compare/v1...v2)

	---
	updated-dependencies:
	- dependency-name: goanpeca/setup-miniconda
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-11-06  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.12

	Merge pull request #1784 from jcarpent/topic/python
	Fix issue with clang

	python: fix issue with clang

2022-11-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1782 from jcarpent/topic/cmake
	Fix packaging issues + sync submodule CMake

	cmake: sync submodule

	cmake: fix handling of BUILD_WITH_LIBPYTHON

	Merge pull request #1781 from wxmerkt/topic/check-link-and-joint-name-uniqueness
	Elevate check for ambiguous input argument to an exception

	ci/conda: fix compiler versions

2022-10-29  Justin Carpentier  <justin.carpentier@inria.fr>

	ci/conda: show list of installed packages

	ci/conda: use conda compilers

	model: enhance input check for getFrameId

2022-10-28  Wolfgang Merkt  <w.merkt@gmail.com>

	Model::getFrameId: Turn assert to input argument check, addresses #1771

	[unittest] Add test for #1771 to URDF testcase

2022-10-25  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.11

	cmake: fix logic

	Merge pull request #1777 from jcarpent/topic/cmake
	Enhance cmake packaging

	cmake: fix logic for testing cpp2pybind11

	cmake: fix example check

	cmake: sync submodule

2022-10-24  Nick Roma  <54879724+nikoandpiko@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Updates README (#1776)
	* Updates README
	
	* readme: fix list

2022-10-18  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1769 from whtqh/heaty-meshcat-cone-fixed
	pinocchio/visualize: Add support for cone shape in meshcat dispaly

2022-10-17  heaty  <heatywang@tencent.com>

	Set the small end as the +z direction

	Add cone shape in meshcat dispaly

2022-10-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1770 from wxmerkt/topic/add-ros-binary-build-badges-to-readme
	Add status of ROS builds to README

	readme: fix linter issue

2022-10-16  Wolfgang Merkt  <w.merkt@gmail.com>

	Add status of ROS builds to README

2022-10-10  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1764 from wxmerkt/topic/remove-some-warnings
	Address remaining warnings + speed-up build for BUILD_TESTING=OFF

2022-10-09  Wolfgang Merkt  <w.merkt@gmail.com>

	[multibody] LieGroupBase Return *this in deleted function

	Address review comment

	[unittest] Only build cpp2pybind11 if BUILD_TESTING=ON

	[multibody] LieGroupGeneric: Add copy constructor for LieGroupGeneric

	[multibody] LieGroupBase: Delete copy assignment operator

	[multibody] VectorSpaceOperationTpl: Add copy assignment operator

	[python] ignore -Wself-assign-overloaded
	bp::self -= bp::self triggers this

	Update cmake submodule to avoid pragma redefine warnings

2022-10-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1756 from fabinsch/configuration-limits
	Configuration limits for joints and model

2022-10-04  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'add_cppad_jit_rnea_unittest' into 'pinocchio-3x'
	add cpp jit rnea unittest

	See merge request jucarpen/pinocchio!570

2022-09-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	multibody/model: add helper functions to get hasConfigurationLimit and hasConfigurationLimitInTangent for a model

	multibody/joint: add hasConfigurationLimitInTangent function to all joints

	unify naming to hasConfigurationLimit

2022-09-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	Update bindings/python/multibody/joint/joint-derived.hpp

	Update bindings/python/multibody/joint/joint.hpp

	Update bindings/python/multibody/model.hpp

2022-09-30  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	[multibody] composite/mimic joint add hasConfigurationLimit

2022-09-29  Fabian Schramm  <55981657+fabinsch@users.noreply.github.com>

	unittest: test configuration limit functionality

	multibody/model: add configurationLimit vector
	- vector stacks the boolean vector of configurations limits of each joint in the model
	- expose to python

	multibody/joint: add hasConfigurationLimit function to all joints
	- every joint return a vector of boolean of size nq describing if each of the DOF has bounds or not
	- expose to python

2022-09-28  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1753 from stephane-caron/devel
	Add @note to difference documentation

2022-09-28  Stéphane Caron  <stephane.caron@normalesup.org>

	Add note to difference function

2022-09-26  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1750 from jcarpent/topic/cmake
	Sync submodule cmake

	cmake: sync submodule

2022-09-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1748 from fabinsch/urdf-fix-rel-path
	URDF: fix loading relative mesh path in urdf

2022-09-15  fabinsch  <fabi.schramm@gmail.com>

	unittest/urdf: check relative mesh loading
	- cannot check for mesh path anymore
	Now we have
	~/pinocchio/models/./simple_humanoid_description/box.stl
	instead of
	~/pinocchio/models/simple_humanoid_description/box.stl
	which is not a problem for loading the mesh.
	- check if name of mesh is the same

	parser/utils: fix handling of relative mesh path

2022-09-14  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.10

	Merge pull request #1744 from jcarpent/topic/cmake
	Sync submodule CMake

2022-09-13  Justin Carpentier  <justin.carpentier@inria.fr>

	ci: conda list

	cmake: sync submodule

2022-09-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1742 from fabinsch/fix-urdf-rel-path
	Fix relative path in urdf

2022-09-07  fabinsch  <fabi.schramm@gmail.com>

	unittest: load urdf with relative mesh path

	parser/utils: fix check for relative path

	parser/utils: handle relative path

2022-08-25  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1738 from jcarpent/topic/cmake
	Fix relocalable

	cmake: fix packaging for recolability

	Merge pull request #1736 from Jiayuan-Gu/patch-1
	Expose `removeGeometryObject` in python binding

	cmake: sync submodule

2022-08-21  Jiayuan Gu  <17827258+Jiayuan-Gu@users.noreply.github.com>

	Expose `removeGeometryObject` in python binding

2022-08-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1734 from nim65s/devel
	fix syntax for python 2

2022-08-16  Guilhem Saurel  <guilhem.saurel@laas.fr>

	fix syntax for python 2

2022-08-16  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	package.xml: Change license to BSD-2 to match COPYING.LESSER

2022-08-12  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.9

2022-08-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Sync submodule CMake (#1732)
	* cmake: sync submodule
	
	* cmake: sync submodule

2022-08-11  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1681 from stack-of-tasks/topic/ros2-release
	ROS2 release support

2022-08-11  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	[CI] Attempt to fix testing with colcon

2022-08-06  Justin Carpentier  <justin.carpentier@inria.fr>

	examples: set non blocking mode for matplotlib

	algo: fix merge

	cmake: remove useless lines for test-cpp-python_parser

	models: remove useless line

	cmake: update pybind11 version

	cmake: use find_package for GMP and MPFR

	cmake: sync submodule

	cmake: move meshcat-viewer to the right slot

	cmake: look for the Python Embed interpreter

	cmake: fix ADD_PINOCCHIO_UNIT_TEST
	handling of extra PACKAGES was not done

	cmake: do not look for Python, eigenpy does the job

	cmake: sync submodule

	liegroups: fix aliasing

	test: tiny fix
	This test was producing weird behavior on Conda

2022-08-05  Justin Carpentier  <justin.carpentier@inria.fr>

	test: remove compilation warnings

	Merge tag 'v2.6.8' into topic/merging-v2.6.8
	Release of version 2.6.8.

	python: remove double exposition of CollisionGeometryPtr

	test/casadi: remove compilation warning

	cmake: update hpp-fcl minimal version

	parsers: HPP-FCL always >= 2.

	Merge tag 'v2.6.7' into topic/merging-v2.6.7
	Release of version 2.6.7.

	examples: further missing fixes

	algo: fix compiler warnings

	cmake: fix description

	Merge tag 'v2.6.6' into topic/merging-v2.6.6
	Release of version 2.6.6.

	bench: fix function name in std::cout

	example: fix function name

	example: remove deprecated warning

	test/casadi: fix warning

2022-08-04  Justin Carpentier  <justin.carpentier@inria.fr>

	spatial: add missing copy constructor for MotionRef

	spatial: delete {Force,Motion}Dense copy constructor

2022-08-02  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1723 from jcarpent/topic/test
	Fix weird test failure on Conda

	macros: fix C++14 detection

	cmake: sync submodule

	test: tiny fix
	This test was producing weird behavior on Conda

	Merge pull request #1720 from nim65s/devel
	CMake: update to eigenpy 2.7.10

2022-08-01  Guilhem Saurel  <guilhem.saurel@laas.fr>

	ci: fix python executable in packaging unittest

2022-07-27  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: update to eigenpy 2.7.10

	sync submodule

2022-07-20  Justin Carpentier  <justin.carpentier@inria.fr>

	python/meshcat: handle HeightFieldAABB

2022-07-19  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1719 from wxmerkt/topic/ros2-integration
	ROS2/Colcon integration

2022-07-18  Wolfgang Merkt  <w.merkt@gmail.com>

	Update cmake submodule

	Colcon integration: AMENT_PREFIX_PATH and PYTHONPATH

2022-07-16  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1718 from nim65s/topic/modernize-headers
	cmake: modernize header-only lib

2022-07-15  Guilhem Saurel  <guilhem.saurel@laas.fr>

	cmake: modernize header-only lib

2022-07-15  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1716 from nim65s/topic/relocatable
	cmake: relocatable package for recent CMake versions

2022-07-15  Guilhem Saurel  <guilhem.saurel@laas.fr>

	CMake: set BUILD_WITH_LIBPYTHON option

	rename into MODERNIZE_TARGET_LINK_LIBRARIES

	sync submodule

2022-07-14  Guilhem Saurel  <guilhem.saurel@laas.fr>

	modernize if available

	cmake: relocatable package for recent CMake versions

2022-07-14  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1712 from fabinsch/header_only_target
	Add header only target

2022-07-14  fabinsch  <fabi.schramm@gmail.com>

	update CMakeLists

2022-07-13  fabinsch  <55981657+fabinsch@users.noreply.github.com>
	    Justin Carpentier  <justin.carpentier@inria.fr>

	src/CMakeLists.txt: pinocchio_headers as INTERFACE

2022-07-13  fabinsch  <fabi.schramm@gmail.com>

	workflows/linux: add pinocchio_headers packaging test

	add packaging unittest for pinocchio_headers

	src/CMakeLists: add header only target

2022-07-09  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1709 from nim65s/topic/utils-python
	cmake/utils: no need for python here

2022-07-08  Guilhem Saurel  <guilhem.saurel@laas.fr>

	cmake/utils: no need for python here

2022-07-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1705 from fabinsch/add_cheat_sheet
	add cheat sheet to doc

2022-07-04  fabinsch  <fabi.schramm@gmail.com>

	update readme: include cheat sheet and add contributer

	update cheat sheet

2022-07-04  ABonnefoy  <aurelie.bonnefoy@ens-rennes.fr>

	init cheat sheet

2022-07-03  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1702 from Toefinder/devel
	SO3 diff impl use quaternion instead of rotation matrix

	liegroups: simplify operations for SO3

	spatial/explog: import quaternion::log3 from pinocchio-3x

	test: restore tolerance value

2022-07-03  Le Quang Anh  <43576719+Toefinder@users.noreply.github.com>

	SO3 diff_impl: use quat instead of matrix
	For implementation of difference between two SO3 values, it is more
	accurate to use quaternion multiplication instead of the corresponding
	rotation matrix form.

	However, with the new diff_impl, integrate(q0, difference(q0,q1)) is less
	similar to the expected result q1. This is probably because the current
	implementation of integrate also suffers from floating point error. The
	threshold for the integrate_difference_test needs to be changed slightly
	to accommodate the new implementation of difference.

2022-07-03  Le Quang Anh  <43576719+Toefinder@users.noreply.github.com>

	Add test for distance very close SO3 values
	The current distance function does not give a positive distance for two
	SO3 values that are very close to each other (about 3e-17).

2022-07-01  fabinsch  <fabi.schramm@gmail.com>

	change input a-> x = (q,v,a) and add loop to generate different inputs

2022-07-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1698 from fabinsch/add_append_model_example
	Add python example appending Urdf and another model

2022-06-30  fabinsch  <fabi.schramm@gmail.com>

	algo/model.hxx: appendModel without frames

	examples/python: append urdf model and other model

2022-06-29  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1699 from jcarpent/topic/geometry
	Fix geometry color default value

	cmake: sync submodule

	models: sync example-robot-data

	geometry: change default meshColor

2022-06-28  fabinsch  <fabi.schramm@gmail.com>

	unittest/cppadcg: add crba test using same functions as CodeGenBase

	benchmark/cppad-jit: cleanup

2022-06-28  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>

	[pre-commit.ci] pre-commit autoupdate (#1695)
	* [pre-commit.ci] pre-commit autoupdate
	
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.2.0 → v4.3.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.2.0...v4.3.0)
	
	* pre-commit: autoupdate devel branch

2022-06-28  fabinsch  <fabi.schramm@gmail.com>

	benchmark/cppad-jit: add crba jit and codegen

2022-06-27  fabinsch  <fabi.schramm@gmail.com>

	benchmark/cppad-jit: add codegen comparison

	add benchmark for cppad-jit

	unittest/cppad: joint-space inertia matrix jit

2022-06-27  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1693 from jcarpent/topic/bug
	Fix bug in appendModel

2022-06-27  fabinsch  <fabi.schramm@gmail.com>

	CMakeList: require cppad >= 20220624

	unittest/cppad: add rnea jit

2022-06-27  Justin Carpentier  <justin.carpentier@inria.fr>

	algo/models: fix bug when universe is renamed

	python: fix doc

2022-06-27  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>
	    dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/cache from 2 to 3 (#1691)
	Bumps [actions/cache](https://github.com/actions/cache) from 2 to 3.
	- [Release notes](https://github.com/actions/cache/releases)
	- [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
	- [Commits](https://github.com/actions/cache/compare/v2...v3)
	
	---
	updated-dependencies:
	- dependency-name: actions/cache
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...
	
	Signed-off-by: dependabot[bot] <support@github.com>

2022-06-27  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>
	    dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/checkout from 2 to 3 (#1692)
	Bumps [actions/checkout](https://github.com/actions/checkout) from 2 to 3.
	- [Release notes](https://github.com/actions/checkout/releases)
	- [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/actions/checkout/compare/v2...v3)
	
	---
	updated-dependencies:
	- dependency-name: actions/checkout
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...
	
	Signed-off-by: dependabot[bot] <support@github.com>

2022-06-24  Justin Carpentier  <justin.carpentier@inria.fr>

	broadphase: add check

	macro: add PINOCCHIO_THROW_PRETTY

	broadphase: to not use init guess yet

	broadphase: potential buf
	Should be fix

	broadphase: reintroduce gjk_initial_guess

	broadphase: comment gjk_initial_guess

	broadphase: use the newly introduced GJK variant for proximity queries

	algo/geometry: add new signature for computeCollision

	geom: add possibility to sync distance_upper_bound when setting the security margin

2022-06-16  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	[CI] Rolling uses colcon

	[CI] Add Rolling config

2022-06-14  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>
	    Guilhem Saurel  <guilhem.saurel@laas.fr>

	[pre-commit.ci] pre-commit autoupdate (#1679)
	* [pre-commit.ci] pre-commit autoupdate
	
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.2.0 → v4.3.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.2.0...v4.3.0)
	
	* pre-commit: autoupdate devel branch

2022-06-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1677 from stack-of-tasks/dependabot/github_actions/actions/cache-3
	build(deps): bump actions/cache from 2 to 3

	Merge pull request #1678 from stack-of-tasks/dependabot/github_actions/actions/checkout-3
	build(deps): bump actions/checkout from 2 to 3

2022-06-13  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/checkout from 2 to 3
	Bumps [actions/checkout](https://github.com/actions/checkout) from 2 to 3.
	- [Release notes](https://github.com/actions/checkout/releases)
	- [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/actions/checkout/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: actions/checkout
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-06-13  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/cache from 2 to 3
	Bumps [actions/cache](https://github.com/actions/cache) from 2 to 3.
	- [Release notes](https://github.com/actions/cache/releases)
	- [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
	- [Commits](https://github.com/actions/cache/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: actions/cache
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-06-07  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1674 from nim65s/topic/pybind
	update to pybind11 v2.9.2

2022-06-07  Guilhem Saurel  <guilhem.saurel@laas.fr>

	update to pybind11 v2.9.2
	to remove the following warning with CMake 3.22:

	-- pybind11 v2.8.0
	CMake Warning (dev) at /usr/share/cmake/Modules/CMakeDependentOption.cmake:89 (message):
	  Policy CMP0127 is not set: cmake_dependent_option() supports full Condition
	  Syntax.  Run "cmake --help-policy CMP0127" for policy details.  Use the
	  cmake_policy command to set the policy and suppress this warning.
	Call Stack (most recent call first):
	  build/_deps/pybind11-src/CMakeLists.txt:101 (cmake_dependent_option)
	This warning is for project developers.  Use -Wno-dev to suppress it.

2022-06-06  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1671 from jcarpent/topic/submodules
	Sync example-robot-data

	Merge pull request #1670 from stack-of-tasks/dependabot/github_actions/actions/cache-3
	build(deps): bump actions/cache from 2 to 3

	Merge pull request #1669 from stack-of-tasks/dependabot/github_actions/actions/checkout-3
	build(deps): bump actions/checkout from 2 to 3

	models: sync example-robot-data

2022-06-06  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/cache from 2 to 3
	Bumps [actions/cache](https://github.com/actions/cache) from 2 to 3.
	- [Release notes](https://github.com/actions/cache/releases)
	- [Changelog](https://github.com/actions/cache/blob/main/RELEASES.md)
	- [Commits](https://github.com/actions/cache/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: actions/cache
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-06-06  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	build(deps): bump actions/checkout from 2 to 3
	Bumps [actions/checkout](https://github.com/actions/checkout) from 2 to 3.
	- [Release notes](https://github.com/actions/checkout/releases)
	- [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
	- [Commits](https://github.com/actions/checkout/compare/v2...v3)

	---
	updated-dependencies:
	- dependency-name: actions/checkout
	  dependency-type: direct:production
	  update-type: version-update:semver-major
	...

2022-06-06  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.8

2022-06-05  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1668 from jcarpent/topic/ci
	Enable ubuntu 22.04 on CI

	Merge pull request #1659 from turrisxyz/Dependabot-GitHub-Actions
	Included githubactions in the dependabot config

	algo: fix PINOCCHIO_DEPRECATED position

	ci/ccache: fix

	cmake: sync submodule

	ci: use ccache for building casadi

	ci: fix install of numpy

	ci: enable ubuntu 22.04

2022-06-02  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'ocp_quadrotor_example' into 'pinocchio-3x'
	New example: OCP using casadi feature and a quadcopter

	See merge request jucarpen/pinocchio!567

2022-06-02  Josep Marti  <jmarti@iri.upc.edu>

	New example: OCP using casadi feature and a quadcopter

2022-06-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1667 from danielcostanzi18/master
	Fix method play() of rviz_visualizer

	python: fix import

2022-06-01  Daniel Costanzi  <daniel.costanzi@pal-robotics.com>

	removed duplicate of method play(), now only method sleep() is overridden

	added new method sleep()

2022-06-01  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1665 from jcarpent/topic/coriolis
	Extend current Coriolis computations to account for Cristoffel symbol of first kind

	rviz: fix import order
	By this way, rviz is not strictly dependent of python_qt_binding.

2022-06-01  Daniel Costanzi  <daniel.costanzi@pal-robotics.com>

	method play() overridden, Qtest.qWait() used for the delay between one display to another instead of time.sleep()

2022-05-31  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

	algo: enhance Coriolis algos to compute the matrix related to Christoffel symbol of first kind

	python: expose missing quantities

	core: add field B to Data for Coriolis computations

2022-05-25  nathannaveen  <42319948+nathannaveen@users.noreply.github.com>

	chore: Included githubactions in the dependabot config
	This should help with keeping the GitHub actions updated on new releases. This will also help with keeping it secure.

	Dependabot helps in keeping the supply chain secure https://docs.github.com/en/code-security/dependabot

	GitHub actions up to date https://docs.github.com/en/code-security/dependabot/working-with-dependabot/keeping-your-actions-up-to-date-with-dependabot

	https://github.com/ossf/scorecard/blob/main/docs/checks.md#dependency-update-tool

2022-05-24  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1658 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2022-05-23  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.1.0 → v4.2.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.1.0...v4.2.0)

2022-05-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'dev/jcarpent/fix-mpfr' into 'pinocchio-3x'
	Fix use of MPFR in Python

	See merge request jucarpen/pinocchio!566

2022-05-23  Justin Carpentier  <justin.carpentier@inria.fr>

	example: fix multiprecision example

2022-05-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'helical-joint-cfg-unittests' into 'pinocchio-3x'
	[unittest/joint-configurations] add helical joint to buildAllJointsModel

	See merge request jucarpen/pinocchio!565

2022-05-23  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	[unittest/cppadcg] joint-configurations: add option to delete codegenerated libs

2022-05-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'add-cpp-autodiff-rnea-example' into 'pinocchio-3x'
	rnea cpp autodiff example

	See merge request jucarpen/pinocchio!564

2022-05-23  CARPENTIER Justin  <justin.carpentier@inria.fr>

	naming: compile_options -> compile_flags

2022-05-23  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	code-generator-base: add compile options to compileLib

2022-05-22  Justin Carpentier  <justin.carpentier@inria.fr>

	python/mpfr: fix getitem for ::boost::multiprecision::number

	python: add forward declaration

	python: fix copyright

	python/mpfr: move inline functions to cpp

	python: remove useless include

	python/mpfr: fix missing cast

	python/cmake: enables extra compilation units for scalar types

2022-05-20  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	add and adapt CMakeLists files

	[autodiff/example] add cpp-rnea

	[unittest/joint-configurations] add helical joint to buildAllJointsModel
	- add helical and helicalUnaligned

2022-05-20  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'add-pycppad-example' into 'pinocchio-3x'
	add rnea autodiff example

	See merge request jucarpen/pinocchio!563

2022-05-20  SCHRAMM Fabian  <fabian-constantin.schramm@inria.fr>

	add rnea autodiff example

2022-05-20  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	[codegen/rnea-py-example] simplify function output

2022-05-19  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'cppadcg-py-rnea' into 'pinocchio-3x'
	Add codegen python example

	See merge request jucarpen/pinocchio!562

2022-05-19  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'fix-cppad-cppadcg-unittests' into 'pinocchio-3x'
	Fix cppad joints unittest and cppadcg rnea example

	See merge request jucarpen/pinocchio!561

2022-05-19  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	[codegen/CMakeLists] CPPADCG_FOUND -> cppadcg_FOUND

	[codegen/CMakeLists] add python example
	do the same as for the other python examples

	CMakeLists: make sure CODEGEN support includes AUTODIFF support

	[codengen] add python rnea example

2022-05-18  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	[unittest] codegen/rnea fix includes
	necessary to have #include "pinocchio/codegen/cppadcg.hpp" as a first line

	[unittest] cppad/joints initialize HelicalUnaligned

2022-05-17  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix name for test-cpp-cppad

	test/cppadcg: fix include path

	cppadcg: add missing specialization for isfinite

	codegen: move isfinite to the right CppAD namespace

	test: move cppadcg to a dedicated folder

	cmake: only apply PYCPPAD_EXCLUDE_EIGEN_NUMTRAITS_SPECIALIZATION for python bindings

	Merge pull request #1653 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2022-05-16  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.1.0 → v4.2.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.1.0...v4.2.0)

2022-05-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'codegen-example' into 'pinocchio-3x'
	examples/codegen: create a codegen example using rnea

	See merge request jucarpen/pinocchio!560

2022-05-13  Rohan Budhiraja  <proyan@users.noreply.github.com>

	[codegen-rnea] remove copyright

2022-05-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/JMinv' into 'pinocchio-3x'
	add JMinv function in contact-cholesky

	See merge request jucarpen/pinocchio!557

2022-05-13  Rohan Budhiraja  <proyan@users.noreply.github.com>

	contact-cholesky: add missing MALLOC_ALLOWED

2022-05-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/cppadcg' into 'pinocchio-3x'
	pinocchio.cppadcg support

	See merge request jucarpen/pinocchio!558

2022-05-13  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1652 from Toefinder/fix-integrate-SO2
	Fix integrate method for SO2

2022-05-13  Rohan Budhiraja  <proyan@users.noreply.github.com>

	examples/codegen: create a codegen example using rnea

2022-05-13  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: fix cmake version for policy enforcing

	ci: use OpenMP from conda

	cmake: set CMP0074 policy to NEW

	cmake: use complete OpenMP lib path

	cmake: add message for OpenMP_CXX_LIBRARIES

	cmake: fix LINK_PYTHON_INTERFACE_TO_OPENMP name

2022-05-12  Justin Carpentier  <justin.carpentier@inria.fr>

	ci: remove cxx=11

	core: simplify casting and handle cppadcg types

	ci: fix OpenMP linkage on OSX with conda

2022-05-12  Le Quang Anh  <43576719+Toefinder@users.noreply.github.com>

	Fix integrate method for SO2
	When the same vector reference is given to the integrate method as both
	for input and for storing the output, the result is incorrectly
	calculated due to inplace changes. This problem is fixed in this commit.

2022-05-12  Justin Carpentier  <justin.carpentier@inria.fr>

	core: fix other cast for JointModelHelicalUnaligned

	core: remose useless specialization

	core: use helper in JointModelHelical

	core: add ScalarCast helper

	cppadcg: fix cast specialization

2022-05-12  Rohan Budhiraja  <proyan@users.noreply.github.com>

	src/codegen, src/autodiff: add more type support for constant_pi::get

2022-05-12  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'timings_eigen' into 'pinocchio-3x'
	benchmark/timings-eigen: add all storage products

	See merge request jucarpen/pinocchio!555

2022-05-12  Rohan Budhiraja  <proyan@users.noreply.github.com>

	[]cppadcg/__init__: 2022 copyright years

	[joint-helical] revert mistaken commented out code

2022-05-12  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/sdf-geometry' into 'pinocchio-3x'
	sdf/geometry.cpp: deal with loading geometry for fixed joints

	See merge request jucarpen/pinocchio!559

2022-05-10  Rohan Budhiraja  <proyan@users.noreply.github.com>

	sdf/geometry.cpp: deal with loading geometry for fixed joints

	cppad.hpp, cppadcg.hpp: define constant_pi getter for c++11 with std::integral_constant

	bindings/python: cppadcg link with cppad_library

	src/symmetric3: 0 -> Scalar(0)

	cppadcg: src : double-> Scalar()

	codegen/cppadcg: cast double -> CppADCg<double> type

	src/algorithm : double -> Scalar()

	bindings: double -> Scalar

	bindings/algorithm: 0 -> Scalar(0)

	bindings/python/CMakeLists: activate pinocchio.cppadcg compilation

	bindings: cppadcg.__init__

	context/cppadcg: create context::cppadcg header

	unittest/contact-cholesky: check JMinv

	contact-cholesky: get JMinv

2022-05-10  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1648 from stack-of-tasks/pre-commit-ci-update-config
	[pre-commit.ci] pre-commit autoupdate

2022-05-09  pre-commit-ci[bot]  <66853113+pre-commit-ci[bot]@users.noreply.github.com>

	[pre-commit.ci] pre-commit autoupdate
	updates:
	- [github.com/pre-commit/pre-commit-hooks: v4.1.0 → v4.2.0](https://github.com/pre-commit/pre-commit-hooks/compare/v4.1.0...v4.2.0)

2022-05-09  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/joint-config' into 'pinocchio-3x'
	Handle referenceConfiguration update in appendModel

	See merge request jucarpen/pinocchio!556

2022-05-05  Rohan Budhiraja  <proyan@users.noreply.github.com>

	unittest/model: test referenceconfig for appendModel

	multibody/model.hxx: fix == operator

	algo/model.hxx: add referenceconfig in appendModel

2022-05-03  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.7

2022-04-26  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1640 from jcarpent/topic/pickle
	Fix pickling for Boost >= 1.7.4

	Merge pull request #1637 from nim65s/devel
	follow up on hpp-fcl v2

	codacity: fix

	test: add test for pickling with complex URDF model

	python: fix pickling of Pinocchio data structure

2022-04-25  Guilhem Saurel  <guilhem.saurel@laas.fr>

	bindings: register boost::shared_ptr for CollisionGeometry

	ci: update hpp-fcl on conda

2022-04-21  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1636 from jcarpent/topic/examples
	Add example of collision with a point cloud

2022-04-20  Justin Carpentier  <justin.carpentier@inria.fr>

	example: fix

	example: add codacity comments

2022-04-20  Rohan Budhiraja  <proyan@users.noreply.github.com>

	benchmark/timings-eigen: add all storage products

2022-04-20  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix lib name

	examples: add example of collision with a point cloud

	python/meshcat: update support of hpp-fcl

2022-04-19  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	[template-instantiation] rename make_ref

2022-04-19  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'template-instantiation' into 'pinocchio-3x'
	Template instantiation pinocchio-3x

	See merge request jucarpen/pinocchio!554

2022-04-19  SCHRAMM Fabian  <fabian-constantin.schramm@inria.fr>

	Template instantiation pinocchio-3x

2022-04-19  Justin Carpentier  <justin.carpentier@inria.fr>

	sdf: fix useless var + copyright

2022-04-17  Rohan Budhiraja  <rohan.budhiraja@inria.fr>

	Merge branch 'casadi_fix' into 'pinocchio-3x'
	different bugs that are failing the ci

	See merge request jucarpen/pinocchio!553

2022-04-16  Rohan Budhiraja  <proyan@users.noreply.github.com>

	benchmark timings-const-dyn-deriv: use frame.parentJoint

2022-04-15  Rohan Budhiraja  <proyan@users.noreply.github.com>

	unittest/contact-cholesky: fix sigabrt

	CMakeLists: create dirs autodiff/multibody/joint

	unittest: contact-dyn-deriv: 5 tests fail in cassie. expect them for ci

	[unittest][contact-dyn-derivs] fix dac_dq with contact_acc_error, remove kp>0 test for contact6d lwa; remove redundant loop_closure kinematic test

	autodiff/joint-helical: fix copyright

	algo/prox: replace double -> context::Scalar

	[unittest/sdf]: unused var

	[broadphase]: fix missing return statemebt

	unittest/contact-cholesky: remove print

	unittest: fix signature

	joint-helical: use context scalar for typedefs

	broadphase-manager: copy assignment op

	cppad.hpp: include joint-helical

	joint-helical: add cast specialization for cppad<scalar> to scalar

2022-04-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'sdf_update' into 'pinocchio-3x'
	sdf: collision parsing can enter into an indef loop for multiple parents. use...

	See merge request jucarpen/pinocchio!548

2022-04-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'baumgarte_fix' into 'pinocchio-3x'
	Baumgarte fix

	See merge request jucarpen/pinocchio!549

2022-04-15  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix issues with const reference as input argument

	python: fix doc

	python: extend exposition of GeometryObject

2022-04-14  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: set PROJECT_COMPATIBILITY_VERSION

2022-04-13  Rohan Budhiraja  <proyan@users.noreply.github.com>

	[constrained-dyn-deriv] fix for kd lwa 6d

	unittest/contact-dyn-deriv: define global kp kd for easy setting

	[const-dyn-deriv] fix lwa 6d with kp=0, kd=0

	[constrained-dyn-deriv] activate kd corrector

	[constrainted-dyn-deriv] fix (kp kd local_world_aligned 3d)

	unittest: contact-dyn-deriv: test acc for kp, kd

	constrained-dyn-deriv: fix for kd local 3d d/dv

	constrained-dyn-derivs: fix kd local 3d term

	[constrained-dyn-deriv] fix kp for local contact_3d

	[constrained-dynamics-algo] add missing rot derivs for local 3d

2022-04-13  Justin Carpentier  <justin.carpentier@inria.fr>

	test: add missing call to computeLocalAABB

	cmake: sync submodule

2022-04-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'versioning' into 'pinocchio-3x'
	[package]: pinocchio-3x should be higher than pinocchio/devel and pinocchio-3preview

	See merge request jucarpen/pinocchio!547

2022-04-13  Rohan Budhiraja  <rohan.budhiraja@inria.fr>

	[package]: pinocchio-3x should be higher than pinocchio/devel and pinocchio-3preview

2022-04-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'fix-helical-joint' into 'pinocchio-3x'
	Minor fix helical-joint

	See merge request jucarpen/pinocchio!550

2022-04-13  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/example-robot-data-4' into 'pinocchio-3x'
	sync submodule

	See merge request jucarpen/pinocchio!551

2022-04-13  Justin Carpentier  <justin.carpentier@inria.fr>

	python/casadi: fix missing get_pytype

2022-04-11  Guilhem Saurel  <guilhem.saurel@laas.fr>

	sync submodule

2022-04-08  Justin Carpentier  <justin.carpentier@inria.fr>

	Merge pull request #1631 from wxmerkt/topic/support-hpp-fcl-v2-in-pinocchio-v2
	Make Pinocchio v2 compatible with HPP-FCL v2

2022-04-08  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	helical-joint: remove copy constructor, fix unittest all-joints
	Use the default copy constructor instead. In all-joints unittest the init method for HelicalJointUnaligned was missing.

2022-04-08  Justin Carpentier  <justin.carpentier@inria.fr>

	cmake: sync submodule

	collision: Add support for hpp-fcl v2 in Pinocchio v2

	cmake: sync submodule

	Merge pull request #1630 from wxmerkt/topic/fix-multiline-comment-warning
	Avoid triggering multi-line comment in Latex formula

2022-04-07  Wolfgang Merkt  <w.merkt@gmail.com>

	Fix typos

	Add copy operator to GeometryData

2022-04-07  Justin Carpentier  <justin.carpentier@inria.fr>

	ci: set conda hpp-fcl version

2022-04-06  Wolfgang Merkt  <w.merkt@gmail.com>

	Avoid triggering multi-line comment in Latex formula

2022-04-06  Justin Carpentier  <justin.carpentier@inria.fr>

	python: fix downcast of BroadPhaseManagerPool to GeometryPool

	core: fix when hpp-fcl is missing

	cmake: set default hpp-fcl version to 2.0.0

	Merge pull request #1629 from nim65s/devel
	add dummy .pre-commit-config.yaml

2022-04-05  Guilhem Saurel  <guilhem.saurel@laas.fr>

	add dummy .pre-commit-config.yaml

2022-04-01  Rohan Budhiraja  <proyan@users.noreply.github.com>

	sdf: collision parsing can enter into an indef loop for multiple parents. use model.joints tree instead of graph

2022-04-01  Justin Carpentier  <justin.carpentier@inria.fr>

	python: add cast to base class for Broadphase pools

2022-03-29  Justin Carpentier  <justin.carpentier@inria.fr>

	constraint: add explicit keyword

	geometry: add default constructor

	geometry: add explicit keyword

	parallel: add suffix InParallel to all batches

	joints: change pitch name

	python/utils: update std-vector exposition

2022-03-28  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'helical-joint' into 'pinocchio-3x'
	helical-joint + helical-joint-unaligned

	See merge request jucarpen/pinocchio!541

2022-03-28  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'pragma' into 'pinocchio-3x'
	[bindings] pragma error in gcc

	See merge request jucarpen/pinocchio!545

2022-03-28  Justin Carpentier  <justin.carpentier@inria.fr>

	test: enforce testing of memory issues for pool

	python/constraints: simplify exposition + add updateDamping

	constrints: add updateDamping method to ConstraintCholesky

	broadphase: add more check

	Revert "python: expose operator{==,!=} for std::vector"
	This reverts commit 6710dd4758791b3eee1ac444945e7f507aece7f6.

	core: add operator{==,!=} to Compute{Collision,Distance}

	core: add operator{==,!=} to pinocchio::CollisionObject

	python: expose operator{==,!=} for std::vector

	python/broadphase: add getModel

2022-03-22  Justin Carpentier  <justin.carpentier@inria.fr>

	release: Update package.xml version to 2.6.6

2022-03-22  Wolfgang Merkt  <wxmerkt@users.noreply.github.com>

	Support HPP-FCL for ROS binaries & introduce ROS2 ament integration (#1622)
	* package.xml: Activate dependency on hpp-fcl
	
	hpp-fcl v1.8.1 is now available for ROS Noetic, and will be available
	for ROS Melodic shortly. We can thus build the ROS binaries with HPP-FCL
	support - provided that the BUILD_WITH_COLLISION_SUPPORT flag is toggled
	to ON as a patch.
	
	* package.xml: Remove unnecessary dependency on ament_cmake
	
	* Ament index integration
	
	* package.xml: Add clang dependency for buildfarm

2022-03-22  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'gitlab-ci' into 'pinocchio-3x'
	Gitlab ci

	See merge request jucarpen/pinocchio!546

2022-03-22  Rohan Budhiraja  <rohan.budhiraja@inria.fr>

	Gitlab ci

2022-03-21  Justin Carpentier  <justin.carpentier@inria.fr>

	python: add copy constructor and method to std::vector

	cmake: fix issue for detecting OpenMP with CMake >= 3.20.0

	algo/parallel: use static schedule

	python: fix when URDF is missing

	python: fix when URDF is missing

	python: fix when URDF is missing

2022-03-20  Justin Carpentier  <justin.carpentier@inria.fr>

	python: allow assignment of Model::jointPlacements

	throw: fix

	pool/geometry: add sync method

	pool/geometry: init oMg with Identity
	This is needed by the broadphase during the update phase

	pool/geometry: also copy oMg field

	python/geometry: use AddressVisitor

	python: add AddressVisitor

	geometry: add copy constructor to GeometryModel

2022-03-19  Justin Carpentier  <justin.carpentier@inria.fr>

	python/broadphase: expose getGeometryModel as readable model

2022-03-18  Justin Carpentier  <justin.carpentier@inria.fr>

	geometry: fix clone for GeometryObject

	python/geometry: expose clone method for GeometryModel

	pool: fix

	python: sync Pool with new API

	pool: duplicate models for efficiency

	test: add missing include

	geometry: add clone method to GeometryModel

2022-03-17  Justin Carpentier  <justin.carpentier@inria.fr>

	multibody: add dedicated files for geometry objects

	test: dispatch tests in appropriate files

	geometry: add clone method to GeometryObject
	Also refactor the operator{==,!=} accordingly

2022-03-16  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	bindings: add joint-helical [unaligned]

	joint-helical-unaligned copy constructor

	helical-joint: fix casting and classname()

	helical-joint copy constructor + explicit constructor with pitch

	unittest: helical-joint pitch->h

	helical-joint-unaligned remove redundancy pitch, only keep linearRate

2022-03-16  Rohan Budhiraja  <proyan@users.noreply.github.com>

	[bindings] pragma error in gcc

2022-03-15  Justin Carpentier  <justin.carpentier@inria.fr>

	meshcat: fix reload method

2022-03-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'gitlab-ci' into 'pinocchio-3x'
	[gitlab-ci] install hpp-fcl from devel

	See merge request jucarpen/pinocchio!544

2022-03-15  Rohan Budhiraja  <rohan.budhiraja@inria.fr>

	[gitlab-ci] install hpp-fcl from devel

2022-03-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'hpp-fcl' into 'pinocchio-3x'
	hpp-fcl changed boost::shared_ptr -> std::shared_ptr

	See merge request jucarpen/pinocchio!543

2022-03-15  Rohan Budhiraja  <rohan.budhiraja@inria.fr>

	hpp-fcl changed boost::shared_ptr -> std::shared_ptr

2022-03-15  Justin Carpentier  <justin.carpentier@inria.fr>

	broadphase: expose getCollisionObjectStatus

	broadphase: account for degenerated geometries

	broadphase: fix check against minus infty

2022-03-15  fabinsch  <55981657+fabinsch@users.noreply.github.com>

	helical-joint remove redundancy pitch, only keep linearRate

2022-03-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'sdf-parser' into 'pinocchio-3x'
	[sdf][examples] urdf.addJointAndBody expects previouslink_M_joint, and not...

	See merge request jucarpen/pinocchio!540

2022-03-15  CARPENTIER Justin  <justin.carpentier@inria.fr>

	Merge branch 'topic/bindings' into 'pinocchio-3x'
